pub const SVQ_MV_CODES: [[u8; 2]; 33] = [ // same as H.263
    [ 1,  1], [ 1,  2], [ 1,  3], [ 1,  4], [ 3,  6], [ 5,  7], [ 4,  7], [ 3,  7],
    [11,  9], [10,  9], [ 9,  9], [17, 10], [16, 10], [15, 10], [14, 10], [13, 10],
    [12, 10], [11, 10], [10, 10], [ 9, 10], [ 8, 10], [ 7, 10], [ 6, 10], [ 5, 10],
    [ 4, 10], [ 7, 11], [ 6, 11], [ 5, 11], [ 4, 11], [ 3, 11], [ 2, 11], [ 3, 12],
    [ 2, 12]
];

pub const SVQ_INTRA_STAGE_CODES: [[[u8; 2]; 8]; 6] = [
  [
    [ 0x1, 5 ],  [ 0x1, 1 ],  [ 0x3, 3 ],  [ 0x2, 3 ],
    [ 0x3, 4 ],  [ 0x2, 4 ],  [ 0x0, 5 ],  [ 0x1, 4 ]
  ], [
    [ 0x1, 4 ],  [ 0x3, 2 ],  [ 0x5, 3 ],  [ 0x4, 3 ],
    [ 0x3, 3 ],  [ 0x2, 3 ],  [ 0x0, 4 ],  [ 0x1, 3 ]
  ], [
    [ 0x1, 5 ],  [ 0x1, 1 ],  [ 0x3, 3 ],  [ 0x0, 5 ],
    [ 0x3, 4 ],  [ 0x2, 3 ],  [ 0x2, 4 ],  [ 0x1, 4 ]
  ], [
    [ 0x1, 6 ],  [ 0x1, 1 ],  [ 0x1, 2 ],  [ 0x0, 6 ],
    [ 0x3, 4 ],  [ 0x2, 4 ],  [ 0x1, 5 ],  [ 0x1, 4 ]
  ], [
    [ 0x1, 6 ],  [ 0x1, 1 ],  [ 0x1, 2 ],  [ 0x3, 5 ],
    [ 0x2, 5 ],  [ 0x0, 6 ],  [ 0x1, 5 ],  [ 0x1, 3 ]
  ], [
    [ 0x1, 7 ],  [ 0x1, 1 ],  [ 0x1, 2 ],  [ 0x1, 3 ],
    [ 0x1, 4 ],  [ 0x1, 6 ],  [ 0x0, 7 ],  [ 0x1, 5 ]
  ]
];
pub const SVQ_INTER_STAGE_CODES: [[[u8; 2]; 8]; 6] = [
  [
    [ 0x3, 2 ],  [ 0x5, 3 ],  [ 0x4, 3 ],  [ 0x3, 3 ],
    [ 0x2, 3 ],  [ 0x1, 3 ],  [ 0x1, 4 ],  [ 0x0, 4 ]
  ], [
    [ 0x3, 2 ],  [ 0x5, 3 ],  [ 0x4, 3 ],  [ 0x3, 3 ],
    [ 0x2, 3 ],  [ 0x1, 3 ],  [ 0x1, 4 ],  [ 0x0, 4 ]
  ], [
    [ 0x1, 1 ],  [ 0x3, 3 ],  [ 0x2, 3 ],  [ 0x3, 4 ],
    [ 0x2, 4 ],  [ 0x1, 4 ],  [ 0x1, 5 ],  [ 0x0, 5 ]
  ], [
    [ 0x1, 1 ],  [ 0x3, 3 ],  [ 0x2, 3 ],  [ 0x3, 4 ],
    [ 0x2, 4 ],  [ 0x1, 4 ],  [ 0x1, 5 ],  [ 0x0, 5 ]
  ], [
    [ 0x1, 1 ],  [ 0x3, 3 ],  [ 0x2, 3 ],  [ 0x3, 4 ],
    [ 0x2, 4 ],  [ 0x1, 4 ],  [ 0x1, 5 ],  [ 0x0, 5 ]
  ], [
    [ 0x1, 1 ],  [ 0x1, 2 ],  [ 0x1, 3 ],  [ 0x3, 5 ],
    [ 0x2, 5 ],  [ 0x1, 5 ],  [ 0x1, 6 ],  [ 0x0, 6 ]
  ]
];

pub const SVQ_INTRA_MEAN_CODES: [[u8; 2]; 256] = [
    [ 0x37,  6 ],  [ 0x56,  7 ],  [ 0x01, 17 ],  [ 0x01, 20 ],
    [ 0x02, 20 ],  [ 0x03, 20 ],  [ 0x00, 20 ],  [ 0x04, 20 ],
    [ 0x05, 20 ],  [ 0x03, 19 ],  [ 0x15, 11 ],  [ 0x42,  9 ],
    [ 0x14, 11 ],  [ 0x03, 14 ],  [ 0x02, 14 ],  [ 0x01, 15 ],
    [ 0x01, 16 ],  [ 0x01, 12 ],  [ 0x2B, 10 ],  [ 0x18, 11 ],
    [ 0x0C, 11 ],  [ 0x41,  9 ],  [ 0x78,  8 ],  [ 0x6C,  8 ],
    [ 0x55,  7 ],  [ 0x0F,  4 ],  [ 0x0E,  4 ],  [ 0x34,  6 ],
    [ 0x51,  7 ],  [ 0x72,  8 ],  [ 0x6E,  8 ],  [ 0x40,  9 ],
    [ 0x3F,  9 ],  [ 0x3E,  9 ],  [ 0x3D,  9 ],  [ 0x3C,  9 ],
    [ 0x3B,  9 ],  [ 0x3A,  9 ],  [ 0x39,  9 ],  [ 0x38,  9 ],
    [ 0x37,  9 ],  [ 0x43,  9 ],  [ 0x46,  9 ],  [ 0x47,  9 ],
    [ 0x45,  9 ],  [ 0x44,  9 ],  [ 0x49,  9 ],  [ 0x48,  9 ],
    [ 0x4A,  8 ],  [ 0x79,  8 ],  [ 0x76,  8 ],  [ 0x77,  8 ],
    [ 0x71,  8 ],  [ 0x75,  8 ],  [ 0x74,  8 ],  [ 0x73,  8 ],
    [ 0x6A,  8 ],  [ 0x55,  8 ],  [ 0x70,  8 ],  [ 0x6F,  8 ],
    [ 0x52,  8 ],  [ 0x6D,  8 ],  [ 0x4C,  8 ],  [ 0x6B,  8 ],
    [ 0x40,  7 ],  [ 0x69,  8 ],  [ 0x68,  8 ],  [ 0x67,  8 ],
    [ 0x66,  8 ],  [ 0x65,  8 ],  [ 0x64,  8 ],  [ 0x63,  8 ],
    [ 0x62,  8 ],  [ 0x61,  8 ],  [ 0x60,  8 ],  [ 0x5F,  8 ],
    [ 0x5E,  8 ],  [ 0x5D,  8 ],  [ 0x5C,  8 ],  [ 0x5B,  8 ],
    [ 0x5A,  8 ],  [ 0x59,  8 ],  [ 0x58,  8 ],  [ 0x57,  8 ],
    [ 0x56,  8 ],  [ 0x3D,  7 ],  [ 0x54,  8 ],  [ 0x53,  8 ],
    [ 0x3F,  7 ],  [ 0x51,  8 ],  [ 0x50,  8 ],  [ 0x4F,  8 ],
    [ 0x4E,  8 ],  [ 0x4D,  8 ],  [ 0x41,  7 ],  [ 0x4B,  8 ],
    [ 0x53,  7 ],  [ 0x3E,  7 ],  [ 0x48,  8 ],  [ 0x4F,  7 ],
    [ 0x52,  7 ],  [ 0x45,  8 ],  [ 0x50,  7 ],  [ 0x43,  8 ],
    [ 0x42,  8 ],  [ 0x41,  8 ],  [ 0x42,  7 ],  [ 0x43,  7 ],
    [ 0x3E,  8 ],  [ 0x44,  7 ],  [ 0x3C,  8 ],  [ 0x45,  7 ],
    [ 0x46,  7 ],  [ 0x47,  7 ],  [ 0x48,  7 ],  [ 0x49,  7 ],
    [ 0x4A,  7 ],  [ 0x4B,  7 ],  [ 0x4C,  7 ],  [ 0x4D,  7 ],
    [ 0x4E,  7 ],  [ 0x58,  7 ],  [ 0x59,  7 ],  [ 0x5A,  7 ],
    [ 0x5B,  7 ],  [ 0x5C,  7 ],  [ 0x5D,  7 ],  [ 0x44,  8 ],
    [ 0x49,  8 ],  [ 0x29,  8 ],  [ 0x3F,  8 ],  [ 0x3D,  8 ],
    [ 0x3B,  8 ],  [ 0x2C,  8 ],  [ 0x28,  8 ],  [ 0x25,  8 ],
    [ 0x26,  8 ],  [ 0x5E,  7 ],  [ 0x57,  7 ],  [ 0x54,  7 ],
    [ 0x5F,  7 ],  [ 0x62,  7 ],  [ 0x63,  7 ],  [ 0x64,  7 ],
    [ 0x61,  7 ],  [ 0x65,  7 ],  [ 0x67,  7 ],  [ 0x66,  7 ],
    [ 0x35,  6 ],  [ 0x36,  6 ],  [ 0x60,  7 ],  [ 0x39,  8 ],
    [ 0x3A,  8 ],  [ 0x38,  8 ],  [ 0x37,  8 ],  [ 0x36,  8 ],
    [ 0x35,  8 ],  [ 0x34,  8 ],  [ 0x33,  8 ],  [ 0x32,  8 ],
    [ 0x31,  8 ],  [ 0x30,  8 ],  [ 0x2D,  8 ],  [ 0x2B,  8 ],
    [ 0x2A,  8 ],  [ 0x27,  8 ],  [ 0x40,  8 ],  [ 0x46,  8 ],
    [ 0x47,  8 ],  [ 0x26,  9 ],  [ 0x25,  9 ],  [ 0x24,  9 ],
    [ 0x23,  9 ],  [ 0x22,  9 ],  [ 0x2E,  8 ],  [ 0x2F,  8 ],
    [ 0x1F,  9 ],  [ 0x36,  9 ],  [ 0x1D,  9 ],  [ 0x21,  9 ],
    [ 0x1B,  9 ],  [ 0x1C,  9 ],  [ 0x19,  9 ],  [ 0x1A,  9 ],
    [ 0x18,  9 ],  [ 0x17,  9 ],  [ 0x16,  9 ],  [ 0x1E,  9 ],
    [ 0x20,  9 ],  [ 0x27,  9 ],  [ 0x28,  9 ],  [ 0x29,  9 ],
    [ 0x2A,  9 ],  [ 0x2B,  9 ],  [ 0x2C,  9 ],  [ 0x2D,  9 ],
    [ 0x2E,  9 ],  [ 0x2F,  9 ],  [ 0x30,  9 ],  [ 0x35,  9 ],
    [ 0x31,  9 ],  [ 0x32,  9 ],  [ 0x33,  9 ],  [ 0x34,  9 ],
    [ 0x19, 10 ],  [ 0x2A, 10 ],  [ 0x17, 10 ],  [ 0x16, 10 ],
    [ 0x15, 10 ],  [ 0x28, 10 ],  [ 0x26, 10 ],  [ 0x25, 10 ],
    [ 0x22, 10 ],  [ 0x21, 10 ],  [ 0x18, 10 ],  [ 0x14, 10 ],
    [ 0x29, 10 ],  [ 0x12, 10 ],  [ 0x0D, 10 ],  [ 0x0E, 10 ],
    [ 0x0F, 10 ],  [ 0x10, 10 ],  [ 0x11, 10 ],  [ 0x1A, 10 ],
    [ 0x1B, 10 ],  [ 0x1C, 10 ],  [ 0x1D, 10 ],  [ 0x1E, 10 ],
    [ 0x1F, 10 ],  [ 0x20, 10 ],  [ 0x13, 10 ],  [ 0x23, 10 ],
    [ 0x24, 10 ],  [ 0x09, 11 ],  [ 0x08, 11 ],  [ 0x07, 11 ],
    [ 0x27, 10 ],  [ 0x05, 11 ],  [ 0x0B, 11 ],  [ 0x06, 11 ],
    [ 0x04, 11 ],  [ 0x03, 11 ],  [ 0x02, 11 ],  [ 0x01, 11 ],
    [ 0x0A, 11 ],  [ 0x16, 11 ],  [ 0x19, 11 ],  [ 0x17, 11 ],
    [ 0x0D, 11 ],  [ 0x0E, 11 ],  [ 0x0F, 11 ],  [ 0x10, 11 ],
    [ 0x11, 11 ],  [ 0x12, 11 ],  [ 0x13, 11 ],  [ 0x01, 14 ]
];
pub const SVQ_INTER_MEAN_CODES: [[u16; 2]; 512] = [
    [ 0x5A, 22 ],  [ 0xD4, 22 ],  [ 0xD5, 22 ],  [ 0xD6, 22 ],
    [ 0xD7, 22 ],  [ 0xD8, 22 ],  [ 0xD9, 22 ],  [ 0xDA, 22 ],
    [ 0xDB, 22 ],  [ 0xDC, 22 ],  [ 0xDD, 22 ],  [ 0xDE, 22 ],
    [ 0xDF, 22 ],  [ 0xE0, 22 ],  [ 0xE1, 22 ],  [ 0xE2, 22 ],
    [ 0xE3, 22 ],  [ 0xE4, 22 ],  [ 0xE5, 22 ],  [ 0xE6, 22 ],
    [ 0xE8, 22 ],  [ 0xCB, 22 ],  [ 0xE9, 22 ],  [ 0xEA, 22 ],
    [ 0xE7, 22 ],  [ 0xEC, 22 ],  [ 0xED, 22 ],  [ 0xEE, 22 ],
    [ 0xEF, 22 ],  [ 0xF0, 22 ],  [ 0xF1, 22 ],  [ 0xF2, 22 ],
    [ 0xF3, 22 ],  [ 0xF4, 22 ],  [ 0xF5, 22 ],  [ 0xF6, 22 ],
    [ 0xF7, 22 ],  [ 0xF8, 22 ],  [ 0x102,22 ],  [ 0xEB, 22 ],
    [ 0xF9, 22 ],  [ 0xFC, 22 ],  [ 0xFD, 22 ],  [ 0xFE, 22 ],
    [ 0x100,22 ],  [ 0x5C, 22 ],  [ 0x60, 22 ],  [ 0x101,22 ],
    [ 0x71, 22 ],  [ 0x104,22 ],  [ 0x105,22 ],  [ 0xFB, 22 ],
    [ 0xFF, 22 ],  [ 0x86, 21 ],  [ 0xFA, 22 ],  [ 0x7C, 22 ],
    [ 0x75, 22 ],  [ 0x103,22 ],  [ 0x78, 22 ],  [ 0xD3, 22 ],
    [ 0x7B, 22 ],  [ 0x82, 22 ],  [ 0xD2, 22 ],  [ 0xD1, 22 ],
    [ 0xD0, 22 ],  [ 0xCF, 22 ],  [ 0xCE, 22 ],  [ 0xCD, 22 ],
    [ 0xCC, 22 ],  [ 0xC3, 22 ],  [ 0xCA, 22 ],  [ 0xC9, 22 ],
    [ 0xC8, 22 ],  [ 0xC7, 22 ],  [ 0xC6, 22 ],  [ 0xC5, 22 ],
    [ 0x8B, 22 ],  [ 0xC4, 22 ],  [ 0xC2, 22 ],  [ 0xC1, 22 ],
    [ 0xC0, 22 ],  [ 0xBF, 22 ],  [ 0xBE, 22 ],  [ 0xBD, 22 ],
    [ 0xBC, 22 ],  [ 0xBB, 22 ],  [ 0xBA, 22 ],  [ 0xB9, 22 ],
    [ 0x61, 22 ],  [ 0x84, 22 ],  [ 0x85, 22 ],  [ 0x86, 22 ],
    [ 0x87, 22 ],  [ 0x88, 22 ],  [ 0x89, 22 ],  [ 0x8A, 22 ],
    [ 0x8C, 22 ],  [ 0x8D, 22 ],  [ 0x8E, 22 ],  [ 0x8F, 22 ],
    [ 0x90, 22 ],  [ 0x91, 22 ],  [ 0x92, 22 ],  [ 0x93, 22 ],
    [ 0x94, 22 ],  [ 0x95, 22 ],  [ 0x96, 22 ],  [ 0x97, 22 ],
    [ 0x98, 22 ],  [ 0x99, 22 ],  [ 0x9A, 22 ],  [ 0x9B, 22 ],
    [ 0x9C, 22 ],  [ 0x9D, 22 ],  [ 0x9E, 22 ],  [ 0x9F, 22 ],
    [ 0xA0, 22 ],  [ 0xA1, 22 ],  [ 0xA2, 22 ],  [ 0xA3, 22 ],
    [ 0xA4, 22 ],  [ 0xA5, 22 ],  [ 0xA6, 22 ],  [ 0xA7, 22 ],
    [ 0xA8, 22 ],  [ 0xA9, 22 ],  [ 0xAA, 22 ],  [ 0xAB, 22 ],
    [ 0x7F, 22 ],  [ 0x8F, 21 ],  [ 0xAC, 22 ],  [ 0xAD, 22 ],
    [ 0xAE, 22 ],  [ 0xAF, 22 ],  [ 0xB0, 22 ],  [ 0xB1, 22 ],
    [ 0x53, 20 ],  [ 0x90, 21 ],  [ 0xB2, 22 ],  [ 0x91, 21 ],
    [ 0xB3, 22 ],  [ 0xB4, 22 ],  [ 0x54, 20 ],  [ 0xB5, 22 ],
    [ 0xB6, 22 ],  [ 0x8C, 21 ],  [ 0x34, 19 ],  [ 0x3D, 18 ],
    [ 0x55, 20 ],  [ 0xB7, 22 ],  [ 0xB8, 22 ],  [ 0x8B, 21 ],
    [ 0x56, 20 ],  [ 0x3D, 19 ],  [ 0x57, 20 ],  [ 0x58, 20 ],
    [ 0x40, 19 ],  [ 0x43, 19 ],  [ 0x47, 19 ],  [ 0x2A, 18 ],
    [ 0x2E, 19 ],  [ 0x2C, 18 ],  [ 0x46, 19 ],  [ 0x59, 20 ],
    [ 0x49, 19 ],  [ 0x2D, 19 ],  [ 0x38, 18 ],  [ 0x36, 18 ],
    [ 0x39, 18 ],  [ 0x45, 19 ],  [ 0x28, 18 ],  [ 0x30, 18 ],
    [ 0x35, 18 ],  [ 0x20, 17 ],  [ 0x44, 19 ],  [ 0x32, 18 ],
    [ 0x31, 18 ],  [ 0x1F, 17 ],  [ 0x2F, 18 ],  [ 0x2E, 18 ],
    [ 0x2D, 18 ],  [ 0x21, 17 ],  [ 0x22, 17 ],  [ 0x23, 17 ],
    [ 0x24, 17 ],  [ 0x27, 16 ],  [ 0x23, 16 ],  [ 0x20, 16 ],
    [ 0x1D, 16 ],  [ 0x25, 16 ],  [ 0x1E, 16 ],  [ 0x24, 16 ],
    [ 0x2A, 16 ],  [ 0x26, 16 ],  [ 0x21, 15 ],  [ 0x29, 16 ],
    [ 0x22, 15 ],  [ 0x23, 15 ],  [ 0x24, 15 ],  [ 0x1B, 15 ],
    [ 0x1A, 15 ],  [ 0x1D, 15 ],  [ 0x1F, 15 ],  [ 0x27, 15 ],
    [ 0x17, 14 ],  [ 0x18, 14 ],  [ 0x19, 14 ],  [ 0x1B, 14 ],
    [ 0x1C, 14 ],  [ 0x1E, 14 ],  [ 0x25, 14 ],  [ 0x20, 14 ],
    [ 0x21, 14 ],  [ 0x13, 13 ],  [ 0x14, 13 ],  [ 0x15, 13 ],
    [ 0x16, 13 ],  [ 0x17, 13 ],  [ 0x18, 13 ],  [ 0x19, 13 ],
    [ 0x1A, 13 ],  [ 0x18, 12 ],  [ 0x17, 12 ],  [ 0x15, 12 ],
    [ 0x14, 12 ],  [ 0x13, 12 ],  [ 0x12, 12 ],  [ 0x0F, 11 ],
    [ 0x10, 11 ],  [ 0x12, 11 ],  [ 0x13, 11 ],  [ 0x1B, 11 ],
    [ 0x1A, 11 ],  [ 0x0E, 10 ],  [ 0x13, 10 ],  [ 0x0F, 10 ],
    [ 0x10, 10 ],  [ 0x11, 10 ],  [ 0x12, 10 ],  [ 0x0D,  9 ],
    [ 0x14,  9 ],  [ 0x15,  9 ],  [ 0x0C,  9 ],  [ 0x13,  9 ],
    [ 0x0F,  8 ],  [ 0x0E,  8 ],  [ 0x10,  8 ],  [ 0x11,  8 ],
    [ 0x0C,  7 ],  [ 0x09,  7 ],  [ 0x0A,  7 ],  [ 0x08,  6 ],
    [ 0x09,  6 ],  [ 0x09,  5 ],  [ 0x08,  5 ],  [ 0x05,  4 ],
    [ 0x01,  1 ],  [ 0x03,  3 ],  [ 0x07,  5 ],  [ 0x06,  5 ],
    [ 0x0B,  6 ],  [ 0x0A,  6 ],  [ 0x0E,  7 ],  [ 0x0F,  7 ],
    [ 0x0B,  7 ],  [ 0x0D,  7 ],  [ 0x0B,  8 ],  [ 0x0D,  8 ],
    [ 0x0C,  8 ],  [ 0x0F,  9 ],  [ 0x10,  9 ],  [ 0x11,  9 ],
    [ 0x0E,  9 ],  [ 0x12,  9 ],  [ 0x17, 10 ],  [ 0x14, 10 ],
    [ 0x16, 10 ],  [ 0x15, 10 ],  [ 0x19, 11 ],  [ 0x18, 11 ],
    [ 0x17, 11 ],  [ 0x16, 11 ],  [ 0x15, 11 ],  [ 0x14, 11 ],
    [ 0x11, 11 ],  [ 0x19, 12 ],  [ 0x1A, 12 ],  [ 0x16, 12 ],
    [ 0x1D, 12 ],  [ 0x1B, 12 ],  [ 0x1C, 12 ],  [ 0x20, 13 ],
    [ 0x1C, 13 ],  [ 0x23, 13 ],  [ 0x22, 13 ],  [ 0x21, 13 ],
    [ 0x1F, 13 ],  [ 0x1E, 13 ],  [ 0x1B, 13 ],  [ 0x1D, 13 ],
    [ 0x24, 14 ],  [ 0x16, 14 ],  [ 0x1A, 14 ],  [ 0x22, 14 ],
    [ 0x1D, 14 ],  [ 0x1F, 14 ],  [ 0x15, 14 ],  [ 0x23, 14 ],
    [ 0x18, 15 ],  [ 0x20, 15 ],  [ 0x29, 15 ],  [ 0x28, 15 ],
    [ 0x26, 15 ],  [ 0x25, 15 ],  [ 0x19, 15 ],  [ 0x1C, 15 ],
    [ 0x1E, 15 ],  [ 0x17, 15 ],  [ 0x2C, 16 ],  [ 0x2B, 16 ],
    [ 0x1C, 16 ],  [ 0x21, 16 ],  [ 0x2D, 16 ],  [ 0x28, 16 ],
    [ 0x1F, 16 ],  [ 0x1B, 16 ],  [ 0x1A, 16 ],  [ 0x22, 16 ],
    [ 0x2D, 17 ],  [ 0x32, 17 ],  [ 0x2C, 17 ],  [ 0x27, 17 ],
    [ 0x31, 17 ],  [ 0x33, 17 ],  [ 0x2F, 17 ],  [ 0x2B, 17 ],
    [ 0x37, 18 ],  [ 0x2A, 17 ],  [ 0x2E, 17 ],  [ 0x30, 17 ],
    [ 0x29, 17 ],  [ 0x28, 17 ],  [ 0x26, 17 ],  [ 0x25, 17 ],
    [ 0x2F, 19 ],  [ 0x33, 18 ],  [ 0x34, 18 ],  [ 0x30, 19 ],
    [ 0x3A, 18 ],  [ 0x3B, 18 ],  [ 0x31, 19 ],  [ 0x3C, 18 ],
    [ 0x2B, 18 ],  [ 0x29, 18 ],  [ 0x48, 19 ],  [ 0x27, 18 ],
    [ 0x42, 19 ],  [ 0x41, 19 ],  [ 0x26, 18 ],  [ 0x52, 20 ],
    [ 0x51, 20 ],  [ 0x3F, 19 ],  [ 0x3E, 19 ],  [ 0x39, 19 ],
    [ 0x3C, 19 ],  [ 0x3B, 19 ],  [ 0x3A, 19 ],  [ 0x25, 18 ],
    [ 0x38, 19 ],  [ 0x50, 20 ],  [ 0x37, 19 ],  [ 0x36, 19 ],
    [ 0x87, 21 ],  [ 0x4F, 20 ],  [ 0x35, 19 ],  [ 0x4E, 20 ],
    [ 0x33, 19 ],  [ 0x32, 19 ],  [ 0x4D, 20 ],  [ 0x4C, 20 ],
    [ 0x83, 22 ],  [ 0x4B, 20 ],  [ 0x81, 22 ],  [ 0x80, 22 ],
    [ 0x8E, 21 ],  [ 0x7E, 22 ],  [ 0x7D, 22 ],  [ 0x84, 21 ],
    [ 0x8D, 21 ],  [ 0x7A, 22 ],  [ 0x79, 22 ],  [ 0x4A, 20 ],
    [ 0x77, 22 ],  [ 0x76, 22 ],  [ 0x89, 21 ],  [ 0x74, 22 ],
    [ 0x73, 22 ],  [ 0x72, 22 ],  [ 0x49, 20 ],  [ 0x70, 22 ],
    [ 0x6F, 22 ],  [ 0x6E, 22 ],  [ 0x6D, 22 ],  [ 0x6C, 22 ],
    [ 0x6B, 22 ],  [ 0x6A, 22 ],  [ 0x69, 22 ],  [ 0x68, 22 ],
    [ 0x67, 22 ],  [ 0x66, 22 ],  [ 0x65, 22 ],  [ 0x64, 22 ],
    [ 0x63, 22 ],  [ 0x62, 22 ],  [ 0x8A, 21 ],  [ 0x88, 21 ],
    [ 0x5F, 22 ],  [ 0x5E, 22 ],  [ 0x5D, 22 ],  [ 0x85, 21 ],
    [ 0x5B, 22 ],  [ 0x83, 21 ],  [ 0x59, 22 ],  [ 0x58, 22 ],
    [ 0x57, 22 ],  [ 0x56, 22 ],  [ 0x55, 22 ],  [ 0x54, 22 ],
    [ 0x53, 22 ],  [ 0x52, 22 ],  [ 0x51, 22 ],  [ 0x50, 22 ],
    [ 0x4F, 22 ],  [ 0x4E, 22 ],  [ 0x4D, 22 ],  [ 0x4C, 22 ],
    [ 0x4B, 22 ],  [ 0x4A, 22 ],  [ 0x49, 22 ],  [ 0x48, 22 ],
    [ 0x47, 22 ],  [ 0x46, 22 ],  [ 0x45, 22 ],  [ 0x44, 22 ],
    [ 0x43, 22 ],  [ 0x42, 22 ],  [ 0x41, 22 ],  [ 0x40, 22 ],
    [ 0x3F, 22 ],  [ 0x3E, 22 ],  [ 0x3D, 22 ],  [ 0x3C, 22 ],
    [ 0x3B, 22 ],  [ 0x3A, 22 ],  [ 0x39, 22 ],  [ 0x38, 22 ],
    [ 0x37, 22 ],  [ 0x36, 22 ],  [ 0x35, 22 ],  [ 0x34, 22 ],
    [ 0x33, 22 ],  [ 0x32, 22 ],  [ 0x31, 22 ],  [ 0x30, 22 ],
    [ 0x2F, 22 ],  [ 0x2E, 22 ],  [ 0x2D, 22 ],  [ 0x2C, 22 ],
    [ 0x2B, 22 ],  [ 0x2A, 22 ],  [ 0x29, 22 ],  [ 0x28, 22 ],
    [ 0x27, 22 ],  [ 0x26, 22 ],  [ 0x25, 22 ],  [ 0x24, 22 ],
    [ 0x23, 22 ],  [ 0x22, 22 ],  [ 0x21, 22 ],  [ 0x20, 22 ],
    [ 0x1F, 22 ],  [ 0x1E, 22 ],  [ 0x1D, 22 ],  [ 0x1C, 22 ],
    [ 0x1B, 22 ],  [ 0x1A, 22 ],  [ 0x19, 22 ],  [ 0x18, 22 ],
    [ 0x17, 22 ],  [ 0x16, 22 ],  [ 0x15, 22 ],  [ 0x14, 22 ],
    [ 0x13, 22 ],  [ 0x12, 22 ],  [ 0x11, 22 ],  [ 0x10, 22 ],
    [ 0x0F, 22 ],  [ 0x0E, 22 ],  [ 0x0D, 22 ],  [ 0x0C, 22 ],
    [ 0x0B, 22 ],  [ 0x0A, 22 ],  [ 0x09, 22 ],  [ 0x08, 22 ],
    [ 0x07, 22 ],  [ 0x06, 22 ],  [ 0x05, 22 ],  [ 0x04, 22 ],
    [ 0x03, 22 ],  [ 0x02, 22 ],  [ 0x01, 22 ],  [ 0x00, 22 ]
];

pub const SVQ_INTRA_CB_8X8: [[i8; 64]; 96] = [
  [
     4,   4,   3,   2,   2,   1,   0,  -1,   4,   3,   3,   2,   1,   0,  -1,  -1,
     3,   3,   2,   2,   1,   0,  -1,  -2,   3,   2,   2,   1,   0,  -1,  -2,  -3,
     2,   2,   1,   0,  -1,  -1,  -2,  -3,   2,   1,   0,   0,  -1,  -2,  -3,  -4,
     1,   0,   0,  -1,  -2,  -3,  -4,  -4,   0,   0,  -1,  -2,  -2,  -3,  -4,  -4,
  ], [
     2,   3,   3,   3,   3,   3,   3,   3,   2,   2,   2,   2,   2,   2,   3,   3,
     1,   2,   2,   2,   2,   2,   2,   2,   0,   1,   1,   1,   1,   1,   1,   1,
    -1,   0,   0,   0,   0,   0,   1,   1,  -2,  -2,  -1,  -1,  -1,  -1,  -1,  -1,
    -3,  -3,  -3,  -3,  -3,  -3,  -2,  -2,  -5,  -4,  -4,  -4,  -4,  -4,  -4,  -3,
  ], [
    -4,  -2,  -1,   0,   1,   2,   2,   3,  -4,  -2,  -1,   0,   1,   2,   3,   3,
    -4,  -3,  -1,   0,   1,   2,   3,   3,  -4,  -3,  -1,   0,   1,   2,   3,   3,
    -5,  -3,  -1,   0,   1,   2,   3,   3,  -5,  -3,  -1,   0,   1,   2,   3,   3,
    -5,  -3,  -1,   0,   1,   1,   2,   3,  -5,  -3,  -2,  -1,   0,   1,   2,   3,
  ], [
     4,   4,   5,   5,   6,   6,   7,   7,   2,   2,   2,   3,   3,   4,   4,   4,
     0,   0,   0,   0,   1,   1,   1,   2,  -2,  -2,  -2,  -2,  -1,  -1,  -1,   0,
    -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,
    -1,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -1,  -1,  -1,  -1,  -2,  -2,  -2,  -2,
  ], [
     5,   3,   1,  -1,  -2,  -3,  -3,  -3,   5,   3,   1,  -1,  -2,  -3,  -3,  -3,
     5,   3,   1,  -1,  -2,  -3,  -3,  -3,   5,   3,   1,  -1,  -2,  -3,  -3,  -3,
     5,   4,   1,   0,  -2,  -3,  -3,  -3,   6,   4,   2,   0,  -2,  -2,  -3,  -3,
     6,   4,   2,   0,  -1,  -2,  -2,  -3,   6,   4,   2,   1,  -1,  -2,  -2,  -2,
  ], [
    -1,   1,   3,   3,   2,   0,  -3,  -6,  -1,   1,   3,   4,   3,   0,  -3,  -6,
    -1,   1,   4,   4,   3,   1,  -3,  -6,  -1,   1,   3,   4,   3,   1,  -3,  -6,
    -2,   1,   3,   4,   3,   1,  -3,  -6,  -2,   1,   3,   4,   3,   1,  -3,  -7,
    -2,   1,   3,   3,   2,   0,  -3,  -7,  -2,   0,   2,   3,   2,   0,  -3,  -6,
  ], [
    10,   9,   8,   6,   6,   5,   4,   4,   6,   5,   4,   3,   2,   2,   2,   1,
     2,   1,   0,  -1,  -2,  -2,  -2,  -1,  -1,  -2,  -3,  -4,  -4,  -4,  -4,  -3,
    -2,  -3,  -4,  -4,  -5,  -4,  -4,  -3,  -2,  -2,  -3,  -3,  -3,  -3,  -2,  -2,
    -1,  -1,  -1,  -1,  -1,  -1,  -1,   0,   1,   1,   1,   1,   1,   1,   1,   2,
  ], [
    -2,  -1,   1,   2,   4,   5,   7,   8,  -3,  -2,   0,   1,   3,   5,   7,   8,
    -4,  -3,  -1,   0,   2,   4,   6,   7,  -5,  -4,  -2,  -1,   1,   3,   5,   7,
    -6,  -5,  -3,  -2,   0,   2,   4,   6,  -6,  -5,  -4,  -2,  -1,   1,   3,   5,
    -7,  -6,  -5,  -3,  -2,   0,   2,   3,  -8,  -7,  -5,  -4,  -3,  -1,   1,   2,
  ], [
    11,   9,   7,   5,   3,   1,  -1,  -1,  10,   8,   6,   3,   1,   0,  -2,  -2,
     9,   7,   5,   2,   0,  -2,  -3,  -4,   8,   6,   3,   1,  -1,  -3,  -4,  -4,
     6,   4,   2,  -1,  -3,  -4,  -5,  -5,   5,   3,   0,  -2,  -4,  -5,  -6,  -6,
     3,   1,  -1,  -3,  -5,  -6,  -7,  -7,   2,   0,  -2,  -4,  -6,  -6,  -7,  -7,
  ], [
     5,   6,   7,   7,   7,   8,   8,   8,   3,   4,   5,   5,   6,   6,   6,   6,
     0,   2,   2,   3,   4,   4,   4,   5,  -2,  -1,   0,   1,   2,   2,   3,   3,
    -4,  -3,  -2,  -1,   0,   1,   1,   2,  -6,  -5,  -4,  -3,  -2,  -2,  -1,   0,
    -8,  -7,  -6,  -6,  -5,  -4,  -3,  -3, -10,  -9,  -8,  -8,  -7,  -6,  -6,  -5,
  ], [
     6,   5,   3,   1,  -1,  -3,  -6,  -8,   6,   5,   4,   2,  -1,  -3,  -6,  -8,
     6,   5,   4,   2,   0,  -3,  -6,  -8,   6,   5,   4,   2,   0,  -3,  -6,  -8,
     6,   6,   4,   2,   0,  -3,  -6,  -8,   6,   5,   4,   2,   0,  -3,  -6,  -8,
     6,   5,   4,   2,   0,  -3,  -6,  -8,   6,   5,   4,   2,  -1,  -3,  -5,  -8,
  ], [
    11,  10,   9,   8,   7,   6,   5,   4,   8,   8,   7,   6,   5,   4,   3,   2,
     6,   5,   4,   4,   2,   2,   1,   0,   3,   3,   2,   1,   0,   0,  -1,  -2,
     1,   1,   0,  -1,  -2,  -2,  -3,  -3,  -1,  -1,  -2,  -3,  -4,  -4,  -5,  -5,
    -3,  -4,  -4,  -5,  -6,  -6,  -7,  -7,  -5,  -5,  -6,  -7,  -8,  -8,  -8,  -8,
  ], [
   -14, -13, -12, -11,  -9,  -7,  -6,  -4, -12, -11, -10,  -9,  -7,  -5,  -3,  -1,
   -10,  -9,  -7,  -6,  -3,  -2,   0,   2,  -8,  -6,  -4,  -2,   0,   2,   4,   5,
    -5,  -3,   0,   2,   4,   5,   7,   8,  -2,   0,   2,   4,   6,   8,   9,  10,
     0,   3,   5,   7,   8,  10,  11,  12,   3,   5,   7,   8,  10,  11,  12,  12,
  ], [
   -19, -19, -18, -18, -17, -16, -15, -14, -15, -15, -14, -13, -12, -11, -10,  -9,
   -11, -10,  -9,  -8,  -6,  -5,  -4,  -3,  -6,  -5,  -3,  -2,  -1,   0,   1,   2,
    -1,   0,   2,   3,   4,   5,   6,   6,   4,   6,   7,   8,   9,  10,  10,  10,
     9,  10,  11,  12,  13,  14,  14,  14,  12,  14,  14,  15,  16,  16,  16,  16,
  ], [
    22,  21,  19,  17,  14,  11,   9,   5,  20,  19,  17,  14,  11,   8,   4,   1,
    17,  15,  13,  10,   6,   3,   0,  -4,  13,  11,   8,   5,   1,  -2,  -5,  -9,
     9,   6,   3,  -1,  -4,  -7, -11, -13,   4,   0,  -3,  -6,  -9, -12, -15, -17,
    -2,  -5,  -8, -11, -14, -16, -18, -20,  -8, -10, -13, -16, -17, -19, -21, -22,
  ], [
    17,  18,  18,  18,  17,  16,  16,  14,  16,  16,  15,  15,  14,  13,  12,  11,
    12,  12,  11,  10,   9,   8,   7,   5,   7,   6,   6,   4,   3,   2,   1,  -1,
     1,   0,  -1,  -2,  -3,  -4,  -5,  -6,  -5,  -6,  -7,  -8,  -9, -10, -11, -12,
   -11, -12, -13, -14, -15, -16, -16, -17, -16, -17, -17, -18, -19, -20, -20, -20,
  ], [
     0,   0,   0,   0,  -1,  -1,  -2,  -3,   1,   0,   0,   0,   0,  -1,  -2,  -3,
     1,   1,   0,   0,  -1,  -1,  -2,  -2,   1,   1,   1,   0,   0,  -1,  -1,  -2,
     2,   1,   1,   1,   0,  -1,  -1,  -2,   2,   2,   1,   1,   0,   0,  -1,  -2,
     2,   2,   1,   1,   1,   0,  -1,  -1,   2,   2,   1,   1,   1,   0,   0,  -2,
  ], [
     0,  -1,  -1,   0,   0,   1,   2,   3,   0,  -1,  -1,   0,   1,   1,   2,   2,
    -1,  -1,  -1,  -1,   0,   1,   2,   2,  -1,  -1,  -2,  -1,   0,   1,   1,   2,
    -1,  -2,  -2,  -1,   0,   0,   1,   2,  -1,  -2,  -2,  -2,  -1,   0,   1,   2,
    -1,  -1,  -2,  -1,   0,   0,   1,   2,  -1,  -1,  -1,  -1,   0,   1,   1,   2,
  ], [
     3,   2,   2,   2,   1,   1,   0,   0,   3,   2,   2,   2,   2,   1,   0,   0,
     2,   2,   2,   1,   1,   1,   0,   0,   2,   2,   1,   1,   1,   0,   0,  -1,
     1,   1,   1,   0,   0,   0,  -1,  -1,   0,   0,  -1,  -1,  -1,  -1,  -1,  -1,
    -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -3,  -3,  -3,  -2,  -2,  -2,  -2,
  ], [
     5,   2,   0,   0,  -1,   0,   0,   0,   4,   2,   0,  -1,  -1,  -1,   0,  -1,
     4,   1,  -1,  -1,  -2,  -1,  -1,  -1,   4,   1,  -1,  -1,  -2,  -1,  -1,  -1,
     4,   1,  -1,  -2,  -2,  -1,  -1,  -1,   4,   1,  -1,  -2,  -2,  -1,  -1,  -1,
     4,   1,  -1,  -1,  -1,  -1,  -1,  -1,   4,   2,   0,  -1,   0,   0,   0,  -1,
  ], [
    -2,  -1,   0,   1,   1,   1,   1,   1,  -3,  -1,   0,   1,   1,   1,   1,   1,
    -3,  -1,   0,   1,   1,   1,   1,   1,  -3,  -1,   0,   1,   1,   1,   1,   1,
    -3,  -2,   0,   1,   2,   2,   1,   1,  -4,  -2,   0,   1,   2,   2,   2,   2,
    -5,  -3,  -1,   1,   1,   2,   1,   2,  -5,  -3,  -2,   0,   1,   1,   1,   1,
  ], [
     3,   3,   1,   0,  -2,  -4,  -4,  -5,   3,   3,   2,   0,  -1,  -2,  -3,  -4,
     2,   2,   1,   1,   0,  -1,  -2,  -2,   1,   1,   1,   1,   1,   0,   0,   0,
     0,   0,   0,   1,   1,   1,   1,   1,  -2,  -1,  -1,   0,   0,   1,   2,   2,
    -3,  -2,  -2,  -1,   0,   1,   2,   3,  -3,  -3,  -2,  -1,   0,   1,   2,   3,
  ], [
    -3,  -3,  -3,  -3,  -3,  -2,  -2,  -2,  -3,  -3,  -2,  -2,  -2,  -1,  -1,  -1,
    -2,  -2,  -2,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,   0,   0,   0,   0,   0,
     0,   0,   0,   0,   1,   1,   1,   1,   0,   0,   1,   1,   2,   2,   2,   2,
     1,   1,   1,   2,   2,   3,   3,   3,   2,   2,   2,   2,   3,   3,   3,   3,
  ], [
    -8,  -7,  -5,  -3,  -2,  -1,   0,  -1,  -4,  -3,  -1,   0,   1,   2,   1,   1,
    -1,   1,   2,   3,   3,   2,   2,   1,   1,   2,   3,   3,   2,   2,   1,   0,
     2,   3,   3,   2,   1,   0,   0,  -1,   1,   2,   1,   0,  -1,  -1,  -1,  -1,
     1,   1,   0,  -1,  -1,  -2,  -2,  -1,   1,   1,   0,   0,  -1,  -1,   0,  -1,
  ], [
    -4,  -3,  -2,   0,   1,   2,   3,   3,  -4,  -3,  -2,   0,   1,   2,   2,   2,
    -3,  -3,  -2,  -1,   0,   1,   1,   1,  -2,  -2,  -2,  -1,  -1,   0,   0,   0,
     0,  -1,  -1,  -1,  -1,  -1,  -1,  -1,   2,   1,   1,   0,   0,  -1,  -1,  -2,
     3,   3,   3,   1,   0,  -1,  -2,  -2,   5,   4,   4,   2,   1,   0,  -1,  -2,
  ], [
     0,   0,   0,   0,   1,   2,   3,   3,   0,  -1,   0,   0,   1,   2,   3,   3,
     0,  -1,   0,   0,   1,   2,   3,   2,   0,   0,   0,   1,   1,   2,   2,   2,
     2,   1,   1,   1,   1,   1,   1,   0,   2,   2,   2,   1,   0,   0,  -1,  -2,
     2,   1,   0,   0,  -2,  -3,  -5,  -6,   0,  -1,  -1,  -3,  -5,  -6,  -8,  -9,
  ], [
    -2,   0,   1,   2,   2,   1,  -1,  -4,  -2,   0,   2,   2,   2,   1,  -1,  -4,
    -2,   0,   2,   2,   2,   1,  -1,  -3,  -2,   0,   2,   2,   2,   1,  -1,  -3,
    -2,  -1,   2,   2,   2,   1,  -1,  -3,  -2,  -1,   1,   2,   2,   1,  -1,  -3,
    -3,  -1,   1,   2,   2,   1,  -1,  -3,  -2,  -1,   1,   2,   2,   1,  -1,  -3,
  ], [
    -1,   1,   1,  -1,  -3,  -3,   0,   4,  -1,   1,   1,  -1,  -3,  -3,   0,   4,
    -1,   1,   1,   0,  -3,  -3,   0,   4,  -1,   1,   2,   0,  -3,  -3,   0,   5,
     0,   1,   2,   0,  -3,  -4,   0,   4,   0,   1,   2,   0,  -3,  -4,   0,   5,
     0,   1,   2,   0,  -3,  -3,   0,   4,   0,   1,   2,  -1,  -2,  -2,   0,   4,
  ], [
     6,   6,   5,   6,   5,   5,   5,   5,   2,   2,   2,   2,   2,   2,   2,   2,
     0,   0,   0,   0,   0,   0,   0,   0,  -1,  -1,  -1,  -1,  -2,  -2,  -2,  -2,
    -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,
    -1,  -1,  -2,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
  ], [
     2,   2,   2,   2,   2,   2,   2,   2,   0,   1,   1,   0,   0,   0,   0,   0,
    -1,  -2,  -2,  -2,  -2,  -2,  -2,  -1,  -3,  -3,  -3,  -3,  -3,  -3,  -3,  -2,
    -3,  -4,  -4,  -3,  -3,  -3,  -2,  -2,  -2,  -2,  -2,  -2,  -1,  -1,   0,   0,
     0,   1,   1,   1,   2,   2,   3,   3,   3,   4,   4,   5,   5,   6,   6,   6,
  ], [
     4,   1,  -2,  -3,  -3,  -1,   1,   3,   4,   1,  -2,  -4,  -3,  -1,   1,   3,
     5,   1,  -2,  -4,  -3,  -1,   1,   4,   5,   1,  -2,  -3,  -3,  -1,   2,   4,
     5,   1,  -2,  -3,  -3,  -1,   2,   4,   4,   0,  -3,  -4,  -3,  -1,   2,   4,
     4,   0,  -3,  -3,  -3,  -1,   1,   3,   3,   0,  -2,  -3,  -2,  -1,   1,   3,
  ], [
    -3,  -4,  -4,  -4,  -4,  -4,  -4,  -4,  -1,  -1,  -1,  -1,  -1,  -1,  -2,  -2,
     2,   1,   1,   2,   2,   1,   1,   1,   3,   3,   3,   4,   4,   3,   3,   3,
     3,   3,   3,   4,   4,   4,   3,   3,   1,   2,   1,   2,   2,   2,   2,   2,
    -2,  -2,  -2,  -1,  -1,  -1,   0,   0,  -4,  -4,  -4,  -4,  -3,  -3,  -3,  -3,
  ], [
    -1,  -2,  -3,  -3,  -2,  -2,  -1,   0,   0,  -1,  -2,  -2,  -2,  -1,   0,   1,
     2,   1,  -1,  -1,  -1,  -1,   0,   1,   3,   1,   0,  -1,  -1,   0,   0,   1,
     3,   2,   0,  -1,   0,   0,   0,   1,   3,   1,   0,  -1,   0,   0,   0,   1,
     3,   1,   0,  -1,   0,   0,   0,   1,   2,   1,   0,   0,   0,   0,   0,   1,
  ], [
     0,   0,   0,   1,   1,   2,   3,   4,   0,   0,  -1,   0,   0,   0,   2,   3,
     0,  -1,  -1,  -1,  -1,  -1,   0,   1,   0,  -1,  -1,  -1,  -1,  -1,  -1,   0,
     0,   0,  -1,  -1,  -1,  -2,  -2,  -1,   1,   0,   0,  -1,  -1,  -2,  -2,  -1,
     2,   2,   1,   0,  -1,  -1,  -1,  -1,   3,   3,   2,   1,   0,  -1,  -1,   0,
  ], [
     1,   0,   1,   0,   0,  -1,  -2,  -1,   0,   0,   0,   0,  -1,  -1,  -2,  -1,
     0,  -1,   0,   0,  -1,  -1,  -1,  -1,  -1,  -1,  -1,   0,   0,   0,   0,   0,
    -1,  -1,  -1,   0,   0,   0,   1,   1,  -1,  -1,  -1,   0,   1,   1,   2,   3,
    -2,  -2,  -1,   0,   1,   2,   3,   4,  -2,  -2,  -1,   0,   1,   2,   4,   5,
  ], [
    -3,  -1,   1,   0,   0,  -1,   0,   1,  -3,   0,   1,   0,  -1,  -1,   0,   2,
    -3,   0,   1,   0,  -1,  -1,   0,   2,  -2,   1,   2,   0,  -1,  -1,   0,   2,
    -2,   1,   2,   0,  -1,  -1,   0,   2,  -2,   1,   2,   0,  -1,  -1,   0,   2,
    -1,   2,   2,   0,  -1,  -1,   0,   2,  -1,   1,   1,   0,  -1,  -1,  -1,   1,
  ], [
    -2,  -2,  -1,   1,   3,   4,   3,   1,  -2,  -2,  -1,   0,   2,   3,   2,   0,
    -2,  -2,  -1,   0,   1,   2,   1,  -1,  -1,  -1,  -1,   0,   1,   2,   1,  -1,
    -1,  -1,  -1,   0,   1,   1,   0,  -2,   0,  -1,  -1,   0,   1,   1,   0,  -1,
     0,  -1,  -1,   0,   1,   1,   1,  -1,   0,  -1,  -1,   0,   0,   1,   0,  -1,
  ], [
    -2,  -1,   0,   1,   1,   1,   1,   1,  -2,  -1,   0,   0,   0,   0,   0,   0,
    -2,  -1,  -1,   0,  -1,  -1,  -2,  -2,  -2,  -1,  -1,  -1,  -1,  -2,  -2,  -3,
    -1,   0,   1,   1,   0,  -1,  -2,  -2,   1,   2,   3,   3,   2,   1,   0,   0,
     1,   2,   3,   3,   3,   2,   1,   0,   0,   0,   1,   1,   1,   1,   0,   0,
  ], [
     0,  -1,  -1,  -1,   0,   0,   0,   0,   1,   0,   0,   0,   0,   0,   1,   1,
     1,   1,   1,   1,   1,   1,   1,   1,   1,   1,   2,   2,   1,   1,   1,   1,
     1,   1,   1,   1,   1,   1,   1,   1,  -1,   0,   0,   1,   1,   0,   0,   0,
    -3,  -2,  -1,  -1,  -1,  -1,   0,  -1,  -5,  -5,  -4,  -3,  -2,  -2,  -2,  -1,
  ], [
     1,   1,   1,   1,   2,   1,   0,  -1,   1,   1,   1,   2,   1,   1,   0,  -1,
     1,   1,   1,   1,   1,   1,   0,  -2,   2,   1,   1,   1,   1,   1,   0,  -2,
     1,   1,   0,   0,   0,   0,  -1,  -3,   1,   1,   0,   0,   0,  -1,  -2,  -3,
     1,   1,   0,   0,  -1,  -1,  -2,  -4,   1,   0,   0,  -1,  -2,  -2,  -3,  -4,
  ], [
     8,   7,   5,   3,   2,   1,   1,   1,   2,   1,   0,   0,  -1,  -1,  -2,  -1,
    -1,  -1,  -1,  -2,  -2,  -2,  -2,  -1,  -1,  -1,  -1,  -1,   0,  -1,  -1,   0,
     0,   0,   0,   1,   1,   0,   0,   0,   0,   0,   1,   1,   1,   0,   0,   0,
    -1,   0,   0,   0,   0,   0,  -1,  -1,  -2,  -2,  -1,  -1,  -1,  -2,  -2,  -1,
  ], [
     9,   4,   0,  -2,  -2,  -2,  -1,  -1,   7,   2,  -1,  -2,  -2,  -1,   0,   0,
     4,   0,  -2,  -2,  -1,   0,   1,   1,   1,  -2,  -2,  -2,  -1,   0,   1,   1,
    -1,  -2,  -2,  -1,   0,   1,   1,   1,  -1,  -2,  -1,   0,   1,   1,   1,   0,
    -1,  -1,   0,   1,   1,   1,   0,  -1,   0,  -1,   0,   1,   0,   0,  -1,  -1,
  ], [
     0,   1,   1,   1,   1,   1,   0,   0,   1,   2,   2,   2,   1,   0,   0,   0,
     2,   2,   2,   2,   1,   0,  -1,  -1,   1,   1,   1,   0,  -1,  -2,  -2,  -2,
     0,   0,   0,  -1,  -2,  -3,  -2,  -2,  -1,  -1,  -1,  -2,  -2,  -2,  -1,   0,
    -1,  -1,  -1,  -1,   0,   0,   1,   2,  -1,  -1,  -1,   0,   1,   2,   3,   4,
  ], [
    -1,  -1,   0,   0,  -1,  -2,  -3,  -3,  -1,  -1,   0,   0,   0,  -1,  -1,  -1,
    -2,  -2,  -1,   0,   1,   1,   1,   1,  -2,  -2,  -2,   0,   1,   2,   3,   3,
    -1,  -1,  -1,   0,   1,   3,   3,   3,   1,   0,   0,   0,   1,   1,   2,   2,
     2,   2,   1,   0,   0,  -1,  -1,  -1,   3,   2,   1,   0,  -1,  -2,  -3,  -3,
  ], [
    -1,  -1,  -1,  -2,  -2,  -3,  -4,  -5,   0,   0,   0,  -1,  -1,  -3,  -3,  -4,
     1,   1,   1,   0,   0,  -1,  -2,  -3,   2,   2,   2,   1,   1,   0,  -1,  -1,
     2,   2,   2,   2,   1,   1,   0,  -1,   2,   2,   2,   2,   2,   1,   0,   0,
     1,   1,   2,   1,   1,   1,   0,   0,   0,   0,   1,   1,   0,   0,   0,  -1,
  ], [
    -2,   2,   3,   1,  -1,   1,   1,  -1,  -3,   2,   3,   0,  -1,   1,   1,  -1,
    -3,   2,   3,   0,  -1,   1,   1,  -1,  -4,   2,   3,   0,  -1,   1,   1,  -2,
    -4,   1,   3,   0,  -1,   1,   1,  -2,  -4,   1,   3,  -1,  -2,   1,   1,  -2,
    -3,   1,   2,   0,  -1,   1,   1,  -2,  -3,   1,   2,   0,  -1,   1,   1,  -1,
  ], [
    -1,  -1,  -1,  -2,  -2,  -2,  -2,  -2,   1,   1,   1,   1,   0,   0,   0,   0,
     1,   2,   2,   2,   2,   2,   2,   2,   0,   0,   1,   1,   1,   2,   2,   2,
    -2,  -2,  -1,  -1,  -1,   0,   0,   0,  -3,  -3,  -3,  -3,  -3,  -3,  -3,  -2,
    -1,  -1,  -1,  -1,  -2,  -2,  -2,  -2,   4,   4,   4,   4,   4,   3,   3,   2,
  ], [
    -3,  -3,  -2,  -1,   0,   1,   2,   5,  -3,  -3,  -3,  -2,  -1,   1,   3,   6,
    -3,  -3,  -2,  -2,   0,   2,   3,   5,  -3,  -2,  -2,  -2,   0,   1,   3,   5,
    -2,  -2,  -2,  -1,  -1,   1,   3,   5,  -2,  -2,  -1,  -1,   0,   1,   2,   4,
    -1,  -1,  -1,  -1,   0,   1,   1,   4,  -1,  -1,  -1,  -1,   0,   1,   2,   3,
  ], [
     0,  -1,   0,   1,   1,   0,  -1,  -1,   0,   0,   0,   1,   2,   0,  -1,  -1,
     1,   0,  -1,   0,   1,   0,   0,   0,   1,  -1,  -2,  -1,   0,   0,   0,   0,
     1,  -2,  -3,  -1,   0,   0,   0,   1,   1,  -1,  -3,  -2,   0,   1,   1,   2,
     1,  -1,  -2,  -1,   0,   1,   1,   2,   2,   0,  -1,   0,   1,   1,   2,   2,
  ], [
     1,   1,   1,   1,   0,   0,   1,   2,  -1,   0,   0,  -1,   0,   0,   0,   1,
    -3,  -2,  -1,  -1,  -1,   0,   1,   1,  -4,  -2,  -1,   0,   0,   1,   1,   1,
    -3,  -2,   0,   0,   1,   1,   1,   1,  -3,  -1,   0,   1,   1,   1,   0,   0,
    -1,   0,   1,   1,   1,   0,   0,  -1,   0,   1,   2,   2,   1,   0,   0,  -1,
  ], [
    -4,  -4,  -4,  -3,  -2,  -1,  -1,  -1,  -2,  -2,  -2,  -1,   0,   0,   0,   0,
    -1,   0,   0,   0,   1,   1,   1,   1,   0,   0,   1,   1,   1,   1,   1,   1,
     0,   0,   1,   1,   2,   2,   1,   0,   0,   0,   1,   1,   1,   1,   1,   0,
     0,   0,   0,   1,   1,   1,   1,   0,  -1,   0,   0,   1,   1,   1,   0,   0,
  ], [
     1,   2,   2,   2,   1,  -1,  -2,  -4,   1,   1,   2,   2,   1,   0,  -2,  -4,
     0,   1,   1,   1,   1,   0,  -1,  -3,  -1,   0,   1,   1,   0,   0,  -1,  -2,
    -1,   0,   1,   1,   1,   0,   0,  -1,  -2,  -1,   0,   0,   0,   0,   0,  -1,
    -1,  -1,   0,   1,   1,   0,   0,   0,  -1,   0,   1,   1,   1,   1,   1,   0,
  ], [
     2,   2,   0,  -1,  -2,  -1,  -1,  -2,   1,   1,  -1,  -2,  -2,  -1,  -1,  -2,
     1,   1,  -1,  -2,  -2,   0,   0,  -1,   1,   1,   0,  -2,  -1,   1,   1,   0,
     1,   1,   0,  -1,  -1,   1,   2,   1,   1,   1,   0,  -1,  -1,   1,   2,   1,
     1,   1,   0,  -1,  -1,   1,   1,   1,   1,   1,   0,  -1,   0,   1,   1,   1,
  ], [
     0,   0,  -1,  -2,  -4,  -4,  -4,  -4,   3,   3,   3,   2,   1,   0,   0,   0,
     3,   3,   3,   3,   2,   2,   2,   2,   0,   0,   0,   0,   0,   0,   0,   1,
    -1,  -1,  -1,  -1,  -1,  -1,  -1,   0,   0,  -1,   0,   0,  -1,   0,   0,   0,
     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  -1,  -1,   0,
  ], [
    -1,  -1,   0,  -1,  -1,   1,   2,  -1,   1,   1,   0,   0,   0,   2,   3,  -1,
     1,   1,   0,  -1,  -1,   1,   3,  -1,   1,   1,   0,  -2,  -2,   0,   1,  -2,
     1,   0,   0,  -2,  -2,   0,   1,  -3,   0,   0,   0,   0,  -1,   1,   1,  -3,
     0,   1,   1,   0,   1,   2,   1,  -3,  -1,   0,   1,   1,   1,   2,   1,  -4,
  ], [
    -4,  -3,   0,   1,   1,   1,   0,   0,  -4,  -2,   0,   1,   1,   1,   0,  -1,
    -3,  -1,   1,   1,   1,   0,  -1,  -1,  -1,   1,   1,   1,   1,   0,  -1,   0,
     1,   2,   2,   1,   0,  -1,   0,   0,   2,   2,   1,   0,  -1,  -1,   0,   1,
     2,   1,   0,  -1,  -2,  -1,   0,   1,   2,   2,   0,  -1,  -2,  -1,   1,   1,
  ], [
     1,   1,   0,   0,  -1,  -1,  -1,  -1,   0,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
    -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,   0,   0,  -1,  -1,  -1,  -1,  -1,  -1,
     1,   0,   0,  -1,  -1,  -1,  -1,  -1,   2,   1,   0,   0,  -1,  -1,  -1,  -1,
     5,   3,   2,   1,   0,   0,   0,   0,   6,   5,   3,   2,   1,   0,   0,   0,
  ], [
     4,   4,   3,   1,   0,   0,   0,   1,   3,   3,   2,   1,   0,   0,   0,   1,
     2,   2,   1,   0,  -1,  -1,   0,   1,   0,   0,   0,  -1,  -1,  -1,   0,   1,
     0,   0,  -1,  -1,  -2,  -1,   0,   2,   0,  -1,  -1,  -2,  -2,  -2,   0,   1,
     0,  -1,  -1,  -2,  -2,  -2,  -1,   0,   0,   0,  -1,  -2,  -2,  -2,  -1,   0,
  ], [
     0,   0,  -1,  -1,  -1,   0,   2,   3,   0,  -1,  -2,  -2,  -1,  -1,   1,   2,
     1,   0,  -1,  -1,  -1,   0,   0,   0,   1,   1,   1,   0,   0,   0,  -1,  -1,
     1,   2,   1,   0,   0,  -1,  -1,  -1,  -1,   0,   0,   0,  -1,  -1,  -1,  -1,
    -3,  -2,  -1,  -1,   0,   1,   1,   2,  -4,  -3,  -1,   1,   2,   3,   5,   5,
  ], [
     0,   0,   0,   0,   0,   0,   0,   0,   1,   1,   1,   1,   1,   1,   1,   1,
     0,   0,   0,  -1,   0,   0,   0,   1,  -1,  -1,  -2,  -2,  -2,  -1,  -1,   0,
     0,   0,   0,   0,   0,   1,   1,   1,   2,   2,   2,   2,   2,   3,   3,   3,
     1,   1,   1,   1,   2,   2,   1,   1,  -4,  -3,  -4,  -4,  -4,  -4,  -3,  -3,
  ], [
    -1,   0,   1,   2,   2,   3,   3,   3,  -1,  -1,  -1,  -1,   0,   0,   0,   0,
     0,   0,  -1,  -2,  -2,  -3,  -3,  -2,   3,   2,   1,   0,  -1,  -2,  -2,  -2,
     4,   3,   2,   1,   1,   0,   0,   0,   2,   2,   1,   1,   0,   1,   1,   1,
     0,  -1,  -1,  -1,  -1,   0,   0,   1,  -2,  -2,  -2,  -2,  -2,  -1,   0,   0,
  ], [
     1,  -1,   0,   2,   1,  -2,  -1,   1,   1,  -1,   0,   2,   1,  -2,  -2,   1,
     1,  -1,   0,   3,   2,  -2,  -1,   1,   0,  -2,   0,   3,   2,  -2,  -2,   1,
     0,  -2,   0,   3,   2,  -2,  -2,   1,   0,  -2,   0,   3,   1,  -2,  -1,   1,
     0,  -2,   0,   2,   1,  -2,  -2,   1,   0,  -1,   0,   2,   1,  -2,  -1,   1,
  ], [
     0,   1,   2,   2,   3,   3,   2,   2,   0,   1,   1,   2,   3,   3,   2,   1,
     0,   0,   1,   2,   2,   2,   2,   1,  -1,   0,   0,   1,   1,   1,   1,   1,
    -1,  -1,   0,   0,   0,   0,   0,   0,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,
    -2,  -2,  -2,  -2,  -2,  -2,  -2,  -1,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -1,
  ], [
     0,   0,  -1,  -2,  -1,   0,   3,   5,   0,   0,  -1,  -1,  -1,   0,   2,   4,
     1,   1,   0,   0,  -1,  -1,   1,   2,   1,   2,   1,   1,   0,  -1,  -1,   0,
     0,   1,   2,   1,   0,  -1,  -2,  -2,  -1,   0,   1,   2,   1,   0,  -3,  -3,
    -2,  -1,   1,   2,   2,   0,  -2,  -4,  -2,  -1,   0,   2,   2,   1,  -1,  -3,
  ], [
     0,   0,   0,   0,   0,   0,  -1,  -1,   0,   0,  -1,   0,   0,   0,   0,   0,
    -1,  -1,  -1,  -1,   0,   0,   0,   0,  -1,  -1,  -1,  -1,  -1,  -1,  -1,   0,
    -1,  -1,  -1,  -1,  -1,  -1,  -1,   0,  -1,   0,   0,   0,   0,  -1,  -1,   0,
     0,   0,   1,   1,   0,   0,   0,   1,   3,   3,   3,   4,   3,   3,   3,   3,
  ], [
     5,   1,  -2,  -2,   0,   0,   0,  -1,   4,  -1,  -3,  -1,   0,   0,   0,  -1,
     3,  -1,  -1,   0,   1,   1,   0,  -1,   2,   0,   0,   1,   1,   1,   0,  -2,
     1,   0,   0,   1,   1,   1,   0,  -2,   0,  -1,  -1,  -1,   0,   0,   0,  -1,
     0,  -1,  -1,  -1,  -1,   0,   0,  -1,   2,   1,   0,   0,   0,   1,   0,   0,
  ], [
     1,   0,   1,   1,   1,   1,   0,   0,   1,   0,   0,   1,   1,   0,   0,   0,
     1,  -1,  -1,   0,   0,   0,   0,   0,   2,   0,  -1,  -1,  -1,  -1,  -1,   0,
     3,   1,  -1,  -1,  -2,  -2,  -2,  -1,   4,   2,   1,   0,  -1,  -2,  -2,  -1,
     2,   1,   0,   0,  -1,  -1,   0,   0,   0,  -1,  -1,  -1,  -1,   0,   1,   1,
  ], [
     0,   1,   2,   2,   2,   1,  -1,  -3,   0,   0,   1,   1,   1,   0,  -1,  -2,
     0,   0,   0,   0,   0,   0,  -1,  -1,   0,   0,  -1,   0,   0,   1,   1,   0,
     0,   0,  -1,   0,   1,   1,   1,   1,   0,   0,   0,   0,   1,   1,   1,   0,
     0,   0,   1,   1,   2,   1,  -1,  -3,   0,   0,   0,   1,   1,  -1,  -4,  -5,
  ], [
    -2,  -2,  -2,  -1,   0,   2,   2,   2,   0,   0,   0,   0,   1,   1,   1,   0,
     1,   1,   1,   1,   1,   0,  -2,  -3,   0,   0,   1,   1,   0,  -1,  -3,  -4,
    -1,  -1,   0,   1,   0,   0,  -2,  -3,  -1,  -1,   0,   1,   1,   1,   0,  -1,
     0,   0,   0,   1,   1,   1,   1,   0,   1,   1,   1,   1,   0,   0,   0,   0,
  ], [
     0,   1,   0,   0,   1,   1,   1,   2,   1,   2,   0,   0,   0,   0,  -1,   1,
     0,   2,   0,  -1,   1,   0,  -1,   0,   0,   1,   0,   0,   2,   1,   0,   1,
     0,   1,  -1,   0,   2,   2,   0,   1,  -1,   0,  -1,  -1,   2,   1,   1,   2,
    -2,  -2,  -3,  -2,   0,   1,   1,   1,  -2,  -2,  -3,  -3,  -1,  -1,  -1,   0,
  ], [
    -3,  -1,   0,   1,   2,   1,   1,   0,  -3,  -1,   0,   1,   2,   1,   1,   1,
    -2,   0,   0,   1,   1,   1,   1,   1,  -1,   0,   0,   0,   0,   0,   0,   0,
    -2,   0,   0,   0,   0,  -1,  -1,   0,  -2,   0,   0,   0,   0,   0,  -1,  -1,
    -3,   0,   1,   1,   1,   1,   0,   1,  -5,  -2,   0,   1,   2,   2,   1,   2,
  ], [
    -2,  -1,  -1,   0,   0,   1,   2,   3,   0,   0,   1,   1,   0,   0,   1,   2,
     0,   0,   1,   0,  -1,  -1,   0,   1,  -1,  -1,  -1,  -1,  -2,  -2,  -1,   0,
    -2,  -2,  -2,  -2,  -2,  -1,   0,   1,   0,   0,   0,  -1,   0,   1,   2,   2,
     2,   1,   0,   0,   0,   1,   2,   2,   2,   1,   0,  -1,  -1,  -1,   0,   0,
  ], [
     0,   1,   1,   1,   1,   1,  -1,  -4,  -1,  -1,   0,   1,   1,   1,   0,  -3,
    -2,  -1,   0,   0,   1,   2,   2,  -2,  -1,   0,   0,   0,   0,   2,   3,  -1,
    -1,   0,   0,   0,   0,   1,   2,   0,   0,   0,  -1,  -2,  -1,   1,   1,   0,
     0,   0,  -1,  -2,  -2,   0,   2,   1,   0,   0,  -1,  -2,  -1,   1,   2,   2,
  ], [
     1,   0,   0,   0,  -2,  -3,  -2,  -3,   0,   0,   1,   0,  -2,  -2,  -1,  -1,
     0,  -1,   1,   1,  -1,  -1,   0,   0,   0,  -1,   1,   1,  -1,  -1,   0,   0,
     0,   1,   2,   1,  -1,  -1,   0,   1,   1,   2,   3,   2,   0,   0,   1,   2,
    -1,   0,   2,   1,   0,   0,   2,   3,  -2,  -1,   0,   0,  -1,   0,   1,   2,
  ], [
     1,   1,   0,  -1,  -2,  -2,  -1,   1,   1,   1,   1,  -1,  -2,  -2,   0,   2,
     1,   1,   1,  -1,  -1,  -1,   0,   2,   0,   0,   0,   0,   0,   0,   1,   2,
    -1,  -1,  -1,   0,   0,   0,   1,   2,  -1,  -2,  -1,   1,   1,   1,   0,   0,
    -1,  -2,  -1,   1,   2,   2,   0,  -1,  -1,  -2,  -1,   2,   2,   2,   0,  -1,
  ], [
    -1,  -1,  -1,  -2,  -1,  -1,   0,   1,   0,   0,  -1,  -1,  -1,   0,   1,   2,
     1,   0,   0,   0,   0,   1,   1,   2,   1,   1,   0,   0,   1,   1,   1,   1,
     1,   1,   0,   1,   1,   0,   1,   1,   1,   1,   1,   1,   0,  -1,  -1,  -1,
     1,   2,   1,   0,  -1,  -2,  -2,  -3,   2,   2,   1,   0,  -2,  -3,  -4,  -4,
  ], [
    -4,  -2,   1,   1,   1,   1,   0,   0,  -2,   0,   1,   0,   0,   0,   0,   0,
     0,   1,   1,  -2,  -2,  -1,   0,   1,   2,   2,   1,  -2,  -2,  -1,   1,   2,
     1,   2,   1,  -2,  -2,  -1,   1,   2,  -1,   1,   1,  -1,  -1,  -1,   0,   1,
    -2,   0,   1,   1,   0,  -1,  -1,   0,  -2,   0,   2,   2,   1,  -1,  -1,   0,
  ], [
     1,   1,   0,   0,   0,   1,   0,   0,  -2,  -3,  -3,  -2,  -2,  -1,   0,   0,
    -3,  -4,  -3,  -2,  -1,   0,   0,   0,  -1,  -1,   0,   1,   2,   3,   2,   1,
     0,   1,   2,   3,   3,   3,   2,   1,   1,   1,   1,   2,   1,   0,   0,  -1,
     0,   0,   0,   0,  -1,  -1,  -1,  -1,   0,  -1,  -1,   0,   0,   0,   0,   0,
  ], [
     1,   1,   0,   0,  -1,  -1,   0,   2,   0,   0,   1,   0,  -1,  -1,   1,   1,
    -2,  -1,   0,   1,   1,   1,   1,   1,  -3,  -3,   0,   2,   2,   1,   1,   0,
    -2,  -2,   0,   1,   1,   1,   0,   0,   1,   0,   0,   0,   0,   0,  -1,  -1,
     3,   1,  -1,  -3,  -2,  -1,   0,   1,   4,   2,  -1,  -3,  -3,  -1,   1,   2,
  ], [
     0,   0,   0,  -1,  -1,  -1,  -1,  -1,   1,   2,   1,   0,   0,   0,  -1,  -1,
     2,   3,   3,   2,   1,   0,  -1,  -1,   3,   4,   4,   2,   1,   0,  -1,  -2,
     3,   3,   2,   1,   0,  -1,  -2,  -2,   1,   1,   0,  -1,  -1,  -2,  -2,  -3,
     0,   0,   0,  -1,  -1,  -2,  -2,  -2,  -1,  -1,  -1,  -1,  -1,  -2,  -2,  -1,
  ], [
     1,   2,   2,   2,   2,   1,   2,   2,   0,   1,   1,   1,   1,   0,   0,   0,
     0,   0,   0,   1,   1,   0,  -1,  -2,   0,   0,   0,   0,   1,   0,  -1,  -4,
     1,   0,   0,   0,   0,   0,  -2,  -5,   1,   0,   0,   0,   0,   0,  -1,  -4,
     1,   0,  -1,   0,   0,   0,  -1,  -3,   0,  -1,  -1,   0,   1,   1,   1,  -1,
  ], [
    -2,  -1,   0,   0,  -1,  -1,  -1,  -2,  -1,   0,   0,   0,  -1,  -1,  -2,  -2,
     0,   1,   1,   0,  -1,  -1,  -1,  -2,   0,   1,   1,   0,   0,   0,  -1,  -1,
     0,   1,   0,   0,   1,   1,   1,   0,   1,   1,   0,   0,   1,   2,   2,   1,
     1,   1,   0,   0,   1,   2,   2,   1,   1,   1,   0,  -1,   0,   1,   1,   0,
  ], [
     4,   2,   1,   0,   0,   1,   1,   1,   4,   2,   1,   0,   0,   0,   0,   1,
     3,   1,   0,   0,  -1,  -1,  -1,   0,   1,   0,   0,  -1,  -1,  -2,  -1,   0,
     0,   0,   0,   0,  -1,  -1,  -1,   0,  -1,  -1,   0,   0,  -1,  -1,   0,   1,
    -2,  -1,   0,  -1,  -1,   0,   0,   1,  -2,  -2,  -1,  -2,  -1,   0,   0,   1,
  ], [
     0,   1,   1,   1,   2,   1,   0,  -1,  -1,  -1,  -1,   0,   0,  -1,  -2,  -2,
    -1,   0,  -1,   0,   0,  -1,  -2,  -1,   0,   0,   0,   0,   0,   0,   1,   2,
     0,   0,   0,   0,   0,   0,   2,   3,  -1,   0,  -1,  -1,  -1,  -1,   0,   3,
    -1,   0,   0,  -1,  -1,  -2,   0,   3,   0,   0,   0,   0,  -1,  -1,   1,   4,
  ], [
     2,   2,   0,   0,   0,   0,   0,   1,   1,   1,  -1,  -2,  -1,  -2,  -1,   1,
    -1,  -1,  -2,  -2,  -2,  -3,  -2,   0,  -1,   0,  -1,  -1,  -1,  -2,  -1,   1,
     1,   1,   0,   0,   1,   0,   0,   1,   2,   2,   0,   0,   1,   0,   0,   1,
     2,   2,   0,   0,   0,   0,  -1,  -1,   2,   2,   0,   0,   1,   0,  -1,  -1,
  ], [
    -1,   0,   1,   1,   0,  -1,  -1,  -1,   1,   2,   3,   2,   1,   0,   0,   0,
     0,   1,   1,   1,   0,  -1,   0,   0,  -2,  -2,  -1,   0,   1,   0,   0,   0,
    -2,  -2,  -1,   2,   2,   2,   1,   0,  -2,  -1,   0,   1,   1,   0,   0,  -1,
    -1,  -1,   0,   0,  -1,  -2,  -1,  -2,   0,   1,   1,   1,   0,   0,   1,   1,
  ], [
    -3,  -3,  -3,  -2,  -1,  -1,  -2,  -2,  -1,  -1,   0,   1,   2,   1,   0,   0,
     1,   1,   1,   2,   2,   1,   0,   0,   1,   1,   1,   1,   1,   0,  -1,   1,
     1,   0,  -1,  -1,   0,   0,  -1,   1,   0,  -1,  -1,  -1,   0,  -1,  -1,   1,
     1,   0,  -1,   0,   0,  -1,   0,   2,   2,   0,  -1,   0,   0,   0,   0,   2,
  ], [
     1,   0,  -2,  -1,   0,   1,   1,   0,   2,   0,  -1,  -1,   0,   1,   1,   0,
     1,   0,  -2,  -1,   0,   1,   0,  -1,   1,   0,  -1,  -1,   0,   1,   0,  -1,
     0,   1,   1,   0,   1,   1,   0,   0,  -2,   1,   2,   1,   0,   0,   0,   1,
    -5,   0,   2,   1,   0,  -1,   0,   1,  -6,  -1,   2,   1,   0,  -1,   0,   0,
  ], [
     5,   3,   0,  -1,  -2,  -1,  -1,  -1,   1,   1,   0,  -1,  -1,   0,  -1,  -1,
    -1,   0,   1,   1,   2,   2,   1,   0,  -2,  -1,   0,   1,   2,   1,   1,   1,
    -2,  -1,  -1,  -1,   0,  -1,   0,   1,   0,   1,   0,   0,  -1,  -1,   0,   0,
     0,   1,   1,   1,   1,   0,   0,   0,  -3,  -2,   0,   1,   1,   0,   0,  -1,
  ], [
    -1,   0,   1,   0,  -1,   0,   2,   3,  -1,   0,   0,  -2,  -4,  -2,  -1,   0,
     0,   1,   1,   0,  -2,  -1,   0,  -1,   1,   2,   3,   1,   0,   1,   1,   0,
    -1,   0,   1,   1,   1,   1,   1,   0,  -2,  -3,  -2,   0,   0,   0,   1,   0,
    -1,  -2,  -2,   0,   1,   0,   0,  -1,   3,   1,   0,   0,   1,   0,  -1,  -1,
  ], [
    -2,  -1,   0,   0,  -1,  -1,   0,   0,  -1,   0,   0,   0,   0,   1,   1,   1,
    -1,  -1,  -1,   0,   1,   1,   1,   1,   0,  -2,  -3,  -1,   1,   0,   0,   0,
     1,  -1,  -3,  -1,   1,   1,   0,  -1,   3,   1,  -1,   1,   2,   2,   0,  -1,
     3,   1,   0,   1,   2,   1,   1,   0,   0,  -2,  -2,  -1,  -1,   0,   0,   0,
  ], [
     1,   0,  -1,  -1,   1,   2,   1,   0,   0,  -1,  -2,  -1,   1,   2,   2,   1,
    -1,  -1,  -1,   0,   0,   1,   2,   0,  -2,   0,   0,   0,   0,   0,   1,  -1,
    -1,   0,   1,   0,  -1,  -1,  -1,  -1,   0,   1,   1,   2,   0,  -2,  -1,   0,
     1,   2,   2,   2,   1,  -1,  -1,   0,   0,   1,   1,   1,   0,  -2,  -2,  -1,
  ], [
     0,   0,  -1,  -1,  -1,  -1,  -2,  -2,   0,   0,  -1,   0,   1,   2,   2,   1,
     0,   0,  -1,  -1,   0,   1,   2,   2,   1,   1,  -1,  -2,  -1,  -1,  -1,  -1,
     2,   2,   1,   0,   0,  -1,  -2,  -2,   1,   2,   2,   1,   0,   0,  -2,  -2,
     0,   0,   0,   0,   1,   1,   0,  -1,   0,  -1,  -1,  -1,   2,   3,   2,   1,
  ], [
     0,  -2,   1,   2,  -1,   0,   0,   1,  -1,  -2,   2,   3,  -1,   0,   0,   0,
     0,  -2,   2,   3,  -1,  -1,   0,   0,   0,  -1,   3,   2,  -2,   0,   1,   0,
     0,  -1,   3,   1,  -2,   0,   1,   0,   0,  -1,   2,   1,  -1,   1,   0,  -1,
     0,   0,   1,  -1,  -2,   0,   0,  -1,   1,   0,   0,  -2,  -2,  -1,  -1,  -1,
  ], [
     1,   1,   1,   1,   1,  -1,  -1,  -2,   0,   0,   0,   1,   1,   1,   1,   1,
     0,   0,   0,   1,   1,   1,   2,   3,   1,   0,   0,  -1,   0,   0,   1,   2,
     0,  -1,  -1,  -2,  -1,   0,   1,   2,  -2,  -2,  -2,  -2,  -1,   0,   1,   1,
    -1,  -1,  -1,  -1,   0,   0,   0,  -1,   2,   2,   2,   0,  -1,  -1,  -2,  -4,
  ], [
    -1,  -2,  -1,  -1,   0,   1,   2,   3,  -1,  -1,  -1,  -1,   0,   1,   2,   3,
     1,   0,  -1,   0,  -1,   0,   1,   2,   1,   0,   0,   0,  -1,   0,   2,   2,
     1,   0,  -1,  -1,  -2,   0,   1,   2,   0,  -2,  -2,  -2,  -3,  -1,   0,   1,
     0,  -2,  -2,  -2,  -2,  -1,   1,   1,   0,   0,   0,   0,   0,   1,   2,   2,
  ]
];

pub const SVQ_INTRA_CB_8X4: [[i8; 32]; 96] = [
  [
     5,   6,   6,   6,   7,   7,   8,   8,   0,   0,   0,   0,   0,   1,   2,   3,
    -3,  -4,  -4,  -5,  -5,  -4,  -3,  -2,  -4,  -4,  -4,  -5,  -4,  -4,  -3,  -3,
  ], [
     1,   2,   2,   2,   2,   3,   3,   3,   2,   3,   3,   4,   4,   5,   5,   5,
    -1,   0,   1,   1,   2,   3,   4,   4,  -9, -10,  -9,  -9,  -8,  -7,  -6,  -5,
  ], [
    -4,  -4,  -5,  -6,  -6,  -7,  -7,  -7,   0,  -1,  -2,  -2,  -3,  -3,  -4,  -4,
     4,   4,   3,   3,   2,   1,   1,   0,   7,   7,   7,   6,   6,   5,   4,   4,
  ], [
     2,   4,   5,   6,   4,   1,  -3,  -6,   3,   4,   5,   5,   4,   0,  -5,  -8,
     2,   3,   4,   4,   2,  -2,  -7, -10,   2,   2,   2,   1,   0,  -4,  -9, -12,
  ], [
    -9,  -7,  -3,   1,   4,   4,   3,   3, -10,  -7,  -2,   3,   5,   5,   3,   3,
    -9,  -6,  -2,   3,   6,   5,   4,   3,  -8,  -6,  -1,   3,   4,   4,   3,   2,
  ], [
    -5,  -5,  -5,  -5,  -3,   1,   4,   7,  -5,  -5,  -5,  -4,  -2,   1,   6,   8,
    -4,  -5,  -4,  -3,  -1,   3,   8,  10,  -3,  -4,  -3,  -2,   1,   5,   9,  11,
  ], [
    -2,  -2,  -2,  -2,  -2,  -2,  -2,  -2,  -4,  -5,  -5,  -5,  -5,  -5,  -5,  -4,
    -3,  -4,  -4,  -4,  -4,  -4,  -4,  -3,   9,  10,  10,  11,  11,  11,  10,  10,
  ], [
     7,   4,   1,  -2,  -4,  -6,  -9, -10,   9,   7,   3,   0,  -2,  -4,  -8,  -9,
    11,   8,   4,   2,   0,  -3,  -6,  -8,  11,   9,   5,   3,   1,  -2,  -5,  -7,
  ], [
   -13, -13, -13, -12, -11, -10,  -8,  -8,   0,   1,   2,   3,   4,   4,   4,   3,
     3,   4,   5,   6,   6,   6,   5,   4,   3,   4,   4,   4,   3,   3,   3,   2,
  ], [
    10,  10,  11,  10,   9,   9,   8,   7,   6,   6,   6,   6,   5,   4,   3,   2,
     0,   0,   0,  -1,  -2,  -3,  -4,  -4, -10, -10, -11, -12, -13, -14, -14, -14,
  ], [
    16,  16,  17,  16,  15,  13,  12,  11,  -1,  -2,  -3,  -4,  -4,  -4,  -4,  -3,
    -4,  -5,  -6,  -6,  -6,  -6,  -6,  -6,  -5,  -6,  -6,  -6,  -6,  -6,  -5,  -5,
  ], [
   -13, -13, -13, -12, -11, -10,  -8,  -6,  -9,  -8,  -7,  -6,  -4,  -2,   0,   1,
    -2,  -1,   1,   3,   5,   7,   8,   9,   5,   7,   9,  11,  13,  14,  15,  15,
  ], [
    16,  14,  11,   7,   2,  -3,  -7,  -9,  14,  12,   8,   3,  -1,  -6,  -9, -11,
    11,   9,   4,   0,  -4,  -8, -11, -13,   8,   5,   1,  -3,  -6, -10, -12, -14,
  ], [
   -18, -15,  -9,  -3,   1,   6,   9,  11, -17, -13,  -7,  -1,   3,   7,  11,  12,
   -15, -11,  -5,   1,   5,   9,  12,  13, -13,  -9,  -3,   2,   5,   9,  11,  13,
  ], [
    22,  21,  19,  15,  10,   3,  -4,  -9,  20,  18,  15,   9,   2,  -5, -12, -17,
    16,  13,   8,   1,  -7, -14, -20, -24,  10,   6,  -1,  -8, -15, -21, -25, -27,
  ], [
   -25, -23, -20, -14,  -7,   1,   9,  14, -23, -21, -16,  -9,   0,   9,  16,  21,
   -20, -16, -10,  -1,   8,  16,  22,  25, -15, -11,  -3,   6,  14,  20,  25,  27,
  ], [
    -4,  -2,   0,   1,   2,   2,   2,   2,  -5,  -2,   0,   2,   3,   3,   3,   3,
    -6,  -4,  -1,   1,   2,   3,   3,   3,  -7,  -5,  -2,   0,   1,   1,   2,   2,
  ], [
     2,   1,   1,   1,   1,   0,  -2,  -3,   3,   3,   2,   1,   0,  -1,  -3,  -4,
     4,   3,   2,   1,   0,  -2,  -4,  -6,   5,   4,   3,   1,  -1,  -3,  -5,  -6,
  ], [
     5,   6,   6,   4,   2,   0,  -2,  -3,   3,   4,   4,   4,   3,   1,   0,  -1,
    -2,  -2,  -1,  -1,  -1,  -1,  -2,  -2,  -5,  -4,  -3,  -2,  -2,  -2,  -3,  -3,
  ], [
    -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -3,  -4,  -4,  -4,  -3,  -3,  -3,  -3,
    -1,  -1,  -1,  -1,  -1,  -1,  -1,  -2,   5,   6,   6,   6,   6,   5,   4,   3,
  ], [
     4,   4,   4,   4,   4,   5,   6,   7,   0,  -1,  -1,  -1,  -1,   0,   1,   2,
    -2,  -3,  -3,  -3,  -3,  -2,  -1,   0,  -3,  -3,  -4,  -4,  -4,  -3,  -2,  -1,
  ], [
     0,  -2,  -4,  -4,  -2,   0,   2,   3,   0,  -2,  -3,  -3,  -1,   2,   4,   5,
    -1,  -2,  -4,  -3,   0,   3,   5,   6,  -2,  -3,  -4,  -3,  -1,   2,   4,   5,
  ], [
     9,   4,   0,  -3,  -3,  -1,   0,   1,   8,   4,  -1,  -4,  -3,  -1,   1,   2,
     6,   2,  -3,  -5,  -4,  -2,   0,   1,   5,   1,  -3,  -4,  -4,  -2,   0,   1,
  ], [
     5,   3,   1,  -1,  -4,  -8, -10, -10,   3,   3,   2,   1,   0,  -2,  -3,  -4,
     1,   1,   1,   2,   3,   2,   1,   0,  -1,   0,   1,   2,   3,   4,   3,   2,
  ], [
     0,   1,   2,   2,   1,  -1,  -3,  -3,   0,   1,   1,   1,  -1,  -2,  -4,  -3,
    -3,  -3,  -3,  -3,  -3,  -3,  -1,   2,  -4,  -4,  -3,   0,   3,   7,  12,  14,
  ], [
    -5,  -5,  -6,  -6,  -6,  -6,  -6,  -5,   2,   2,   2,   1,   0,   0,   0,   0,
     4,   4,   3,   2,   1,   0,   0,   0,   6,   6,   5,   4,   2,   2,   1,   1,
  ], [
    -7,  -7,  -6,  -3,   0,   4,   7,   8,  -1,  -2,  -3,  -3,  -2,  -1,   1,   2,
     3,   3,   1,  -1,  -2,  -2,  -2,  -1,   6,   6,   4,   2,   0,  -2,  -2,  -2,
  ], [
    -6,  -5,  -2,   2,   5,   9,  11,  12,  -4,  -4,  -2,   0,   2,   4,   5,   6,
    -3,  -2,  -2,  -2,  -2,  -1,   0,   1,  -2,  -2,  -2,  -3,  -3,  -3,  -3,  -2,
  ], [
    -7,  -3,   1,   3,   3,   0,  -3,  -5,  -6,  -2,   3,   5,   4,   1,  -3,  -5,
    -5,  -1,   4,   6,   5,   2,  -3,  -4,  -4,   0,   5,   7,   6,   3,  -1,  -3,
  ], [
     0,   0,   0,   0,   0,   0,   0,   0,  -2,  -2,  -3,  -3,  -3,  -3,  -2,  -1,
     6,   7,   8,   9,   9,   8,   7,   6,  -4,  -4,  -5,  -5,  -6,  -6,  -5,  -4,
  ], [
    -9,  -8,  -6,  -4,   0,   3,   6,   6,  -5,  -4,  -1,   3,   5,   6,   5,   3,
     1,   3,   6,   6,   4,   1,  -2,  -5,   6,   7,   5,   1,  -3,  -7, -10, -11,
  ], [
    10,   9,   5,   1,  -3,  -6,  -6,  -4,   5,   3,  -1,  -5,  -6,  -5,  -2,   2,
    -2,  -4,  -6,  -6,  -4,   1,   6,  10,  -6,  -7,  -7,  -4,   1,   7,  11,  12,
  ], [
     6,   5,   3,   2,   0,   0,   0,   0,   2,   1,  -1,  -2,  -3,  -2,  -1,  -1,
     0,  -1,  -2,  -4,  -4,  -2,  -1,   1,   0,   0,  -1,  -2,  -1,   0,   2,   3,
  ], [
     0,  -1,  -2,  -2,  -2,  -2,  -1,  -1,   5,   4,   2,   1,   0,   0,   0,   0,
     6,   5,   3,   1,   0,   0,   0,   0,   2,   0,  -2,  -4,  -4,  -3,  -2,  -2,
  ], [
    -7,  -4,   0,   2,   2,   2,   2,   1,  -7,  -3,   0,   0,   0,   0,   0,   0,
    -4,  -1,   1,   1,   0,   0,   0,   1,  -1,   1,   2,   2,   2,   2,   3,   3,
  ], [
    -2,   0,   2,   2,   1,   1,   1,   1,  -1,   1,   2,   2,   1,   0,   0,  -1,
     0,   2,   4,   2,   0,  -1,  -2,  -3,   1,   2,   3,   1,  -2,  -4,  -6,  -6,
  ], [
     1,   2,   2,   4,   5,   6,   4,   1,   0,  -1,  -1,  -1,   0,   0,  -2,  -4,
     0,   0,  -1,  -2,  -2,  -2,  -4,  -6,   2,   1,   0,   0,   1,   1,  -1,  -3,
  ], [
     1,   1,   1,   1,   1,   2,   3,   3,   0,   0,   1,   0,   1,   2,   4,   4,
    -1,  -1,  -1,  -1,   0,   1,   2,   3,  -4,  -4,  -5,  -5,  -5,  -3,  -1,   0,
  ], [
    -6,  -5,  -5,  -4,  -3,  -2,  -1,  -1,  -1,   0,   0,   1,   1,   2,   3,   3,
     0,   1,   1,   1,   2,   2,   3,   4,   0,   0,  -1,  -1,   0,   1,   2,   3,
  ], [
     0,   1,   1,   1,   0,   0,  -1,  -1,   1,   3,   3,   2,   1,  -1,  -2,  -2,
    -2,   0,   2,   2,   2,   2,   1,   1,  -9,  -8,  -4,  -2,   1,   3,   3,   3,
  ], [
    -1,  -1,  -1,  -2,  -3,  -3,  -3,  -4,   0,   0,   0,  -1,  -2,  -2,  -3,  -3,
     2,   2,   2,   0,  -1,  -1,  -1,  -1,   5,   5,   4,   3,   2,   2,   2,   2,
  ], [
     6,   3,  -1,  -4,  -3,  -1,   1,   1,   2,  -1,  -3,  -4,  -1,   2,   2,   0,
    -1,  -2,  -2,   1,   4,   4,   1,  -3,  -2,  -1,   1,   4,   6,   3,  -3,  -8,
  ], [
     3,   3,   2,   1,  -1,  -2,  -2,  -2,  -4,  -4,  -2,  -1,   1,   3,   4,   4,
    -4,  -5,  -5,  -4,  -2,   0,   2,   2,   7,   7,   4,   1,  -1,  -2,  -3,  -2,
  ], [
    -1,   1,   3,   0,  -4,  -6,   0,   6,  -2,   1,   4,   1,  -4,  -6,  -1,   7,
    -3,   1,   4,   2,  -3,  -6,  -1,   6,  -2,   0,   3,   2,  -2,  -5,  -1,   4,
  ], [
     1,  -1,  -2,   1,   4,   4,  -1,  -7,   1,  -1,  -4,  -1,   5,   6,   0,  -6,
     3,   0,  -4,  -3,   3,   6,   2,  -4,   3,   0,  -5,  -4,   1,   4,   1,  -3,
  ], [
     2,   2,   3,   3,   3,   3,   2,   2,  -4,  -5,  -6,  -7,  -7,  -7,  -7,  -6,
     1,   2,   3,   3,   3,   3,   2,   2,   0,   0,   1,   1,   1,   2,   2,   1,
  ], [
     3,  -3,  -3,   3,   4,  -2,  -2,   2,   3,  -4,  -4,   4,   4,  -4,  -4,   2,
     4,  -4,  -4,   4,   4,  -4,  -3,   3,   3,  -3,  -4,   3,   3,  -3,  -3,   3,
  ], [
    -2,  -2,  -2,  -2,  -2,  -2,  -1,  -1,   6,   7,   8,   8,   8,   7,   6,   5,
    -5,  -6,  -7,  -7,  -8,  -7,  -6,  -5,   1,   1,   2,   2,   2,   2,   1,   1,
  ], [
     0,   0,   0,   0,   0,  -1,   0,   0,  -1,   0,   0,   0,   0,  -1,   0,   0,
    -2,  -3,  -2,  -2,  -2,  -3,  -3,  -3,   2,   3,   5,   6,   4,   2,   1,   0,
  ], [
     8,   6,   2,   0,   0,   0,   0,   0,   4,   1,   0,   0,   0,  -1,  -1,  -1,
     1,  -1,   0,   0,   0,  -1,  -2,  -3,  -2,  -2,  -1,   0,   0,  -2,  -4,  -5,
  ], [
     3,   1,  -1,  -2,  -3,  -4,  -5,  -5,   2,   1,   0,   0,   1,   1,   0,   0,
     0,  -1,  -1,   0,   2,   2,   2,   2,  -1,  -2,  -1,   1,   2,   2,   2,   2,
  ], [
     0,  -1,  -2,  -1,  -1,  -1,  -1,   0,  -1,  -2,  -2,  -1,  -1,   0,   0,   1,
     2,   1,   1,   2,   2,   1,   1,   0,   6,   5,   3,   1,   0,  -2,  -4,  -4,
  ], [
    -3,  -2,  -1,   0,   1,   1,   0,  -1,   0,   1,   3,   4,   5,   5,   3,   1,
    -1,  -1,  -1,   0,   1,   0,  -1,  -2,  -2,  -2,  -2,  -1,   0,  -1,  -2,  -3,
  ], [
     0,  -1,  -2,  -2,  -1,  -1,   0,   2,   1,  -1,  -2,  -1,  -1,  -1,   0,   2,
     1,   0,  -2,  -2,  -2,  -2,   1,   5,   1,  -1,  -2,  -2,  -2,   0,   5,  10,
  ], [
     0,   0,   0,   0,   0,  -1,  -1,  -1,  -1,  -1,  -1,   0,   0,   0,   1,   2,
     1,   2,   2,   3,   4,   4,   6,   5,  -3,  -3,  -3,  -2,  -2,  -3,  -3,  -3,
  ], [
     1,  -1,  -2,  -2,   0,   3,   5,   7,   2,   0,  -2,  -3,  -2,   0,   2,   3,
     3,   1,  -2,  -3,  -3,  -2,  -1,  -1,   3,   1,   0,  -1,  -1,  -1,  -1,  -1,
  ], [
     1,   3,   5,   4,   2,  -1,  -3,  -4,  -3,  -2,   1,   2,   1,   0,  -1,  -2,
    -5,  -3,   0,   2,   2,   1,   0,   0,  -3,  -1,   1,   2,   2,   1,   0,   0,
  ], [
     0,  -1,  -1,  -1,   1,   2,   3,   4,  -3,  -4,  -4,  -3,  -1,   0,   0,   1,
    -2,  -3,  -2,  -1,   1,   1,   1,   1,  -2,  -2,   0,   3,   4,   4,   3,   2,
  ], [
    -4,  -4,  -3,  -2,  -1,   1,   2,   3,   0,   1,   1,   1,  -1,  -2,  -3,  -3,
     3,   4,   5,   4,   2,  -1,  -3,  -3,  -2,  -2,   0,   2,   2,   2,   1,   0,
  ], [
    -4,   0,   5,   7,   4,  -1,  -4,  -4,  -1,   2,   4,   3,   0,  -3,  -3,  -2,
     2,   1,   0,  -1,  -2,  -2,   0,   1,   0,   0,  -1,  -2,  -2,  -1,   1,   2,
  ], [
    -4,  -3,  -2,  -1,   0,   1,   2,   2,  10,   9,   5,   0,  -3,  -4,  -3,  -2,
     1,  -1,  -2,  -2,  -1,   0,   0,   0,  -2,  -2,  -1,   1,   1,   1,   0,  -1,
  ], [
    -5,  -3,   0,   3,   4,   2,   0,  -2,  -2,  -1,   0,   1,   1,   0,  -1,  -1,
     3,   2,  -1,  -2,  -2,  -1,   1,   1,   7,   5,  -1,  -5,  -6,  -2,   2,   4,
  ], [
    -2,   3,   3,  -3,  -4,   1,   2,  -2,  -3,   3,   4,  -3,  -4,   2,   3,  -2,
    -3,   3,   4,  -3,  -4,   2,   3,  -2,  -4,   2,   4,  -2,  -3,   1,   2,  -1,
  ], [
     4,   3,  -1,  -3,  -3,  -1,   1,   2,  -4,  -6,  -4,   0,   4,   5,   4,   1,
     0,   2,   5,   6,   2,  -3,  -5,  -4,   1,   1,  -1,  -3,  -5,  -2,   2,   4,
  ], [
    -1,   0,   1,   2,   2,   3,   3,   4,  -1,   0,   1,   1,   0,  -1,  -1,  -1,
    -1,   0,   1,   2,   2,   1,  -1,  -2,  -3,  -2,  -1,   0,   0,  -1,  -2,  -3,
  ], [
     1,   1,   1,   1,   0,   0,   1,   2,   1,   0,  -1,   0,   0,   1,   1,   0,
     1,  -2,  -4,  -1,   1,   2,   1,   0,   1,  -4,  -7,  -3,   1,   3,   2,   1,
  ], [
     1,   1,   1,   1,   1,   1,   0,  -1,   1,   1,   1,   0,   1,   2,   2,   0,
     1,   1,   0,   0,   0,   2,   0,  -3,   3,   2,   0,  -1,  -1,  -2,  -6,  -9,
  ], [
     0,   0,   0,   1,   0,   0,   1,   2,   1,   0,   0,   0,  -1,  -1,   0,   2,
     0,   1,   1,   1,  -1,  -3,  -2,   0,  -7,  -5,   1,   6,   6,   2,  -1,  -1,
  ], [
     3,   1,  -1,  -3,  -4,  -2,   1,   4,   2,   0,  -2,  -3,  -4,  -3,  -1,   2,
     2,   2,   1,   1,   1,   0,   0,   1,   1,   1,   0,   0,   0,   0,   0,   1,
  ], [
    -1,   1,   1,  -2,  -5,  -6,  -4,  -1,  -1,   1,   4,   3,   2,   0,   1,   2,
    -1,   0,   2,   3,   1,   0,   0,   1,  -1,   0,   1,   0,   0,  -1,  -1,   0,
  ], [
     0,   1,   2,   2,   0,  -2,  -1,   1,  -2,  -1,  -1,  -2,  -1,   2,   6,   8,
    -1,  -1,  -2,  -3,  -2,   0,   1,   2,  -1,   0,   0,  -1,  -1,   0,  -1,  -1,
  ], [
     2,   1,   1,   1,   1,   0,   0,   0,   0,   0,   1,   1,   1,  -1,  -1,   1,
    -1,   0,   2,   2,  -1,  -3,  -2,   3,   0,   2,   3,   0,  -5,  -7,  -2,   4,
  ], [
    -1,   0,   0,   0,  -1,  -2,  -3,  -3,  -1,   0,  -1,  -2,  -2,  -2,  -2,  -2,
     1,   1,   0,   0,   1,   2,   0,  -1,   1,   2,   1,   2,   5,   6,   2,   0,
  ], [
    -2,  -4,  -3,   0,   2,   2,   0,  -3,   3,   1,   0,   1,   2,   1,  -2,  -3,
     3,   1,   0,   0,   0,   0,   0,  -1,   1,  -1,  -2,  -2,  -1,   1,   3,   3,
  ], [
     3,   2,   1,   2,   4,   3,   1,  -2,  -2,  -4,  -4,  -3,  -1,   0,  -2,  -3,
     1,   0,  -1,  -1,   0,   1,   0,  -1,   3,   2,   0,   0,   0,   1,   1,   0,
  ], [
     1,   1,   0,   0,   0,   0,   0,   0,   2,   3,   3,   2,   2,   2,   1,   1,
     0,  -1,  -2,  -3,  -5,  -5,  -5,  -4,   1,   1,   0,  -1,   0,   1,   3,   3,
  ], [
    -9,  -6,  -2,   0,   1,   1,   2,   2,  -6,  -2,   1,   2,   1,   1,   0,   1,
    -2,   1,   2,   2,   1,   1,   1,   1,   0,   2,   2,   1,   0,   1,   1,   1,
  ], [
     1,   0,   0,   0,   0,   0,  -1,   0,   0,   0,   0,   0,  -1,  -3,  -2,   0,
    -3,  -3,  -3,  -2,  -1,   3,   7,   9,   1,   2,   2,   2,   0,  -2,  -4,  -3,
  ], [
     2,   0,  -2,  -1,   3,   4,  -1,  -6,   1,   0,  -2,  -3,  -1,   3,   3,   0,
     0,   3,   3,   0,  -2,  -1,   1,   1,  -6,  -1,   3,   2,  -1,  -2,   0,   1,
  ], [
     5,   3,   0,  -2,  -3,   0,   2,   1,   1,   1,   2,   2,   0,  -2,  -4,  -7,
    -3,  -2,   1,   2,   2,   1,  -1,  -4,   2,   2,   0,  -2,  -2,   0,   2,   2,
  ], [
     0,   0,  -2,  -3,  -2,  -1,   0,   0,   0,   0,   0,   0,   0,   0,   2,   2,
    -2,  -1,   0,   1,   0,   1,   2,   3,  -4,  -2,   0,   0,  -1,   0,   2,   3,
  ], [
    -2,  -2,  -2,  -1,  -1,   0,   2,   4,   0,   0,   0,   0,  -1,  -1,   0,   1,
     0,  -1,  -1,  -1,  -1,  -1,   0,   0,   6,   4,   2,   0,  -1,  -2,  -1,  -1,
  ], [
     0,   1,   1,   1,   1,  -1,  -5, -10,   1,   1,   1,   1,   1,   1,   0,  -4,
     1,   0,   1,   1,   1,   1,   1,  -1,   2,   1,   1,   1,   0,   0,   0,   0,
  ], [
    -3,   1,   4,   3,   3,   1,  -1,   0,  -4,   0,   1,   0,  -1,   0,   0,   0,
    -5,   0,   2,   1,   1,   1,   0,  -1,  -1,   2,   1,  -2,  -2,  -1,   0,  -1,
  ], [
     2,   4,   5,   3,   0,  -1,   1,   2,   0,   0,   1,   0,  -2,  -2,  -1,  -1,
    -2,  -2,  -2,  -2,  -3,  -2,  -1,   0,   0,   0,   1,   0,   0,   0,   1,   2,
  ], [
     0,  -2,  -2,  -3,  -1,   2,   2,  -1,   1,   0,   0,   0,   1,   5,   3,  -2,
    -1,  -1,   0,  -1,   0,   2,   0,  -5,  -1,   0,   1,   0,   0,   2,   2,  -2,
  ], [
     3,   1,  -1,  -1,   0,   1,   1,   2,   1,   0,   0,   1,   1,   1,   1,   1,
   -10,  -8,  -2,   1,   2,   1,   1,   1,  -1,   1,   2,   1,   0,   0,   0,   0,
  ], [
    -1,  -1,   0,   1,   2,   2,   2,   1,  -1,  -1,  -1,   0,  -1,  -3,  -5,  -4,
     1,   1,   2,   1,   1,   0,   0,   2,  -1,  -2,  -1,  -1,  -1,   0,   2,   4,
  ], [
    -3,  -7,  -5,   0,   2,   0,   0,   0,   3,  -1,  -2,   1,   2,   1,   1,   2,
     1,  -2,  -1,   1,   2,   1,   0,   1,   0,  -1,   0,   3,   2,  -1,  -1,  -1,
  ], [
     2,   1,   1,   0,   0,   0,   0,   0,  -9,  -7,  -2,   3,   3,   2,   1,   1,
     3,   2,   0,  -2,  -2,  -1,   1,   1,   0,  -1,   0,   0,   1,   1,   0,   0,
  ], [
    -2,  -1,   1,   1,   1,   0,   0,   0,   1,   2,   1,  -2,  -4,  -3,   1,   2,
     1,   2,   1,  -2,  -3,   0,   3,   1,  -1,  -1,   0,   0,   1,   3,   0,  -4,
  ], [
     2,   0,  -1,   1,   2,  -2,  -2,   3,   2,   0,  -1,   2,   3,  -2,  -4,   1,
     0,   1,   1,   1,   2,  -2,  -6,  -2,  -1,   0,   0,   0,   2,   0,  -2,  -1,
  ], [
    -1,  -1,   1,   2,   1,  -2,  -3,  -2,   3,  -1,  -2,  -1,  -1,   0,   1,   2,
    10,   4,   0,   0,  -1,  -2,  -2,  -1,   3,  -1,  -2,  -1,   0,  -1,  -1,   0,
  ], [
    -5,   2,   7,   1,  -4,  -2,   1,   0,  -2,   2,   3,  -1,  -3,   0,   2,   0,
     2,   1,   0,   0,   1,   1,  -1,  -2,   1,  -2,  -2,  -1,  -1,  -2,   0,   0,
  ], [
     0,   3,  -2,  -7,  -1,   3,   0,   0,   1,   3,  -3,  -5,   2,   3,  -1,   0,
     0,   2,  -2,  -2,   4,   2,  -2,   0,  -1,   1,  -1,   0,   2,  -1,  -2,   1,
  ], [
     4,   0,  -3,  -4,  -2,   1,   2,   1,   0,   0,   3,   5,   3,   1,  -1,  -2,
     1,   1,   1,  -1,  -3,  -1,   1,   1,   1,  -1,  -2,  -2,   0,   0,  -1,  -2,
  ]
];

pub const SVQ_INTRA_CB_4X4: [[i8; 16]; 96] = [
  [
   -11,  -3,   3,   6, -10,  -1,   5,   7,  -9,  -1,   6,   7,  -9,  -1,   4,   6,
  ], [
     5,   7,   0, -14,   6,   9,   2, -15,   6,   9,   2, -15,   4,   6,   0, -14,
  ], [
    16,   3,  -5,  -6,  16,   1,  -8,  -8,  14,  -1,  -9,  -9,  12,   0,  -8,  -8,
  ], [
     8,  12,  16,  17,  -2,   2,   6,   9, -10,  -8,  -4,   0, -15, -14, -11,  -7,
  ], [
    -7, -10,  -2,  16,  -7, -11,  -3,  18,  -7, -11,  -1,  20,  -6,  -8,   1,  19,
  ], [
    -9, -13, -16, -17,   2,  -2,  -7,  -9,  11,   8,   4,  -1,  16,  15,  11,   7,
  ], [
   -22,  -2,  13,  15, -24,  -2,  14,  16, -25,  -4,  13,  15, -25,  -6,  10,  13,
  ], [
    26,  26,  22,  16,  17,  15,   9,   3,  -2,  -6, -11, -14, -20, -25, -28, -28,
  ], [
   -27, -27, -25, -21, -16, -15, -11,  -7,   3,   8,  12,  13,  23,  28,  31,  30,
  ], [
    20,  16,  -7, -33,  22,  19,  -6, -35,  22,  19,  -6, -34,  20,  17,  -6, -32,
  ], [
   -20, -20,   2,  38, -21, -22,   2,  40, -21, -22,   2,  40, -20, -20,   3,  38,
  ], [
   -47,  -4,  24,  26, -50,  -3,  26,  27, -50,  -3,  26,  27, -47,  -4,  24,  26,
  ], [
    45,   6, -23, -27,  48,   5, -25, -28,  48,   5, -26, -28,  44,   6, -24, -27,
  ], [
   -30, -36, -10,  76, -31, -37, -11,  78, -31, -37, -11,  78, -31, -36, -10,  77,
  ], [
   -53, -32,  35,  52, -54, -34,  36,  52, -54, -34,  36,  52, -53, -33,  34,  51,
  ], [
   -93, -34,  62,  65, -93, -34,  62,  66, -93, -34,  62,  65, -93, -34,  60,  64,
  ], [
    -7,   0,   2,   2,  -8,  -1,   3,   3,  -8,   0,   4,   5,  -6,   1,   5,   5,
  ], [
     3,   7,  11,  11,   2,   2,   3,   3,   1,  -2,  -6,  -7,   1,  -5, -11, -13,
  ], [
     3,  -2,  -4,  -3,   7,   0,  -5,  -5,  12,   4,  -5,  -7,  14,   6,  -4,  -7,
  ], [
    18,  14,   3,  -2,   6,   4,   0,  -3,  -8,  -5,  -2,   0, -16, -11,  -2,   2,
  ], [
    -8,  -6,   7,  18,  -7,  -8,   2,  13,  -4,  -6,  -2,   6,   0,  -4,  -3,   1,
  ], [
     1,  -3, -13, -18,   0,  -1,  -5,  -7,  -1,   1,   6,   7,  -2,   4,  15,  17,
  ], [
   -15, -14,  -7,  -2,  -6,  -5,  -1,   0,   6,   6,   3,   1,  15,  13,   6,   1,
  ], [
     2,  -2, -11,  10,   2,  -1, -12,  11,   3,  -1, -12,  11,   2,  -2, -11,  11,
  ], [
    -9,  14,  -1,  -5,  -9,  15,  -2,  -5,  -8,  16,  -2,  -5,  -7,  15,  -1,  -4,
  ], [
     2,   6,   8,   8,  -2,   3,   9,  12, -11,  -5,   4,  10, -19, -16,  -8,   0,
  ], [
    14,   8,  -7, -15,  12,   7,  -7, -14,   8,   5,  -4,  -9,   5,   3,  -1,  -4,
  ], [
    12, -14,  -2,   2,  13, -15,  -1,   3,  14, -15,  -1,   3,  13, -14,  -1,   3,
  ], [
     0,   6,  10, -13,   0,   6,  10, -15,   0,   7,   9, -17,   1,   6,   8, -16,
  ], [
    -8,  -5,  15,  -2,  -8,  -6,  17,  -2,  -8,  -6,  16,  -3,  -8,  -5,  15,  -2,
  ], [
    -9, -11, -11, -10,   9,  10,   9,   8,   8,  10,  10,   9,  -8,  -9,  -8,  -7,
  ], [
     9,  10,   9,   7,  -8, -10, -10, -10,  -7, -10, -11, -11,  11,  12,  11,   8,
  ], [
     0,  10,   7,   0,   0,   7,   0,  -6,   0,   2,  -5,  -6,  -2,  -1,  -4,  -1,
  ], [
     5,   0,  -6,  -9,   2,   2,   2,   1,  -2,   0,   5,   7,  -6,  -5,   1,   4,
  ], [
     3,  -8,   2,  -1,   4,  -9,   3,   0,   5,  -7,   3,   0,   7,  -5,   3,   0,
  ], [
    -5,  -3,   2,   9,  -6,  -3,   1,   8,  -6,  -3,   1,   7,  -5,  -2,   0,   4,
  ], [
    13,   8,   3,   1,  -3,  -5,  -4,  -1,  -8,  -7,  -3,   0,  -1,   1,   3,   2,
  ], [
     3,   2,  -5, -12,   4,   3,  -2,  -9,   3,   4,   1,  -4,   3,   5,   4,  -1,
  ], [
    -9,  -8,  -4,   0,   8,   6,   2,   0,  10,   8,   3,   0,  -6,  -5,  -3,  -1,
  ], [
    -3,  -9, -12,  -5,   0,  -3,  -5,   0,   2,   3,   2,   4,   5,   8,   7,   6,
  ], [
    -1,  -2,   5,  12,  -1,  -1,   5,   9,   2,   1,  -1,  -2,   2,  -1, -11, -17,
  ], [
    -7,   3,   3,  -1,  -9,   3,   4,  -1, -10,   4,   6,  -1,  -9,   5,   7,   0,
  ], [
   -18,  -7,   2,   2,  -8,   1,   5,   3,   3,   4,   1,   0,   9,   5,  -2,  -3,
  ], [
    -2,   0,   6,   8,  -4,  -5,  -5,  -3,   1,  -2,  -6,  -8,  10,   9,   3,  -1,
  ], [
     0,  -2,  -2,   0,   0,  -4,  -5,   0,  -2,  -8,  -4,   8,  -5,  -7,   6,  24,
  ], [
     9,   1,  -7,   1,   9,   1,  -8,   1,   8,   0, -10,   1,   8,  -1, -11,  -1,
  ], [
     8,   8,   6,   3,   5,   4,   3,   2,  -2,  -3,  -1,   0, -10, -13,  -8,  -4,
  ], [
     0,   4,   2,  -3,   0,   6,   3,  -5,   3,  10,   2, -12,   5,  10,  -4, -22,
  ], [
     0,  -4,  -1,   3,   1,  -4,  -1,   5,   1,  -5,   0,   8,  -1,  -6,  -2,   7,
  ], [
    -1,  -1,  -2,  -4,  -1,  -2,  -4,  -6,  -1,  -1,  -1,  -2,   1,   5,  10,   9,
  ], [
    10,   3,   0,  -2,   6,  -1,  -2,  -5,   3,  -1,  -2,  -6,   2,   0,   0,  -5,
  ], [
     6,   3,   0,   0,   6,   3,   1,   1,   4,  -2,  -2,   1,   0,  -9,  -9,  -2,
  ], [
   -11,  -3,   1,   2,  -6,   2,   4,   5,  -3,   2,   3,   4,  -2,   1,   1,   2,
  ], [
    -6,  -4,  -1,  -2,   2,  -1,  -1,  -2,  10,   2,  -2,  -2,  11,   2,  -4,  -1,
  ], [
     6,   0,  -2,   2,   3,   3,   0,   0,  -6,   3,   3,   0, -17,  -1,   5,   0,
  ], [
    -1,   4,  10,  11,  -3,  -2,   0,   1,  -3,  -4,  -5,  -3,  -1,  -2,  -2,  -1,
  ], [
     2,  -3,  -9, -12,   3,   3,   3,   2,   2,   2,   4,   4,   2,   1,  -1,  -2,
  ], [
    -2,   9,   5, -10,  -3,   5,   5,  -5,  -2,   1,   2,   0,  -1,  -2,  -2,   1,
  ], [
    -2,  -3,   7,  -2,  -1,  -3,   7,  -3,  -1,  -2,   8,  -4,  -2,  -2,   7,  -3,
  ], [
     1,  -8,  -3,  12,   2,  -2,  -2,   4,   1,   3,   0,  -5,  -1,   5,   2,  -7,
  ], [
    -1,   3,   1,  -5,  -7,  -2,   3,   1,  -2,  -7,  -2,   2,  20,   3,  -5,  -1,
  ], [
     5,   0,  -3,  -2,  -7,  -7,   0,   6,  -6,   0,   7,   6,   2,   6,   0,  -7,
  ], [
    -2,   6,  -7,   1,  -2,   7,  -8,   3,  -2,   7,  -7,   3,  -1,   7,  -6,   2,
  ], [
    -5,  -2,   5,   7,   4,   1,  -4,  -8,   6,   3,  -2,  -5,  -7,  -5,   3,   7,
  ], [
    -1,  -1,   6,   5,   0,  -1,   1,  -4,   2,   1,   0,  -7,   1,   0,   0,  -4,
  ], [
    -8,   0,   3,   1,  -2,   1,  -1,  -1,   1,  -1,  -3,   1,   1,  -2,   1,   9,
  ], [
     5,   2,  -3,  -4,  -1,   0,  -1,  -3,  -3,   1,   3,   1,  -4,   0,   4,   2,
  ], [
     2,  -2,  -2,  12,   0,  -2,  -5,   3,  -1,   0,  -3,   1,  -3,  -1,  -2,   1,
  ], [
     1,   5,   3,   0,  -6,  -4,  -2,   1,   0,  -2,  -2,   2,   6,   1,  -4,  -1,
  ], [
    -3,  -5,  -5,  -1,   3,   5,   5,   4,   0,   3,   1,  -1,  -2,   1,  -2,  -3,
  ], [
     2,  -4,  -5,  -3,   4,  -2,  -3,  -2,   6,   0,  -1,  -1,   7,   1,   0,   0,
  ], [
    -3,  -2,  -2,   0,  -2,  -3,  -5,  -1,  -2,   2,   0,  -1,  -1,  11,   9,  -1,
  ], [
     0,   1,  -1, -10,  -1,   1,   0,  -6,   1,   0,   1,   4,   2,  -5,  -1,  13,
  ], [
    -2,   4,   5,   0,  -5,   1,   6,   3,  -6,  -2,   3,   2,  -5,  -2,   0,  -2,
  ], [
    -1,   1,   1,  -2,  -1,  -2,   0,   2,   5,   5,   5,   7,   0,  -4,  -8,  -7,
  ], [
     0,   2,  -1,  -5,  -1,   2,   2,  -3,   0,   5,   3,  -5,   3,   8,   2, -12,
  ], [
     8,   4,   0,  -2,  10,  -1,  -4,  -1,   3,  -6,  -3,   0,  -4,  -5,   0,   0,
  ], [
     0, -10,  -4,   2,  -1,  -6,   3,   5,  -1,  -3,   6,   4,   0,  -2,   4,   2,
  ], [
     0,   8,   1,  -1,   0,  11,   1,  -3,  -1,   6,  -2,  -4,  -3,  -2,  -7,  -4,
  ], [
     0,  -1,  -1,  -1,   4,   5,   6,   5,  -5,  -9,  -8,  -5,   2,   2,   3,   2,
  ], [
     0,   2,   6,   1,   2,   0,   3,   0,   1,  -2,  -1,  -2,   0,  -1,  -3,  -6,
  ], [
     0,   0,   2,   0,   4,   0,   2,   1,   5,  -2,   0,   0,  -2,  -9,  -1,   2,
  ], [
     0,   1,   0, -10,  -1,   1,   8,   0,  -1,  -2,   4,   0,   1,  -1,   2,  -1,
  ], [
    -3,  -2,   2,  -1,  -3,  -1,   2,  -3,   0,  -1,   1,   0,   8,   1,  -1,   3,
  ], [
     0,   1,   1,   2,   0,  -4,  -2,   0,  -1,  -5,   1,  -1,  -2,  -1,  11,   2,
  ], [
     1,   5,  -2,  -2,   0,   2,  -4,   0,  -2,   1,  -5,   1,   0,   5,   0,   1,
  ], [
    -5,  -3,   0,   6,  -4,   2,   0,   0,  -3,   5,   1,   0,  -3,   3,   0,   0,
  ], [
     3,  -2,  -3,   1,   1,  -4,   0,   8,  -2,  -3,  -2,   3,   1,   2,  -1,  -1,
  ], [
     1,   1,   0,   2,   2,   0,   1,   6,   1,  -1,   2,   1,   0,   3,   0, -19,
  ], [
     1,  -3,  -2,   2,   6,   5,  -2,  -7,  -3,   1,   3,   1,  -1,  -1,   0,   2,
  ], [
    -8,  -1,  -1,  -4,   1,   1,  -1,   2,   4,   3,   2,   3,  -5,   1,   3,   0,
  ], [
     0,   2,  -1,   1,  -3,   0,   0,   5,  -5,  -2,   0,   8,  -4,  -4,  -4,   6,
  ], [
     1,   2,   1,   2,   2,   2,  -3,   2,   4,   0,  -9,   0,   7,   0, -11,   1,
  ], [
     0,   0,   0,  -2,   3,   3,  -1,  -6,   4,   3,  -3, -10,  -1,   2,   6,   2,
  ], [
     7,  -2,  -3,   5,  -4,   0,   3,  -1,  -4,   2,   1,  -7,   2,  -1,  -1,   3,
  ], [
     3,   2,   2,   2,  -5,  -7,  -7,  -5,   5,   6,   4,   2,  -2,  -1,   0,   1,
  ]
];

pub const SVQ_INTRA_CB_4X2: [[i8; 8]; 96] = [
  [
    12,  13,  13,  11,  -7, -10, -15, -17,
  ], [
   -16, -15, -12, -10,  11,  15,  15,  12,
  ], [
     2,  17,  20,  15, -45, -24,   2,  13,
  ], [
    21,  20,  -6, -36,  12,  16,  -1, -27,
  ], [
   -18, -21,  10,  45, -11, -20,  -7,  21,
  ], [
    43,  -8, -28,   0,  33, -16, -28,   3,
  ], [
   -12, -18, -18,  -6, -20, -10,  28,  55,
  ], [
    -5, -18, -21, -18,  56,  30,  -6, -20,
  ], [
   -34,  27,  29, -22, -30,  29,  26, -25,
  ], [
    30,  34,  33,  26, -25, -31, -35, -33,
  ], [
   -31, -35, -36, -32,  29,  36,  37,  31,
  ], [
   -71, -12,  38,  34, -63,  -1,  42,  33,
  ], [
    58,  37, -31, -60,  55,  34, -33, -61,
  ], [
   -57, -57,  22,  93, -57, -58,  21,  93,
  ], [
    59,  69,  70,  62, -63, -68, -68, -60,
  ], [
   -64, -71, -71, -64,  63,  73,  72,  62,
  ], [
    -2,   0,   7,  15, -11, -10,  -3,   5,
  ], [
    -5,  -8, -10, -10,   1,   9,  14,   9,
  ], [
    15,   8,  -4, -11,  12,   2, -11, -12,
  ], [
    -8,   0,  19,  28,   4,  -1, -15, -26,
  ], [
   -15,  27,   2, -14, -14,  22,   1,  -9,
  ], [
    -4,  -6, -13, -10,  -6, -14,   6,  47,
  ], [
   -35, -20,   6,  23,   6,   9,   6,   4,
  ], [
    -6,   2,  23, -22,  -7,   4,  28, -21,
  ], [
    20, -22,  -2,   6,  22, -28,  -5,   8,
  ], [
   -10, -18, -16, -12,  36,  19,   2,  -1,
  ], [
    -3,   0,   4,   8, -45, -10,  23,  23,
  ], [
    40,  15, -20, -35,  -4,  -1,   4,   1,
  ], [
     9,  -5, -33,  24,   8,   3, -26,  19,
  ], [
    -1,   4,   6,  -3,  32,  25, -13, -49,
  ], [
    24,  24,  15,   7, -17, -27, -19,  -7,
  ], [
   -47,   0,  39,  24, -21,  -6,   7,   4,
  ], [
    -1,   0, -10, -13,   1,   1,   5,  16,
  ], [
    20,   5,  -3,  -9,  -1,  -4,  -2,  -6,
  ], [
   -17,  -7,   1,   4,  12,   7,   0,   0,
  ], [
     3,   0,  12,  11,  -3,   1,   0, -23,
  ], [
     4,  17,  -6,   0,   6,   3, -25,   0,
  ], [
   -17,  10,   8,   5, -14,   4,   1,   4,
  ], [
    13,  10,   4,   2, -23,  -9,   1,   2,
  ], [
     3,  -3,   1,   7,   1, -23,  -7,  20,
  ], [
    -7, -18,   2,  12,  -5,  -4,  10,   9,
  ], [
     4,  10,   7, -24,   6,   3,   4, -10,
  ], [
    22, -14, -22,   6,   0,   5,   5,  -1,
  ], [
    -4,   3, -11,  -4,  -7,  31,   7, -14,
  ], [
    -5, -16,  -1,  42,  -4,  -2,  -9,  -5,
  ], [
     5,  -8,  -6,  -3,  42,  -4, -21,  -5,
  ], [
   -18,  12,  20, -12,  13, -13, -10,   7,
  ], [
    -8,  -9,  -2, -18, -16,   6,  40,   8,
  ], [
    10,  -1,   0,   4,  -3,   4,  -1, -13,
  ], [
    -2,   6,   1, -15,   5,   3,   1,   2,
  ], [
    -4,  -2,   1,   3,  15,   0,  -9,  -4,
  ], [
    -3,  -4,  -4,  -4,  -3,   5,  16,  -3,
  ], [
     2,  13,   3,   4,  -3,  -8, -10,   0,
  ], [
    -6,  -2,  -4,  -1,  -2,  -3,  -6,  23,
  ], [
     6,  -6,   7,   1,   4, -18,   5,   1,
  ], [
    -1,   1, -15,  14,  -5,   6,  -4,   4,
  ], [
     2,   2,   2,   6, -24,   2,   7,   3,
  ], [
   -26,   0,   3,   3,   5,   7,   1,   6,
  ], [
    14,  -2, -18,  -3,   7,   5,  -4,   2,
  ], [
    -6,   3,  32,   1,  -6,  -6,  -6, -12,
  ], [
     5, -36,   7,   6,   9,  -1,  11,   0,
  ], [
     4,   4,   5,   3,   4,  15,   3, -38,
  ], [
    10,  23,  -5, -42,   0,   4,   4,   4,
  ], [
    23,  17,  -6, -13, -13, -37,   1,  29,
  ], [
     5, -14,  -1,   1,   5,   0,   3,   1,
  ], [
     0,   4,  -5,   2,   8,   0,   0, -10,
  ], [
     4,   7,  -2,  -3, -10,   3,   1,   1,
  ], [
   -12,  -1,  13,   3,   0,  -1,   1,  -3,
  ], [
     0,  -1,   3,   1,  -6,  -9,   3,   9,
  ], [
    -6,   1,  -4,  -6,   8,  -1,   0,   8,
  ], [
    -3,  -3,   0,  18,  -5,  -1,  -4,  -1,
  ], [
    -8,  -2,   3,  -4,   0,  17,  -1,  -5,
  ], [
     5,  -2,   9, -10,   1,  -5,   6,  -5,
  ], [
     4,   2,   2,   3,  10, -14,  -8,   1,
  ], [
    -1,  -2, -18,  -1,  -1,  20,   1,   2,
  ], [
    -1,   1,  -9,   1,  -1,  -9,  22,  -4,
  ], [
     6,  -4,   8,  -3,  -1,   7, -19,   5,
  ], [
    -7,  31,  -4,  -4,  -6,   0,  -5,  -5,
  ], [
    -7,  -8, -19,  -4,   1,   1,   4,  32,
  ], [
    38,  -1,  -8,   4,  -7,  -8,  -6, -12,
  ], [
    -1,   0,  -7,   1,  -1,   9,  -1,   0,
  ], [
     9,  -1,  -1,   0,   2,  -6,   1,  -3,
  ], [
   -12,   0,   2,   1,   1,   1,   8,   0,
  ], [
     9,   1,   0,   2,  -2,   1, -11,   0,
  ], [
     0,   8,   2, -10,  -1,   2,  -1,   0,
  ], [
    -2,  -4,   0,  -5,  -2,  -1,  -1,  14,
  ], [
    -3,   7,  -1,   5,   0, -10,   1,   1,
  ], [
    -1,  -5,  14,  -1,  -2,   1,  -3,  -2,
  ], [
    -6,   0,   0,   6,   2,   3,  -9,   4,
  ], [
     4,  -5,  -1,  -1,  -7,   3,   8,  -1,
  ], [
     2,  -4,  -1, -11,  11,   2,   1,   0,
  ], [
    -1,   2,   3,   9,   0,   2,   0, -15,
  ], [
     3,   5, -20,   3,   3,  -1,   3,   3,
  ], [
     1,  -1,  16,   1,   2, -29,   9,   2,
  ], [
   -13,  -6,  -1,  -3,  36,  -1,  -8,  -3,
  ], [
     2,   5,   4,   2, -37,   9,  11,   3,
  ]
];

pub const SVQ_INTER_CB_8X8: [[i8; 64]; 96] = [
  [
    -4,  -3,   4,   5,   2,   1,   1,   0,  -5,  -3,   5,   5,   2,   1,   0,   0,
    -6,  -4,   5,   5,   2,   1,   0,   0,  -7,  -4,   4,   5,   2,   1,   0,   0,
    -8,  -5,   3,   4,   2,   1,   0,   0,  -8,  -6,   3,   4,   1,   1,   1,   0,
    -8,  -6,   2,   4,   2,   1,   1,   0,  -8,  -6,   2,   4,   1,   1,   1,   1,
  ], [
    -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -1,  -2,  -2,  -2,  -2,  -2,  -2,  -2,
    -2,  -3,  -3,  -3,  -3,  -3,  -3,  -3,  -2,  -3,  -3,  -3,  -3,  -3,  -4,  -3,
    -2,  -2,  -2,  -2,  -2,  -3,  -3,  -2,   1,   1,   1,   1,   1,   0,  -1,  -1,
     4,   5,   5,   5,   4,   3,   3,   2,   7,   7,   8,   8,   8,   7,   6,   5,
  ], [
     2,   1,   2,   4,   4,   0,  -4,  -6,   1,   1,   2,   5,   5,   1,  -5,  -7,
     1,   2,   1,   4,   5,   1,  -5,  -8,   1,   1,   1,   5,   5,   0,  -6,  -8,
     0,   1,   1,   5,   6,   1,  -6,  -9,   0,   0,   1,   4,   5,   0,  -5,  -8,
     0,   0,   1,   4,   5,   0,  -5,  -7,   0,   0,   1,   4,   4,   1,  -4,  -7,
  ], [
     1,   2,   3,   0,  -3,  -4,  -3,  -1,   1,   3,   4,   0,  -3,  -4,  -3,  -1,
     2,   4,   5,   1,  -3,  -4,  -3,  -2,   2,   5,   6,   1,  -3,  -5,  -4,  -2,
     3,   6,   6,   1,  -3,  -5,  -4,  -2,   3,   6,   6,   1,  -3,  -5,  -4,  -2,
     3,   6,   6,   1,  -3,  -5,  -4,  -2,   3,   5,   5,   1,  -3,  -4,  -4,  -2,
  ], [
     2,   2,   2,   2,   1,   0,   0,  -1,   4,   4,   4,   3,   2,   1,   1,   0,
     4,   5,   4,   4,   3,   3,   2,   1,   4,   4,   4,   4,   4,   3,   2,   2,
     2,   3,   3,   3,   3,   3,   2,   1,  -1,  -1,  -1,  -1,   0,   0,   0,   0,
    -5,  -6,  -6,  -5,  -5,  -4,  -3,  -3,  -7,  -9,  -9,  -8,  -7,  -6,  -6,  -5,
  ], [
     6,   6,   6,   6,   6,   5,   5,   4,   4,   4,   4,   3,   3,   3,   3,   2,
     0,  -1,  -1,  -1,  -2,  -2,  -1,  -1,  -3,  -5,  -6,  -6,  -6,  -6,  -5,  -4,
    -3,  -5,  -6,  -7,  -6,  -6,  -5,  -4,  -1,  -2,  -2,  -2,  -2,  -2,  -1,  -1,
     0,   1,   1,   1,   1,   1,   1,   1,   3,   3,   3,   3,   3,   3,   3,   3,
  ], [
     2,   1,  -2,  -5,  -4,   0,   2,   5,   2,   1,  -2,  -6,  -5,   0,   3,   5,
     2,   1,  -2,  -6,  -6,  -1,   3,   6,   3,   2,  -2,  -7,  -6,   0,   4,   7,
     2,   1,  -2,  -7,  -5,   0,   5,   7,   2,   1,  -2,  -6,  -5,   0,   4,   7,
     2,   1,  -2,  -6,  -4,   0,   4,   6,   1,   1,  -2,  -5,  -4,   0,   3,   6,
  ], [
   -10,  -9,  -6,  -4,  -1,   2,   3,   2, -10,  -9,  -5,  -3,   0,   4,   4,   3,
    -9,  -7,  -3,  -1,   2,   5,   5,   3,  -7,  -5,  -2,   0,   3,   5,   5,   3,
    -6,  -3,   0,   1,   4,   6,   5,   3,  -4,  -2,   1,   2,   3,   5,   4,   2,
    -2,   0,   1,   2,   2,   4,   3,   1,  -1,   1,   2,   2,   2,   3,   3,   1,
  ], [
    -4,  -5,  -5,  -6,  -6,  -6,  -6,  -5,  -3,  -3,  -4,  -4,  -4,  -4,  -4,  -4,
     0,   0,   0,   0,  -1,  -1,  -1,  -1,   5,   5,   6,   5,   5,   4,   3,   2,
     5,   6,   7,   7,   7,   6,   5,   4,   3,   3,   4,   4,   4,   4,   3,   2,
     0,  -1,   0,   0,  -1,  -1,   0,  -1,  -3,  -3,  -4,  -4,  -4,  -4,  -3,  -3,
  ], [
     1,  -2,  -5,   1,   5,   4,   2,   0,   1,  -3,  -6,   1,   6,   5,   2,   0,
     0,  -4,  -7,   0,   6,   6,   2,   1,  -1,  -5,  -9,  -1,   6,   6,   3,   1,
    -1,  -6, -10,  -2,   6,   6,   3,   1,  -1,  -6,  -9,  -2,   5,   6,   3,   1,
    -2,  -6,  -9,  -2,   5,   5,   3,   1,  -2,  -6,  -7,  -2,   4,   4,   2,   1,
  ], [
    -5,  -7,  -8,  -9,  -9,  -8,  -7,  -6,  -5,  -6,  -6,  -7,  -7,  -6,  -6,  -5,
    -3,  -3,  -3,  -4,  -5,  -5,  -4,  -4,  -1,   0,   0,  -1,  -1,  -1,  -1,  -1,
     0,   1,   2,   2,   2,   2,   2,   1,   2,   3,   4,   5,   5,   5,   5,   4,
     3,   4,   5,   6,   8,   8,   8,   7,   3,   4,   5,   6,   7,   7,   7,   6,
  ], [
     5,   6,   7,   8,   9,  10,  10,   9,   3,   4,   6,   7,   8,   9,   9,   8,
     0,   1,   2,   3,   4,   5,   5,   5,  -1,  -2,  -1,  -1,   0,   1,   2,   2,
    -2,  -3,  -3,  -3,  -3,  -2,  -1,   0,  -3,  -4,  -5,  -5,  -5,  -5,  -5,  -4,
    -4,  -5,  -5,  -6,  -7,  -7,  -6,  -5,  -3,  -4,  -5,  -6,  -7,  -7,  -6,  -6,
  ], [
    13,   7,   0,  -3,  -3,  -4,  -4,  -5,  14,   7,   0,  -3,  -3,  -4,  -4,  -4,
    15,   8,  -1,  -4,  -4,  -4,  -5,  -4,  15,   8,  -1,  -4,  -4,  -5,  -4,  -3,
    15,   7,  -1,  -4,  -5,  -5,  -5,  -4,  14,   7,  -1,  -4,  -4,  -4,  -4,  -3,
    12,   6,  -1,  -4,  -4,  -4,  -4,  -3,  11,   5,  -1,  -4,  -4,  -4,  -4,  -3,
  ], [
   -17,  -4,   5,   4,   4,   4,   3,   3, -18,  -5,   5,   4,   4,   4,   3,   3,
   -19,  -5,   6,   4,   4,   4,   3,   2, -20,  -5,   6,   4,   4,   4,   3,   3,
   -20,  -4,   6,   4,   4,   5,   3,   3, -19,  -5,   6,   4,   4,   5,   3,   3,
   -18,  -4,   5,   4,   4,   4,   3,   2, -17,  -5,   4,   3,   4,   4,   3,   3,
  ], [
    -6,  -6,  -6,  -4,  -2,   1,   6,  11,  -6,  -7,  -7,  -4,  -2,   2,   8,  13,
    -8,  -8,  -7,  -4,  -2,   3,   9,  14,  -8,  -8,  -7,  -5,  -1,   4,  10,  16,
    -8,  -8,  -7,  -5,  -1,   4,  10,  17,  -8,  -8,  -7,  -4,   0,   5,  10,  16,
    -8,  -8,  -6,  -3,   0,   4,   9,  15,  -7,  -7,  -5,  -3,   0,   4,   8,  12,
  ], [
     8,   7,   7,   5,   2,  -2,  -8, -14,   8,   8,   7,   5,   2,  -2,  -8, -15,
     8,   8,   7,   5,   1,  -3,  -9, -16,   8,   8,   7,   5,   1,  -3, -10, -17,
     8,   9,   8,   5,   1,  -3, -10, -17,   8,   8,   7,   4,   1,  -4, -10, -16,
     7,   7,   7,   4,   1,  -3,  -9, -14,   6,   7,   6,   3,   0,  -3,  -9, -13,
  ], [
     5,   1,  -4,  -4,  -3,  -1,   0,   0,   7,   2,  -3,  -3,  -2,  -1,   1,   0,
     7,   1,  -3,  -3,  -1,   0,   1,   1,   6,   1,  -3,  -2,  -1,   1,   1,   0,
     6,   0,  -4,  -2,  -1,   0,   1,   0,   5,   0,  -4,  -3,  -1,   0,   0,  -1,
     5,   0,  -3,  -1,   0,   0,   0,  -2,   4,   1,  -2,  -1,   0,   1,   0,  -1,
  ], [
     2,   2,   1,   1,  -2,  -6,  -8,  -8,   1,   1,   1,   1,  -2,  -5,  -8,  -8,
     1,   1,   1,   0,  -1,  -3,  -5,  -5,   0,   0,   0,   0,  -1,  -1,  -1,  -2,
     0,  -1,   0,   0,   0,   0,   1,   0,   1,   0,   0,   0,   1,   2,   3,   2,
     2,   1,   1,   1,   2,   3,   4,   3,   3,   3,   3,   3,   4,   4,   5,   4,
  ], [
    -4,  -4,  -3,  -2,   0,   0,   1,   1,  -4,  -4,  -3,  -2,  -1,   0,   0,   1,
    -2,  -2,  -2,  -1,  -1,  -1,   0,   0,   0,   1,   0,   0,   0,   0,   0,  -1,
     2,   2,   2,   2,   2,   2,   1,   1,   3,   4,   4,   4,   4,   4,   4,   3,
     1,   1,   1,   3,   3,   4,   3,   3,  -5,  -6,  -5,  -4,  -3,  -3,  -2,  -2,
  ], [
    -4,  -2,  -1,  -1,  -1,  -1,   0,   1,  -4,  -2,  -1,  -1,  -1,  -1,   0,   1,
    -3,  -2,  -1,  -1,  -1,   0,   1,   2,  -4,  -3,  -2,  -1,  -1,   1,   3,   3,
    -4,  -3,  -3,  -1,  -1,   1,   4,   5,  -4,  -3,  -2,  -2,  -1,   1,   4,   7,
    -2,  -2,  -1,  -1,   0,   2,   6,   8,  -1,   0,   0,   1,   1,   4,   7,   8,
  ], [
    -3,  -3,  -3,  -2,  -2,  -1,  -1,   0,  -1,  -1,   0,   1,   2,   2,   3,   3,
     0,   1,   2,   4,   5,   6,   6,   5,  -1,   0,   2,   3,   5,   6,   5,   3,
    -1,  -1,   0,   2,   3,   3,   2,   1,  -2,  -2,  -1,   0,  -1,  -3,  -4,  -4,
     0,   0,  -1,  -1,  -2,  -4,  -8,  -7,   1,   2,   1,   0,  -1,  -4,  -6,  -7,
  ], [
    -2,   4,   1,  -6,   0,   3,   0,   0,  -2,   5,   1,  -7,   0,   3,   0,   0,
    -3,   5,   1,  -8,   0,   3,  -1,  -1,  -2,   6,   1,  -9,   0,   3,   0,  -1,
    -2,   6,   2,  -8,   0,   4,   0,  -1,  -3,   5,   1,  -7,   1,   4,   0,   0,
    -2,   4,   1,  -7,   0,   4,   1,   0,  -1,   4,   1,  -6,   0,   3,   1,   0,
  ], [
     0,   0,   0,   3,   4,   5,   4,   1,   1,   1,   1,   2,   3,   3,   2,   0,
     2,   2,   1,   2,   2,   1,  -1,  -2,   4,   3,   1,   1,   0,  -1,  -3,  -5,
     5,   3,   1,  -1,  -2,  -3,  -4,  -6,   5,   3,   0,  -2,  -3,  -5,  -6,  -7,
     4,   3,   0,  -2,  -3,  -4,  -5,  -5,   4,   3,   0,  -1,  -2,  -2,  -3,  -3,
  ], [
     0,   0,   0,   0,  -1,  -5,  -2,   6,   0,   0,   0,   1,  -1,  -6,  -2,   8,
     0,   0,   0,   2,   0,  -6,  -3,   9,   0,  -1,   0,   2,   0,  -7,  -2,  10,
     0,  -1,   0,   2,  -1,  -8,  -3,  10,   0,  -1,  -1,   2,  -1,  -7,  -3,   9,
     0,  -1,   0,   1,  -1,  -6,  -3,   8,   0,   0,   0,   1,   0,  -5,  -2,   7,
  ], [
     2,   3,   3,   2,   1,   0,  -1,  -1,   3,   4,   3,   2,   1,   0,  -1,  -2,
     3,   4,   4,   2,   1,  -1,  -2,  -3,   2,   3,   3,   2,   0,  -1,  -2,  -3,
    -1,   0,   1,   1,   0,  -1,  -2,  -2,  -5,  -4,  -3,  -1,   0,   1,   1,   1,
    -8,  -8,  -5,  -1,   1,   3,   4,   3, -10,  -9,  -5,   0,   3,   5,   6,   5,
  ], [
    -5,  -1,   4,   5,   3,   1,   0,   0,  -6,  -1,   4,   5,   2,   0,  -1,  -2,
    -6,  -1,   5,   4,   2,  -1,  -2,  -2,  -7,  -1,   4,   4,   1,  -2,  -3,  -3,
    -6,  -1,   5,   4,   1,  -2,  -3,  -3,  -5,   0,   4,   4,   1,  -1,  -2,  -2,
    -4,   0,   5,   4,   1,  -1,  -1,  -2,  -3,   1,   4,   3,   1,  -1,  -1,  -2,
  ], [
    -2,  -3,  -2,   1,   4,   6,   5,   3,  -3,  -4,  -4,   0,   3,   5,   4,   2,
    -3,  -5,  -5,  -1,   2,   4,   3,   1,  -4,  -6,  -4,  -1,   2,   4,   2,  -1,
    -2,  -4,  -3,   1,   2,   4,   2,  -1,  -2,  -4,  -2,   1,   3,   3,   1,  -2,
    -2,  -3,  -2,   1,   3,   3,   1,  -2,  -2,  -2,  -1,   1,   3,   3,   0,  -2,
  ], [
    -4,  -4,  -3,  -2,  -1,   2,   5,   7,  -4,  -4,  -3,  -3,  -2,   1,   5,   7,
    -2,  -3,  -2,  -3,  -3,  -1,   3,   5,  -1,  -1,   0,  -2,  -3,  -2,   2,   4,
     1,   1,   1,  -1,  -4,  -3,   1,   3,   4,   3,   2,  -1,  -4,  -3,  -1,   1,
     6,   4,   3,   0,  -3,  -3,  -2,   0,   6,   5,   3,   1,  -2,  -3,  -2,  -1,
  ], [
    12,  11,   8,   4,   0,  -2,  -2,  -1,  10,   9,   6,   2,  -1,  -2,  -1,   0,
     4,   3,   2,   0,  -1,  -1,   0,   1,  -1,  -1,  -1,  -1,  -2,   0,   1,   2,
    -3,  -5,  -4,  -2,  -2,   0,   2,   3,  -5,  -5,  -4,  -2,  -1,   0,   1,   2,
    -5,  -5,  -4,  -2,  -1,   0,   1,   1,  -4,  -4,  -3,  -2,  -2,  -1,   0,   0,
  ], [
     3,   3,   2,  -1,  -3,  -4,  -3,  -2,   3,   2,   0,  -2,  -4,  -4,  -3,  -2,
     2,   2,   1,  -1,  -3,  -5,  -4,  -3,   3,   3,   3,   1,  -2,  -3,  -3,  -3,
     4,   4,   4,   3,   0,  -2,  -2,  -2,   5,   5,   5,   3,   0,  -1,  -2,  -2,
     5,   5,   4,   2,  -1,  -2,  -3,  -2,   3,   3,   3,   0,  -2,  -4,  -4,  -4,
  ], [
    -1,  -1,   4,  -2,  -2,   6,   2,  -5,  -1,   0,   4,  -2,  -3,   6,   2,  -6,
    -1,   0,   4,  -2,  -3,   7,   3,  -7,  -1,  -1,   4,  -3,  -4,   8,   3,  -7,
     0,  -1,   4,  -3,  -4,   7,   3,  -6,  -1,  -1,   4,  -3,  -4,   7,   3,  -6,
    -1,  -1,   3,  -3,  -4,   6,   3,  -6,  -1,   0,   3,  -2,  -3,   6,   3,  -5,
  ], [
     1,  -2,  -7,   2,   5,  -2,  -1,   1,   1,  -2,  -8,   3,   6,  -3,  -1,   2,
     2,  -2,  -9,   4,   7,  -4,  -2,   2,   3,  -1,  -9,   5,   7,  -4,  -1,   3,
     3,  -1,  -9,   4,   7,  -4,  -2,   2,   3,  -1,  -7,   4,   6,  -4,  -2,   1,
     2,   0,  -6,   4,   6,  -4,  -1,   1,   2,   0,  -5,   3,   4,  -3,  -1,   1,
  ], [
    -2,   2,   2,   0,   0,  -1,  -3,  -4,  -2,   2,   2,   1,   1,   0,  -2,  -4,
    -2,   2,   2,   2,   2,   1,  -1,  -2,  -3,   2,   3,   3,   4,   2,   0,  -2,
    -3,   2,   3,   2,   4,   2,   0,  -3,  -4,   1,   2,   1,   2,   1,  -1,  -3,
    -5,   0,   1,   0,   1,   1,  -2,  -3,  -4,   0,   0,   0,   1,   0,  -2,  -3,
  ], [
     0,   0,  -1,  -2,  -2,   2,   7,   8,   0,   0,  -1,  -3,  -2,   1,   6,   7,
     0,   1,  -1,  -3,  -3,   0,   4,   5,   0,   1,   0,  -1,  -1,   0,   1,   3,
     0,   2,   1,   1,   0,  -1,   0,   1,  -2,   0,   1,   2,   1,   0,  -1,  -1,
    -5,  -2,   0,   1,   1,   0,  -3,  -3,  -6,  -4,  -1,   1,   1,  -1,  -3,  -4,
  ], [
    -4,  -2,   2,   5,   6,   4,   3,   2,  -5,  -3,   1,   4,   4,   2,   0,   0,
    -4,  -2,   0,   2,   1,  -1,  -2,  -2,  -2,  -1,   0,   1,   0,  -2,  -3,  -2,
    -2,   0,   0,   0,  -1,  -1,  -2,  -1,  -2,  -1,  -1,   0,   0,   0,   1,   2,
    -2,  -2,  -1,  -1,   0,   1,   3,   4,  -2,  -3,  -2,  -1,   0,   2,   4,   5,
  ], [
     2,   1,  -2,  -2,  -1,   0,   1,   0,   1,   0,  -3,  -3,  -1,   0,   1,   0,
     0,  -1,  -3,  -3,  -1,   1,   1,   1,   0,   0,  -3,  -1,   1,   2,   3,   3,
     0,  -1,  -3,  -1,   1,   3,   3,   3,  -2,  -2,  -4,  -2,   1,   3,   4,   4,
    -3,  -3,  -4,  -2,   1,   3,   3,   4,  -2,  -3,  -5,  -2,   1,   2,   3,   3,
  ], [
     4,   5,   3,   4,   4,   4,   4,   5,   3,   3,   1,   0,   0,   0,   0,   1,
     1,   1,  -1,  -2,  -3,  -4,  -3,  -2,   2,   2,   0,  -2,  -2,  -4,  -3,  -2,
     2,   3,   1,  -1,  -1,  -3,  -3,  -2,   1,   2,   0,   0,  -1,  -2,  -2,  -1,
     0,   1,   0,  -1,  -1,  -3,  -2,  -1,   1,   1,   0,  -1,  -1,  -2,  -2,  -2,
  ], [
    -2,  -1,  -1,   0,   1,   2,   1,   0,   1,   2,   3,   5,   6,   5,   5,   3,
     1,   2,   3,   4,   5,   5,   4,   3,  -2,  -2,  -3,  -3,  -2,  -1,   0,   0,
    -3,  -3,  -4,  -5,  -4,  -3,  -2,  -1,  -1,  -1,  -2,  -2,  -2,  -1,   0,   0,
     0,   1,   0,  -1,  -1,   0,   0,   1,  -1,   0,  -1,  -2,  -3,  -2,  -2,  -1,
  ], [
     7,   7,   6,   5,   4,   2,  -1,  -2,   3,   3,   2,   2,   1,   0,  -2,  -3,
     0,  -1,  -1,  -1,   0,  -1,  -2,  -2,  -1,  -3,  -2,  -1,   0,   0,   0,   1,
     0,  -2,  -2,  -1,  -1,   1,   2,   2,   3,   1,  -1,  -1,  -1,   1,   2,   2,
     3,   1,  -2,  -3,  -2,  -1,   1,   2,   1,  -2,  -5,  -6,  -5,  -3,  -2,   0,
  ], [
     0,  -1,  -2,  -3,  -1,   0,  -2,  -2,   0,   0,  -1,  -1,   0,   1,  -1,  -2,
     0,   0,  -2,  -1,   0,   0,   0,  -2,  -1,  -2,  -3,  -3,  -2,  -1,  -3,  -3,
    -1,  -2,  -3,  -3,  -2,  -2,  -3,  -4,   2,   2,   0,   0,   0,   0,  -1,  -2,
     5,   5,   3,   2,   2,   2,   0,  -1,   8,   8,   6,   5,   4,   4,   2,   1,
  ], [
    -7,  -8,  -6,  -3,  -1,  -1,  -2,  -1,  -5,  -5,  -3,   0,   2,   1,   0,   0,
    -1,  -1,   0,   3,   4,   3,   1,   1,   2,   1,   1,   3,   4,   3,   2,   2,
     3,   2,   0,   2,   3,   2,   1,   2,   4,   2,  -1,  -1,   0,   1,   1,   1,
     3,   2,  -2,  -3,  -2,  -1,   0,   1,   3,   1,  -3,  -4,  -3,  -2,   0,   1,
  ], [
    -4,  -2,  -1,   2,   3,   3,   1,   0,  -7,  -5,  -4,  -2,   0,   0,  -1,  -2,
    -6,  -5,  -5,  -4,  -2,  -2,  -2,  -3,  -1,   0,  -1,  -1,   0,   0,   0,  -1,
     2,   3,   2,   2,   2,   2,   1,   0,   3,   5,   4,   3,   1,   0,   1,   0,
     3,   4,   3,   2,   0,  -1,  -1,  -1,   5,   5,   3,   1,   0,  -1,  -1,  -1,
  ], [
     1,   1,   0,  -1,  -3,  -5,  -6,  -4,   1,   1,   0,   0,   0,  -3,  -3,  -1,
     0,  -1,  -1,   0,   1,   0,   1,   3,  -2,  -2,  -3,  -1,   2,   2,   4,   7,
    -2,  -2,  -2,   0,   2,   2,   3,   6,  -1,   0,   0,   1,   1,   0,   0,   3,
     0,   3,   3,   3,   1,  -2,  -3,  -1,   1,   3,   4,   3,   0,  -3,  -5,  -4,
  ], [
     0,   2,   0,  -1,  -3,  -4,  -2,  -2,   1,   4,   2,   0,  -2,  -3,  -2,  -1,
     3,   6,   3,   1,  -2,  -2,   0,  -1,   4,   7,   4,   1,  -2,  -3,  -1,   0,
     3,   6,   3,   0,  -3,  -3,  -1,   0,   1,   3,   0,  -1,  -3,  -2,   1,   1,
     0,   1,  -1,  -2,  -3,  -1,   2,   2,  -2,  -1,  -3,  -3,  -3,  -1,   1,   2,
  ], [
     3,   1,  -1,   0,   1,   0,   0,   0,   2,  -1,  -2,  -1,   1,   0,  -1,  -1,
     1,  -1,  -2,   0,   1,   0,  -2,  -3,   0,  -2,  -1,   1,   3,   1,  -3,  -5,
     0,  -2,  -1,   2,   5,   2,  -3,  -5,   0,  -2,  -1,   4,   6,   3,  -2,  -5,
     0,  -2,   0,   4,   7,   4,  -2,  -4,   0,  -2,   0,   4,   6,   4,  -2,  -4,
  ], [
    -2,  -2,  -3,  -4,  -3,  -2,  -1,   0,   1,   1,   0,  -1,  -1,  -1,   0,   1,
     3,   3,   2,   2,   1,   1,   1,   1,   2,   2,   2,   2,   1,   0,   0,   1,
     0,   0,   0,   0,  -1,  -1,  -1,  -1,  -4,  -4,  -4,  -4,  -4,  -4,  -4,  -3,
    -3,  -3,  -2,  -3,  -2,  -1,  -1,   0,   3,   4,   4,   5,   5,   6,   6,   7,
  ], [
    -1,  -2,   7,  -2,  -4,  -1,  -1,   0,  -1,  -2,   9,  -1,  -4,  -1,  -1,   0,
    -1,  -3,  10,  -1,  -4,  -1,  -1,   1,  -1,  -3,  10,  -2,  -3,  -1,  -1,   2,
    -1,  -2,  10,  -2,  -4,  -1,  -1,   2,  -1,  -2,   9,  -2,  -4,  -1,  -1,   2,
    -1,  -2,   8,  -2,  -4,   0,  -1,   1,   0,  -2,   7,  -2,  -3,  -1,   0,   2,
  ], [
     3,  -4,   1,   3,  -3,  -2,   1,   0,   3,  -5,   1,   4,  -3,  -2,   1,   0,
     3,  -6,   2,   5,  -3,  -1,   3,   0,   3,  -6,   2,   5,  -3,  -1,   2,   0,
     3,  -6,   1,   5,  -4,  -2,   3,   0,   3,  -6,   1,   5,  -3,  -2,   2,   0,
     2,  -6,   1,   4,  -3,  -1,   1,   0,   2,  -6,   1,   4,  -2,  -1,   1,   0,
  ], [
     0,   0,   1,   1,   1,   0,   0,   2,   0,  -1,   1,   1,   1,   0,   0,   2,
     0,  -1,   0,   0,   0,   0,   0,   2,   0,  -1,   0,   0,   0,   0,  -1,   0,
     1,   0,   1,   0,   0,  -1,  -2,  -1,   3,   1,   1,   0,   0,  -2,  -4,  -3,
     5,   3,   2,   1,   0,  -3,  -5,  -4,   5,   4,   2,   0,  -1,  -4,  -5,  -5,
  ], [
     1,   0,  -1,  -2,  -2,  -3,  -6,  -9,   2,   0,  -1,  -1,   0,   0,  -3,  -6,
     1,   0,   0,  -1,   0,   0,  -2,  -5,   2,   1,   1,   1,   1,   2,  -1,  -3,
     1,   1,   2,   1,   2,   2,   1,  -1,   1,   1,   2,   1,   1,   1,   1,   1,
     0,   0,   2,   1,   0,   0,   2,   2,   0,   1,   2,   2,   0,   0,   2,   2,
  ], [
    -4,  -3,   0,   1,   4,   6,   4,   3,  -3,  -2,   0,   0,   2,   4,   1,   0,
    -1,  -1,   0,   0,   1,   1,  -2,  -3,   1,   1,   1,   0,   1,   1,  -3,  -5,
     1,   1,   1,   0,   1,   1,  -3,  -5,  -1,   0,   0,  -1,   1,   1,  -2,  -4,
    -1,   0,   0,  -1,   1,   2,   0,  -2,  -1,   0,   0,   0,   2,   3,   1,   0,
  ], [
    -1,   0,   3,   4,   0,  -4,  -5,  -5,   0,   0,   4,   5,   2,  -2,  -3,  -2,
     0,  -1,   2,   4,   2,  -1,  -1,   0,   0,  -2,  -1,   1,   0,  -2,   0,   1,
     1,  -2,  -2,   0,   0,  -1,  -1,   1,   1,  -2,  -3,   0,   1,   0,  -1,   0,
     1,  -2,  -2,   1,   3,   1,   0,   0,   1,  -2,  -1,   2,   4,   2,   0,   0,
  ], [
     1,   2,   3,   2,   0,   2,   2,   1,  -1,   0,   1,   0,  -3,   1,   1,   1,
    -1,   0,   0,  -2,  -4,   0,   2,   1,  -1,   2,   2,  -1,  -5,   0,   2,   1,
    -1,   3,   4,  -1,  -5,   0,   2,   1,  -2,   2,   4,   0,  -4,  -1,   0,   0,
    -4,   0,   2,   0,  -4,  -2,   0,   0,  -5,  -1,   2,   1,  -2,   1,   3,   2,
  ], [
     1,   0,   1,   0,   1,   2,  -1,  -2,   2,   0,  -1,  -2,   1,   3,   0,  -1,
     3,   0,  -2,  -4,   0,   3,   1,   0,   5,   1,  -3,  -5,  -2,   2,   1,   1,
     6,   1,  -2,  -5,  -2,   1,   0,   1,   5,   1,  -1,  -5,  -2,   0,  -1,   0,
     3,   0,  -2,  -4,  -2,   0,  -1,   0,   1,  -1,   0,  -2,   0,   1,   0,   1,
  ], [
     1,   1,   2,   3,   2,   1,   1,   2,  -1,  -1,   0,   1,   1,   0,   1,   1,
    -4,  -3,   0,   0,   1,   1,   1,   2,  -4,  -3,   0,   2,   2,   2,   3,   2,
    -5,  -4,   0,   1,   1,   1,   1,   2,  -5,  -4,  -1,  -1,  -2,  -2,  -1,   0,
    -3,  -2,   0,   0,  -2,  -3,  -2,  -1,   2,   3,   4,   4,   2,   0,   0,   0,
  ], [
    -4,  -2,   0,   1,   0,   0,   0,   0,  -3,  -1,   1,   1,   0,   0,   0,   0,
    -2,   0,   2,   2,   0,   0,   0,   2,  -1,   1,   2,   1,  -1,   0,   3,   5,
     0,   2,   1,  -1,  -2,   0,   5,   6,   0,   1,   0,  -3,  -3,   0,   4,   6,
     1,   1,  -2,  -4,  -4,  -3,   1,   2,   1,   0,  -2,  -4,  -5,  -4,  -2,   0,
  ], [
    -1,  -3,  -3,  -3,  -3,  -2,  -1,  -1,   3,   2,   1,   0,   0,   1,   1,   1,
     5,   4,   3,   2,   1,   1,   2,   2,   2,   1,   0,  -2,  -2,  -2,  -1,  -1,
     0,   0,   0,  -1,  -2,  -2,  -2,  -2,   0,   1,   3,   3,   2,   1,  -1,  -1,
     0,   1,   3,   4,   3,   2,   1,  -1,  -4,  -3,  -1,   1,   0,  -2,  -3,  -3,
  ], [
    -3,  -4,  -7,  -8,  -7,  -4,  -1,   2,   0,  -1,  -3,  -4,  -4,  -2,   0,   2,
     1,   0,   0,  -1,  -3,  -2,   0,   2,   2,   1,   1,   0,  -1,  -1,   0,   2,
     1,   1,   1,   1,   0,   0,   0,   1,   1,   1,   1,   1,   1,   1,   1,   1,
     0,   0,   1,   2,   3,   3,   2,   2,   0,   0,   1,   3,   4,   4,   3,   2,
  ], [
     3,   3,   3,   0,  -1,   0,   1,   2,   1,   1,   1,  -1,  -2,  -1,  -1,   1,
    -2,  -2,  -1,  -3,  -3,  -2,  -2,   0,  -4,  -4,  -2,  -2,  -2,  -2,  -3,   0,
    -4,  -4,  -1,   1,   1,   0,  -1,   2,  -3,  -1,   2,   3,   4,   3,   3,   5,
    -2,   0,   2,   3,   3,   3,   3,   3,  -2,  -2,   0,   0,   0,   0,   0,   1,
  ], [
     0,   2,   1,  -1,  -3,  -1,   3,  -2,  -1,   0,  -1,  -1,  -3,   0,   4,  -2,
    -2,  -2,  -2,  -2,  -2,   1,   5,  -2,  -3,  -2,  -3,  -1,  -2,   1,   4,  -3,
    -2,   0,  -1,   0,  -1,   0,   3,  -5,   1,   2,   1,   2,   0,   0,   2,  -5,
     2,   4,   2,   3,   1,   1,   3,  -3,   1,   2,   1,   1,   0,   1,   4,  -2,
  ], [
     4,  -3,  -4,  -1,   3,   3,   1,   3,   4,  -4,  -4,  -1,   3,   2,   0,   2,
     4,  -3,  -4,   0,   2,   2,  -1,   1,   4,  -3,  -2,   1,   2,   1,  -2,   0,
     2,  -4,  -2,   1,   2,   0,  -3,   0,   2,  -3,  -2,   0,   1,   0,  -2,   2,
     3,  -1,  -1,   0,   0,   0,   0,   3,   2,  -2,  -2,  -2,  -1,  -1,  -1,   2,
  ], [
     2,   2,   3,   4,   3,   1,   0,  -1,   1,   0,   1,   2,   1,  -1,  -2,  -2,
     2,   1,   2,   1,   1,   0,  -1,  -1,   4,   3,   4,   3,   2,   1,   1,   1,
     3,   2,   2,   2,   1,   1,   1,   1,  -1,  -2,  -1,   0,  -1,  -1,  -1,  -1,
    -3,  -3,  -2,  -1,  -2,  -2,  -2,  -2,  -4,  -4,  -3,  -3,  -4,  -4,  -3,  -3,
  ], [
     2,   1,  -1,  -3,  -4,  -2,   3,   4,   2,   2,   1,  -1,  -3,  -2,   1,   2,
     1,   2,   3,   3,   0,  -2,  -1,  -2,  -1,   0,   2,   4,   2,   0,  -1,  -3,
    -2,  -2,   0,   3,   3,   2,   0,  -3,   0,  -2,  -3,  -1,   1,   2,   2,  -1,
     3,  -1,  -4,  -5,  -3,   0,   2,   0,   6,   3,  -2,  -6,  -5,   0,   3,   1,
  ], [
    -2,   3,  -2,   0,   3,  -2,  -2,   1,  -3,   4,  -3,   0,   3,  -2,  -1,   2,
    -3,   5,  -3,   0,   4,  -2,  -1,   2,  -2,   4,  -4,  -1,   3,  -3,  -2,   2,
    -3,   4,  -3,   0,   3,  -3,  -1,   2,  -2,   5,  -2,   0,   3,  -3,  -1,   2,
    -2,   4,  -3,   1,   3,  -2,  -1,   2,  -2,   3,  -2,   1,   3,  -2,   0,   2,
  ], [
     1,   0,   0,  -1,   1,   2,  -4,  -1,   2,   0,   0,  -1,   1,   2,  -4,  -2,
     1,   1,   1,  -1,   2,   4,  -2,   0,   0,  -1,   1,  -1,   2,   5,  -1,   1,
     0,  -1,   0,  -2,   1,   5,  -1,   1,   0,  -1,  -1,  -2,   0,   3,  -3,  -1,
     1,   1,   0,  -2,   0,   3,  -3,  -1,   1,   1,   0,  -3,   0,   3,  -2,   0,
  ], [
     1,   0,  -1,   1,   1,   2,   4,   5,   1,   0,  -1,   1,   1,   1,   5,   7,
     0,   0,  -2,  -1,  -1,   0,   3,   5,   0,  -1,  -2,  -1,  -1,  -1,   2,   3,
     0,  -1,  -3,  -1,  -1,  -1,   1,   2,  -1,  -2,  -4,  -2,  -2,  -2,   0,   0,
    -1,  -2,  -2,  -1,  -2,  -2,   0,   0,   0,  -1,  -1,   0,  -1,  -1,   0,   0,
  ], [
     3,   3,   0,  -1,  -1,   1,   4,   4,   2,   3,   0,  -2,  -2,   0,   1,   1,
     2,   3,   1,  -1,  -1,   0,   1,   0,   1,   2,   0,  -1,  -1,  -1,   0,  -2,
     0,   1,   0,  -1,  -2,  -1,   0,  -2,   0,   1,   0,  -1,  -2,  -1,   1,   0,
     1,   1,  -1,  -3,  -4,  -3,   1,   3,   1,   2,  -1,  -3,  -5,  -4,   1,   3,
  ], [
    -3,  -2,   0,   1,   1,   1,   0,  -2,   0,   1,   1,   1,   0,   0,  -1,  -3,
     1,   2,   1,   1,   0,  -1,  -1,  -2,   0,  -1,  -3,  -1,  -1,  -1,   0,  -1,
     0,  -3,  -6,  -3,  -2,  -1,   1,   1,   2,  -1,  -4,  -3,  -2,   0,   2,   2,
     5,   4,   1,   1,   0,   1,   3,   2,   5,   4,   2,   1,   0,  -1,   0,   1,
  ], [
    -2,   0,  -2,  -5,  -6,  -3,   0,   0,  -2,   0,   1,   0,  -1,   1,   2,   2,
    -2,   0,   1,   3,   2,   2,   2,   1,  -2,   0,   2,   4,   3,   2,   1,   1,
    -2,   0,   2,   3,   2,   0,  -1,   0,  -3,  -1,   1,   1,   0,  -1,  -1,   1,
    -4,  -1,   1,   0,  -1,  -2,   0,   2,  -4,  -1,   0,  -1,  -1,  -2,   1,   4,
  ], [
    -3,   0,   0,  -1,   1,   1,   1,   0,  -3,   1,   0,  -1,   0,   0,  -1,  -1,
    -1,   3,   3,   0,   1,   0,   0,   1,  -3,   2,   2,  -2,  -1,   0,   0,   1,
    -5,   0,   0,  -2,  -1,   1,   0,   2,  -7,  -2,   1,   0,   1,   2,   2,   2,
    -5,   0,   3,   2,   3,   3,   2,   2,  -3,   2,   4,   1,   0,   0,  -2,  -3,
  ], [
     5,   2,  -2,  -2,   0,  -1,  -1,  -1,   2,  -1,  -4,  -3,  -1,  -2,  -1,  -1,
     0,  -2,  -2,   1,   2,  -1,   0,   1,  -1,  -2,  -1,   3,   3,  -1,   0,   2,
     1,   0,   0,   3,   3,  -2,  -1,   2,   2,   1,   1,   3,   2,  -2,  -2,   0,
     1,   0,  -1,   1,   1,  -3,  -3,  -2,   1,   0,   1,   2,   3,   0,   0,   0,
  ], [
    -4,  -5,  -3,   0,   1,  -1,  -2,  -1,  -2,  -3,  -1,   1,   2,   0,   0,   0,
     1,   1,   2,   1,   2,   1,   1,   1,   3,   4,   3,   1,   0,  -2,  -1,  -1,
     3,   3,   2,   0,  -2,  -3,  -3,  -2,   1,   1,   0,  -1,  -2,  -4,  -2,  -2,
     2,   1,   0,   0,   0,  -1,   0,   1,   2,   1,   1,   1,   1,   1,   1,   3,
  ], [
     0,   0,   0,  -1,  -2,  -1,   1,   0,  -2,  -1,  -1,  -2,  -3,  -2,   0,   0,
    -1,   0,   0,  -1,  -2,   0,   1,   1,   1,   1,   0,  -1,  -1,   1,   3,   1,
     2,   2,   0,  -2,  -1,   2,   3,   0,   3,   1,  -1,  -1,   1,   4,   2,  -2,
     2,   0,  -3,  -1,   3,   5,   0,  -5,   1,  -1,  -2,   0,   3,   3,  -1,  -6,
  ], [
    -1,   0,   3,   4,   2,   0,   1,   2,  -2,  -1,   0,   1,  -1,  -2,   0,   1,
    -2,  -3,  -2,  -3,  -6,  -7,  -6,  -3,   2,   2,   3,   1,  -1,  -2,  -3,  -2,
     2,   2,   3,   1,   0,   0,   0,   0,   2,   1,   1,   0,   1,   1,   0,   1,
     1,   0,   0,   0,   0,   1,   1,   2,   1,   0,  -1,   0,   0,   2,   2,   1,
  ], [
     1,   1,   3,   1,  -1,  -1,  -1,   1,  -2,  -1,   0,   0,  -2,  -2,  -1,   2,
    -2,  -2,   1,   1,   1,   0,   1,   3,  -2,  -2,   0,  -1,   0,  -1,   0,   2,
     0,   0,   1,   0,  -1,  -1,  -2,   1,   3,   2,   2,   1,   0,  -2,  -2,   1,
     5,   3,   3,   2,   1,   1,   1,   4,   0,  -3,  -4,  -5,  -4,  -3,  -1,   1,
  ], [
    -6,  -4,  -1,   2,   2,   0,   0,  -1,  -4,  -2,   1,   3,   3,   2,   2,   0,
    -3,  -2,  -1,   2,   3,   3,   2,   0,  -3,  -2,  -2,   1,   2,   1,   1,  -1,
    -2,  -2,  -2,   0,   2,   2,   1,  -1,  -1,  -1,  -1,   1,   2,   3,   2,   0,
    -1,  -1,  -2,   1,   2,   2,   2,  -1,   0,  -1,  -2,   0,   2,   1,   0,  -1,
  ], [
     6,   4,   2,   1,   0,   0,   0,   1,   4,   2,  -1,  -2,  -2,  -2,  -1,  -1,
     2,   1,  -1,  -2,  -2,  -2,  -2,  -1,   2,   2,   0,  -2,  -2,  -2,  -1,   0,
     0,   0,  -1,  -2,  -2,  -1,   0,   1,  -3,  -3,  -2,  -1,  -1,  -2,  -1,   0,
    -3,  -2,   2,   3,   2,   0,  -1,  -2,  -2,   0,   4,   5,   5,   2,   0,  -1,
  ], [
     5,   4,   2,   0,  -1,  -2,  -1,  -1,   4,   3,   2,   1,   0,  -1,   0,  -1,
     1,   1,   0,   1,   1,   0,   1,  -1,  -2,  -1,  -1,   0,   0,  -2,  -2,  -3,
    -1,   0,   0,   0,  -1,  -3,  -3,  -5,   0,   1,   1,  -1,  -1,  -2,  -2,  -3,
    -1,  -1,  -1,  -2,  -1,   1,   3,   1,  -1,  -2,  -2,  -1,   2,   5,   6,   5,
  ], [
    -3,  -3,  -2,   1,   1,  -2,  -1,  -1,   1,   2,   3,   4,   1,  -3,  -1,  -3,
     3,   2,   0,   1,  -1,  -3,  -1,  -3,   1,   0,  -1,   0,  -1,  -1,   1,   0,
     1,   1,   0,   1,   2,   2,   5,   3,   1,   1,   1,   2,   2,   2,   3,   0,
    -3,  -1,  -2,  -2,  -3,  -3,  -1,  -3,  -1,   1,   1,   0,  -1,  -1,   0,  -2,
  ], [
     2,   0,  -2,  -2,   2,   4,   1,  -2,   1,   0,  -2,  -1,   3,   5,   2,  -1,
    -1,  -2,  -3,  -2,   1,   3,   1,  -2,  -1,  -2,  -1,  -1,   0,   2,   1,  -1,
     0,   0,   1,   1,   1,   2,   2,   0,   0,   1,   4,   4,   2,   2,   3,   1,
    -2,  -1,   2,   1,  -2,  -3,  -2,  -3,  -1,   0,   1,   0,  -3,  -4,  -4,  -5,
  ], [
     4,   0,  -3,  -4,  -4,  -4,  -2,  -1,   5,   0,  -1,   0,  -1,  -3,  -2,  -1,
     4,   0,   0,   1,   1,   0,   0,   0,   0,  -3,  -2,  -1,   0,   0,   1,   0,
     0,  -2,   0,   0,   1,   1,   2,   1,   2,   0,   0,   0,   1,   1,   1,   0,
     2,   0,  -1,  -1,   1,   1,   1,   0,   1,  -1,  -2,  -2,   0,   2,   2,   2,
  ], [
    -3,  -5,  -2,   0,  -1,  -3,  -3,   0,   0,  -2,   0,   2,   2,   0,   0,   3,
     2,  -1,  -2,   0,   0,  -1,  -1,   2,   5,   2,  -1,  -1,  -1,  -1,  -1,   2,
     5,   2,   0,  -1,  -1,   0,  -1,   2,   2,   1,   0,   0,   0,   1,   0,   2,
    -1,  -1,   1,   1,   2,   2,   1,   2,  -3,  -2,   0,   0,   0,   0,  -2,  -1,
  ], [
     0,   3,   2,   0,  -2,  -3,  -3,  -3,   0,   3,   3,   1,   0,   0,   1,   2,
    -1,   0,  -1,  -2,  -1,  -1,   1,   3,  -1,   0,  -1,  -2,  -1,  -1,   0,   2,
    -1,   0,  -1,  -2,   0,   0,  -1,   2,  -1,   0,  -1,  -2,  -1,  -1,  -2,   1,
     0,   1,   0,  -3,  -1,  -1,  -1,   2,   5,   5,   2,  -1,  -1,  -1,   1,   3,
  ], [
     0,   0,   1,  -1,  -3,  -2,   0,   2,   1,   1,   3,   0,  -2,  -2,   0,   1,
     1,   1,   3,   1,   0,   0,  -1,  -1,   0,  -1,   2,   1,   1,   0,  -1,  -3,
    -1,  -2,   1,   1,   1,   0,  -2,  -4,  -1,   0,   2,   1,   1,   0,  -1,  -3,
     1,   1,   3,   2,   1,   0,  -2,  -3,   2,   2,   4,   2,   1,  -1,  -2,  -4,
  ], [
     1,   2,   2,   2,   0,  -2,   0,   2,  -1,  -1,  -2,  -3,  -4,  -5,  -3,   1,
     0,   1,   1,   0,  -1,  -1,  -1,   1,   0,   1,   1,   1,   0,   0,   0,   2,
     0,   1,   1,   2,   1,   1,   1,   2,  -1,  -1,   0,   2,   2,   2,   2,   3,
    -2,  -4,  -4,  -1,  -2,  -2,  -2,   0,   1,   0,   0,   1,   0,   0,   0,   1,
  ], [
     0,  -1,  -3,  -2,   0,   2,   2,   1,   0,  -1,  -2,  -3,   0,   1,   1,   2,
     1,   0,  -2,  -3,  -1,   0,   0,   1,  -1,   0,  -1,  -2,   0,   0,  -1,   0,
    -1,   1,   1,   0,   2,   2,   0,   0,   0,   2,   3,   1,   3,   5,   3,   2,
    -1,   1,   1,  -2,   0,   3,   1,   1,  -1,   0,   0,  -4,  -4,  -1,  -1,  -1,
  ], [
    -1,   1,   1,   0,   1,   2,   1,   2,  -3,   0,   1,   0,   1,   1,   0,   2,
    -5,  -3,  -1,  -1,   0,   1,   0,   1,  -4,  -3,  -2,  -3,  -2,  -1,  -1,   0,
     0,   0,  -1,  -2,  -2,  -2,  -2,   0,   3,   4,   2,   0,   0,   0,   0,   1,
     2,   1,   0,   0,   0,   0,  -1,   0,   0,   1,   2,   3,   4,   4,   3,   2,
  ], [
    -1,   4,   7,   4,   0,   0,   0,   0,  -1,   4,   6,   3,   0,   1,   1,   1,
     0,   3,   4,   0,  -1,   0,   0,   1,   0,   1,   1,  -2,  -1,   0,  -1,  -1,
    -1,   0,  -1,  -1,  -1,   0,   0,   0,  -1,  -1,  -1,   0,   0,   0,   0,   0,
    -1,  -3,  -3,   0,   1,  -1,  -2,  -1,  -3,  -4,  -4,  -2,  -1,  -2,  -2,  -1,
  ], [
     2,   2,   1,   0,   1,   1,   0,  -3,  -2,  -1,   0,   0,   1,   1,   0,  -3,
    -2,  -1,   0,   1,   2,   1,   1,  -2,   1,   2,   2,   2,   3,   3,   2,  -1,
     1,   2,   1,   0,   1,   1,   2,  -1,   0,   1,  -2,  -4,  -2,   0,   1,  -1,
     1,   1,  -1,  -3,  -2,   0,  -1,  -3,   1,   2,   0,  -1,   0,   1,  -1,  -4,
  ], [
    -1,  -1,  -2,  -2,   0,   3,   4,   3,   1,   1,  -1,  -3,  -2,   0,   0,   0,
     2,   2,   2,   2,   2,   1,  -1,  -1,   1,   1,   1,   3,   3,   0,  -2,  -2,
     0,  -1,  -1,  -1,   0,  -2,  -1,  -1,  -1,  -3,  -4,  -3,  -2,  -2,   0,   2,
    -1,  -1,   0,   1,   2,   2,   3,   5,  -2,  -1,  -1,   0,   0,   0,   0,   1,
  ], [
    -2,  -3,   2,   0,   0,   1,   1,  -1,  -1,  -4,   1,  -2,  -1,   2,   2,   0,
     1,  -4,   0,  -2,  -2,   1,   1,  -1,   2,  -3,   1,  -1,  -1,   1,   1,  -1,
     3,  -2,   3,   1,   0,   1,   1,  -1,   1,  -3,   2,   1,   0,   1,   0,  -1,
    -1,  -5,   1,   0,  -1,   0,   1,   1,   0,  -3,   3,   3,   1,   2,   3,   3,
  ], [
     0,  -1,  -2,   1,   5,   5,   2,  -1,   1,  -1,  -2,  -1,   1,   1,  -2,  -5,
     1,   1,  -1,  -2,  -1,  -1,  -1,  -3,   1,   1,  -1,  -1,  -1,   2,   4,   3,
    -1,  -1,  -1,  -1,  -1,   0,   4,   3,  -1,  -1,   0,   1,  -1,  -3,  -1,  -1,
     0,   0,   0,   2,   2,   0,   0,  -1,   0,  -2,  -3,   0,   1,   1,   3,   2,
  ], [
     2,   3,   2,   1,   0,   0,  -2,  -2,   2,   3,   0,   1,   1,   3,   3,   2,
     0,   0,  -3,  -1,  -1,   2,   2,   3,  -2,  -2,  -3,   1,   1,   2,   1,   1,
    -2,  -1,  -2,   2,   1,   1,  -1,  -2,   0,   1,   0,   2,   0,   0,  -2,  -2,
     0,   1,   0,   2,   0,   0,  -2,  -2,  -3,  -2,  -2,   0,  -1,  -2,  -2,  -3,
  ], [
     0,   1,  -1,   3,  -1,   1,   3,  -1,   0,   1,  -1,   3,  -1,  -1,   2,  -3,
     1,   1,  -2,   3,  -1,  -3,   0,  -3,   2,   2,  -2,   3,   0,  -2,   1,  -2,
     1,   1,  -3,   3,  -1,  -2,   1,  -3,   1,   1,  -3,   3,   0,  -1,   1,  -2,
     1,   2,  -1,   4,   0,  -1,   1,  -2,   0,   1,  -1,   3,  -1,  -3,   0,  -3,
  ], [
    -3,  -3,  -1,   1,   2,   1,  -1,  -2,  -2,  -2,   0,   2,   1,   0,  -2,  -2,
    -3,  -2,   1,   2,   1,  -1,  -2,  -1,  -3,  -2,   2,   4,   0,  -2,  -2,   1,
    -3,  -1,   2,   4,   0,  -2,  -2,   2,  -1,   1,   4,   3,  -1,  -3,  -2,   2,
     0,   2,   4,   2,  -1,  -2,  -1,   2,   0,   1,   2,   0,  -1,   0,   1,   3,
  ], [
     3,   0,  -5,   1,   4,   0,   0,   1,   1,  -2,  -5,   2,   5,  -1,  -2,   1,
    -1,   0,   0,   3,   3,   1,   0,  -1,  -2,   3,   4,  -2,  -3,  -1,   0,  -2,
    -3,   3,   5,  -3,  -3,   0,   0,  -2,  -1,   3,   2,  -2,  -2,   2,   2,  -1,
     2,   0,   0,  -1,   0,   0,   0,   0,   0,  -3,  -2,   1,   3,   0,  -2,  -2,
  ]
];

pub const SVQ_INTER_CB_8X4: [[i8; 32]; 96] = [
  [
     9,   8,   4,   0,  -3,  -4,  -4,  -3,   9,   8,   4,  -1,  -4,  -5,  -5,  -3,
     8,   7,   3,  -2,  -5,  -5,  -5,  -4,   6,   4,   1,  -2,  -4,  -5,  -4,  -3,
  ], [
   -12, -14, -11,  -4,   1,   5,   6,   6,  -8, -10,  -7,  -5,  -2,   1,   1,   1,
     5,   4,   3,   1,   0,   0,  -1,  -1,  13,  13,   9,   6,   3,   0,  -1,  -2,
  ], [
    -4,  -4,  -3,  -1,   1,   4,   8,  11,  -5,  -6,  -4,  -2,   0,   3,   8,  12,
    -7,  -7,  -6,  -4,  -2,   2,   7,  10,  -7,  -7,  -5,  -4,  -2,   1,   5,   8,
  ], [
    -3,  -2,  -1,   1,   3,   6,   7,   6,   2,   3,   5,   7,   8,   8,   6,   4,
     4,   5,   4,   3,   1,  -2,  -6,  -7,   1,   0,  -2,  -7, -10, -14, -17, -16,
  ], [
    -5,  -4,   1,   8,   9,   3,  -3,  -7,  -7,  -6,   1,  11,  12,   5,  -3,  -8,
    -8,  -7,   0,   9,  11,   5,  -3,  -7,  -8,  -6,  -1,   5,   8,   4,  -2,  -6,
  ], [
    -4,  -5,  -7,  -8,  -9,  -9,  -8,  -6,  -4,  -5,  -6,  -7,  -7,  -6,  -4,  -2,
     0,   1,   2,   3,   5,   8,  10,   9,   1,   2,   3,   6,   9,  12,  14,  13,
  ], [
     5,   6,   6,   5,   4,   3,   2,   1,   5,   6,   7,   7,   6,   6,   6,   4,
    -1,   0,   1,   1,   3,   5,   5,   5, -13, -16, -17, -17, -14, -10,  -6,  -4,
  ], [
     9,  11,  13,  16,  15,  13,  12,  10,  -4,  -5,  -6,  -7,  -7,  -7,  -6,  -5,
    -6,  -6,  -7,  -7,  -7,  -7,  -6,  -5,  -2,  -1,   0,   0,   0,   0,   0,  -1,
  ], [
   -11, -13, -15, -16, -16, -14, -12, -10,   2,   3,   4,   5,   4,   3,   3,   3,
     6,   7,   8,   8,   8,   7,   6,   5,   3,   4,   3,   3,   3,   3,   3,   3,
  ], [
     3,   4,   4,   1,  -2,  -7, -13, -17,   5,   7,   7,   5,   1,  -5, -13, -19,
     6,   8,   9,   8,   5,  -1,  -9, -16,   6,   8,  10,  10,   7,   2,  -4, -11,
  ], [
    18,   9,  -1, -10, -13,  -9,  -4,   0,  22,  12,  -1, -12, -15, -10,  -4,   2,
    23,  13,   0, -10, -13,  -9,  -3,   2,  20,  12,   2,  -6,  -9,  -6,  -2,   2,
  ], [
    -6,  -6,  -6,  -7,  -7,  -7,  -7,  -6,  -6,  -7,  -8,  -8,  -9,  -9,  -9,  -8,
    -3,  -3,  -3,  -3,  -3,  -3,  -3,  -3,  12,  15,  18,  21,  21,  19,  17,  14,
  ], [
    14,  16,  18,  18,  18,  16,  15,  13,   5,   6,   6,   5,   5,   4,   4,   3,
    -6,  -7,  -9, -10, -10, -10,  -9,  -7, -10, -11, -13, -14, -14, -13, -12, -10,
  ], [
   -27, -17,  -4,   5,   9,  10,  10,   7, -32, -19,  -3,   7,  11,  12,  11,   8,
   -30, -16,  -2,   8,  12,  12,  10,   7, -23, -12,   0,   7,  10,  11,   9,   6,
  ], [
    16,  17,  16,  12,   6,  -1,  -8, -12,  17,  18,  15,  10,   1,  -8, -15, -18,
    15,  14,  10,   4,  -5, -14, -20, -23,  10,   8,   4,  -1,  -9, -16, -21, -22,
  ], [
   -10, -12, -12, -11,  -5,   4,  14,  20, -11, -13, -15, -12,  -4,   7,  19,  27,
   -11, -13, -14, -11,  -3,   8,  21,  28, -10, -11, -12,  -9,  -2,   8,  18,  25,
  ], [
    -1,  -1,  -1,   1,   4,   6,   6,   5,   0,   0,   0,   2,   4,   3,   1,  -2,
     0,   0,   2,   4,   4,  -1,  -7, -10,   0,   0,   3,   5,   3,  -3, -11, -15,
  ], [
   -14, -13,  -8,  -1,   3,   3,  -1,  -4,  -5,  -4,  -1,   4,   8,   8,   3,   0,
     3,   2,   2,   3,   4,   5,   3,   1,   5,   3,   0,  -2,  -2,  -1,  -1,  -1,
  ], [
     9,   1,  -6,  -6,  -5,  -3,  -2,  -1,  12,   1,  -6,  -6,  -4,  -2,  -1,   0,
    14,   4,  -4,  -4,  -2,  -2,  -1,  -1,  14,   6,  -1,  -1,  -1,  -1,  -1,  -1,
  ], [
     4,   6,   8,  10,  11,   9,   7,   5,  -1,  -1,  -1,   0,   0,  -1,  -1,  -2,
    -2,  -4,  -4,  -5,  -5,  -5,  -5,  -4,  -2,  -3,  -3,  -4,  -4,  -3,  -2,  -1,
  ], [
     2,   3,   4,   4,   3,   1,   0,   0,  -1,   1,   4,   5,   6,   5,   4,   3,
    -8,  -6,  -2,   2,   3,   4,   4,   3, -14, -13,  -9,  -5,  -2,  -1,   0,   0,
  ], [
    -3,  -4,  -5,  -4,   0,   7,  12,  13,  -3,  -4,  -5,  -5,  -2,   4,   9,  10,
    -2,  -3,  -4,  -5,  -4,  -1,   3,   4,  -1,  -1,  -2,  -3,  -3,  -2,   0,   1,
  ], [
     9,   5,  -2,  -8, -11, -10,  -7,  -4,  12,  10,   6,   2,   0,  -1,   0,   0,
     2,   2,   3,   4,   3,   1,   1,   1,  -9,  -8,  -4,   0,   1,   2,   1,   0,
  ], [
     6,   8,   8,   5,   1,  -5, -11, -13,   0,   1,   2,   2,  -1,  -4,  -8, -11,
    -3,  -2,   1,   3,   3,   1,  -1,  -4,  -2,  -1,   2,   5,   6,   6,   4,   1,
  ], [
     3,   4,   5,   5,   4,   1,  -3,  -6,   5,   6,   4,   2,   2,   2,   0,  -3,
     6,   5,   0,  -5,  -5,  -2,  -1,  -2,   7,   4,  -3, -11, -12,  -7,  -3,  -2,
  ], [
     1,   0,  -1,  -1,  -1,   0,   0,   0,   2,   3,   4,   4,   5,   5,   4,   3,
    -7,  -9,  -9, -10, -10,  -9,  -7,  -6,   3,   4,   5,   6,   5,   5,   5,   5,
  ], [
    -7,  -7,  -7,  -7,  -6,  -6,  -5,  -4,  -5,  -4,  -3,  -1,  -1,  -1,   0,   0,
    -3,  -2,   1,   4,   5,   5,   5,   5,  -2,  -1,   3,   6,   9,  10,  10,   9,
  ], [
   -14,   1,  10,   3,  -2,   0,   1,   1, -16,   2,  13,   3,  -3,  -1,   1,   0,
   -15,   2,  12,   3,  -4,  -2,   1,   1, -10,   3,  10,   2,  -3,  -1,   1,   1,
  ], [
     0,   1,   4,   2,  -5, -10,  -3,  11,  -1,   1,   4,   2,  -6, -13,  -2,  15,
    -1,   0,   3,   1,  -6, -12,  -1,  15,  -1,   1,   2,   1,  -4,  -8,   0,  11,
  ], [
    10,   5,  -2,  -2,   2,   5,   1,  -4,   7,   0,  -8,  -6,   1,   5,   2,  -4,
     2,  -5, -12,  -7,   2,   7,   4,  -1,  -1,  -7, -10,  -4,   4,   9,   7,   2,
  ], [
    -5,  -5,  -4,  -6,  -6,  -5,  -5,  -3,  -1,  -2,  -2,  -4,  -5,  -6,  -5,  -4,
     6,   7,   7,   4,   0,  -2,  -3,  -3,  13,  14,  13,  10,   5,   1,  -1,  -2,
  ], [
     1,   1,   2,   2,   2,   2,   2,   2,  -5,  -6,  -8,  -9,  -9,  -8,  -7,  -6,
     7,   9,  10,  11,  11,   9,   7,   5,  -1,  -2,  -3,  -3,  -4,  -4,  -4,  -3,
  ], [
    -1,  -1,   0,   0,   0,   0,  -1,  -1,  -3,  -3,  -4,  -5,  -4,  -3,  -3,  -2,
     2,   1,  -1,  -3,  -3,  -2,  -1,   0,  12,  12,   8,   3,   1,   0,   0,   1,
  ], [
    -6,  -8,  -8,  -6,  -2,   2,   6,   8,   1,   1,  -1,  -2,   0,   3,   5,   7,
     3,   3,   1,  -1,  -1,   0,   0,   2,   0,   1,   0,  -1,  -1,  -1,  -2,  -1,
  ], [
     1,   0,   0,   0,   0,   0,   2,   4,   2,   1,   3,   4,   3,   1,   0,   2,
     2,   1,   0,   0,  -1,  -1,   0,   3,   5,   1,  -6, -12, -13,  -8,  -1,   4,
  ], [
    -2,   0,  -1,  -2,  -1,   0,   2,   3,  -6,  -3,  -2,   0,   1,   1,   1,   1,
    -9,  -5,   0,   4,   5,   3,   1,   0,  -8,  -3,   3,   7,   8,   4,   1,   0,
  ], [
     1,   2,   2,   3,   3,   1,  -1,  -3,   4,   5,   5,   6,   6,   5,   2,   0,
     0,   0,   0,   0,   1,   0,  -2,  -4,  -3,  -3,  -4,  -3,  -3,  -4,  -7,  -8,
  ], [
    14,  12,   6,  -1,  -3,  -3,   0,   0,   7,   5,   1,  -3,  -5,  -4,  -2,  -1,
    -2,  -2,  -2,  -2,  -2,  -2,  -1,  -1,  -6,  -4,  -1,   1,   1,   1,   0,  -1,
  ], [
     2,   2,   1,  -3,  -6,  -7,  -6,  -3,   1,   0,  -1,  -3,  -2,   1,   4,   6,
     0,   0,   1,   2,   4,   7,   8,   7,   0,   0,   0,   0,  -1,  -4,  -7,  -8,
  ], [
     0,   2,   1,  -2,  -3,  -3,  -2,  -1,  -1,   1,   0,  -3,  -5,  -2,   0,   2,
    -2,  -1,  -2,  -5,  -4,   1,   6,   9,  -3,  -2,  -3,  -4,  -2,   5,  11,  13,
  ], [
    -4,  -2,   2,   6,   4,  -3, -10, -14,  -2,  -1,   1,   4,   4,   1,  -1,  -2,
     0,   0,  -1,  -2,  -2,   0,   4,   6,   2,   2,   0,  -3,  -3,   0,   5,   9,
  ], [
    -4,  -4,  -2,   1,   6,   9,   3,  -7,  -2,  -2,  -2,  -1,   4,   8,   0, -11,
     1,   1,   0,   0,   2,   6,  -1, -10,   2,   2,   1,   0,   2,   4,   0,  -7,
  ], [
    -1,  -2,  -3,  -6,  -7,  -8,  -8,  -8,   2,   3,   3,   1,  -1,  -2,  -3,  -4,
     5,   5,   5,   4,   3,   2,   0,  -1,   3,   3,   3,   3,   2,   2,   1,   1,
  ], [
     3,   3,   2,  -2,  -3,   0,   7,  10,   1,   2,   2,  -2,  -5,  -4,   0,   3,
     0,   3,   4,   2,  -3,  -5,  -6,  -4,   0,   2,   4,   4,   1,  -4,  -7,  -7,
  ], [
     2,   4,   5,   5,   5,   5,   6,   6,  -4,  -4,  -3,  -5,  -5,  -3,  -3,  -2,
    -3,  -4,  -4,  -5,  -4,  -2,  -2,  -2,   1,   1,   0,   0,   2,   4,   5,   4,
  ], [
    -2,   0,   3,   4,   4,   3,   2,   2,  -9,  -7,  -4,   0,   3,   6,   6,   6,
    -5,  -5,  -3,  -2,   0,   1,   3,   4,   5,   5,   2,  -2,  -4,  -6,  -5,  -3,
  ], [
     1,  -6,  -4,   7,   5,  -2,  -2,   1,   5,  -5,  -4,   6,   4,  -5,  -4,   1,
     5,  -5,  -4,   6,   4,  -5,  -3,   1,   1,  -7,  -3,   8,   7,  -1,  -3,   1,
  ], [
    -8,  -7,  -4,   0,   2,   4,   5,   5,   5,   6,   5,   2,  -1,  -5,  -7,  -7,
     5,   6,   4,   1,  -3,  -5,  -6,  -5,  -7,  -7,  -5,  -2,   1,   6,   9,  10,
  ], [
     6,   3,   0,   1,   3,   0,  -8, -14,   3,   0,  -1,   1,   4,   3,   0,  -4,
     1,   0,   0,   1,   2,   1,   1,   1,  -1,  -1,   1,   2,   1,  -1,  -1,   0,
  ], [
     1,   1,   1,   1,   0,  -2,  -3,   0,   1,   2,   1,   0,  -2,  -8,  -9,  -4,
     1,   3,   3,   2,   1,  -3,  -3,   1,   0,   1,   1,   1,   1,   1,   4,   8,
  ], [
     2,   5,   9,   7,   2,  -1,  -1,   1,  -4,  -1,   1,   0,  -3,  -4,  -1,   2,
    -3,   0,   3,   3,   0,  -1,   0,   2,  -4,  -1,   1,   1,  -2,  -4,  -5,  -4,
  ], [
     1,  -1,  -2,  -2,  -1,   2,   4,   5,   2,   1,   1,   0,  -1,  -1,   0,   0,
     2,   3,   4,   5,   4,   2,   1,   0,  -9,  -9,  -6,  -3,  -1,  -1,  -1,  -1,
  ], [
    -6,  -6,   4,   7,   0,  -2,  -1,  -2,  -1,  -2,   5,   6,  -1,  -2,   0,  -1,
     4,  -1,   1,   0,  -4,  -2,   0,  -2,   7,   1,  -1,  -2,  -3,   1,   3,   1,
  ], [
     4,   2,   1,   3,   3,   1,   1,   2,   2,  -2,  -4,   0,   3,   1,   0,   0,
     1,  -4,  -8,  -4,   1,   2,   1,   0,   2,  -3,  -9,  -6,   0,   3,   3,   2,
  ], [
    -1,  -1,   0,  -1,  -1,   0,   1,   2,   3,   1,  -4,  -8,  -7,  -3,   1,   2,
     2,  -1,  -3,  -2,  -1,   0,   1,   0,  -1,   0,   5,  11,   9,   3,  -1,  -3,
  ], [
    -1,  -2,  -2,  -1,   1,   1,   1,   1,   0,  -1,   0,   3,   6,   6,   5,   5,
     2,   1,  -1,  -1,  -2,  -5,  -6,  -4,   2,   2,   2,   1,  -1,  -4,  -5,  -5,
  ], [
    -1,  -3,  -6,  -7,  -6,  -4,  -1,   1,   5,   5,   3,   4,   4,   3,   4,   5,
    -1,  -2,  -3,  -2,  -2,  -2,   0,   1,   0,   0,   0,   0,   0,   1,   2,   3,
  ], [
    -6,  -6,  -4,  -1,   2,   2,   2,   2,  -6,  -7,  -5,  -2,   0,  -1,  -1,   0,
     2,   2,   2,   4,   4,   3,   3,   4,   2,   1,   0,  -1,   0,   0,   2,   4,
  ], [
    12,   5,  -5,  -8,  -5,   0,   2,   2,   2,  -3,  -6,  -3,   0,   0,  -1,  -2,
    -2,  -3,  -1,   3,   4,   1,  -2,  -3,   2,   2,   3,   4,   3,   1,  -1,  -1,
  ], [
     3,   2,   1,   0,   1,   4,   3,   0,   4,   3,   0,  -5,  -6,   0,   3,   3,
     2,   3,   1,  -7, -12,  -6,   1,   3,   1,   3,   4,  -1,  -6,  -4,   0,   1,
  ], [
    -9,  -4,   2,   6,   7,   4,   1,   0,  -7,  -1,   4,   6,   4,   0,  -3,  -3,
    -6,   0,   4,   4,   1,  -2,  -3,  -2,  -4,   1,   3,   2,   0,  -2,  -1,   0,
  ], [
     0,   5,   2,  -5,  -3,   3,   1,  -4,  -2,   4,   2,  -6,  -3,   6,   4,  -3,
    -1,   5,   3,  -5,  -1,   7,   3,  -4,  -1,   2,   0,  -6,  -3,   5,   3,  -3,
  ], [
    -8,  -3,   3,   5,   3,   1,  -2,  -2,   2,   4,   4,  -2,  -4,  -3,   1,   3,
     2,   1,  -3,  -5,  -3,   3,   4,   3,  -5,  -6,  -5,   3,  10,   8,  -1,  -5,
  ], [
     0,   3,   2,  -4,  -9,  -7,   0,   6,  -5,  -1,   5,   7,   4,  -1,  -3,  -3,
    -5,  -5,  -2,   3,   6,   5,  -1,  -4,   9,   6,   0,  -4,  -2,   1,   1,  -1,
  ], [
    -1,  -1,  -1,   1,   1,   0,  -1,   0,  -1,   0,   0,   0,   0,  -1,  -1,   0,
     2,   1,  -2,  -1,   1,   1,   0,   0,  12,   8,   2,  -1,  -1,  -4,  -7,  -7,
  ], [
     2,   1,   3,   6,   7,   4,   2,   0,   1,   0,  -1,   0,  -1,  -4,  -7,  -8,
     0,   0,  -1,   0,   0,   0,  -1,  -3,   0,   0,   0,   0,   1,   1,   0,  -2,
  ], [
    -1,   0,   1,   1,   0,   0,  -1,  -2,   0,   0,  -1,  -3,  -4,  -3,  -1,   1,
    -1,   0,   0,   0,   1,   4,  10,  12,  -1,   0,  -2,  -2,  -3,  -3,  -1,   1,
  ], [
    -3,  -1,  -2,  -4,   2,   9,   9,   7,  -3,   0,  -1,  -3,   0,   2,  -1,   1,
    -1,   1,  -2,  -3,   0,  -1,  -3,   0,   0,   0,  -3,  -2,   0,  -1,  -1,   1,
  ], [
    -1,  -2,  -1,  -1,  -2,  -1,  -1,  -2,   2,  -1,  -2,  -1,   0,   1,   0,  -2,
     3,  -1,  -2,   2,   5,   3,  -1,  -3,   1,  -5,  -5,   1,   6,   6,   2,   0,
  ], [
     1,   2,   0,  -1,   0,   1,   0,  -2,  -5,  -3,  -1,   0,   1,   2,   1,  -2,
    -7,  -5,  -2,  -2,  -2,  -2,   0,   1,  -1,   0,   1,   1,   0,   3,   9,  12,
  ], [
     0,   6,   5,   1,  -2,  -3,   0,   3,   0,   6,   5,   1,   1,   1,   2,   3,
    -5,  -2,  -2,  -3,   0,   0,   0,   0,  -6,  -3,  -3,  -2,   0,   0,  -1,  -2,
  ], [
     4,   4,   2,   1,   0,  -1,  -1,   0,  -2,  -2,   0,   1,   2,   1,   1,   0,
     2,   2,   1,  -1,  -3,  -5,  -9, -10,   2,   1,  -1,  -1,   1,   4,   4,   1,
  ], [
     4,   0,  -2,  -2,  -2,  -2,  -1,   0,   7,   1,  -4,  -3,  -2,   0,   1,   1,
    10,   5,  -1,  -2,   0,   1,   1,   0,   5,   1,  -3,  -4,  -3,  -1,  -1,  -2,
  ], [
     2,   1,  -1,  -3,  -3,   1,   1,  -1,  -2,  -1,   3,   0,  -1,   1,   1,   0,
    -3,   1,   7,   2,  -3,  -2,  -1,   0,  -2,   4,   8,  -1,  -8,  -5,   0,   2,
  ], [
    -4,  -1,   1,   2,   1,  -3,  -4,  -2,  -5,  -3,  -2,   1,   4,   4,   4,   6,
    -3,  -2,  -4,  -3,   0,   1,   1,   2,   2,   2,   2,   1,   2,   1,  -1,  -1,
  ], [
    -4,  -1,   0,  -1,  -3,  -3,  -1,  -1,   1,   4,   4,   2,   0,  -1,  -2,  -3,
     4,   6,   5,   3,   2,   1,  -2,  -4,   0,   1,   1,   1,   1,  -1,  -4,  -6,
  ], [
     1,   2,   2,  -1,  -6,  -5,  -1,   2,  -3,  -2,   1,   1,  -4,  -3,   2,   5,
    -2,  -1,   2,   2,  -3,  -4,   0,   3,  -2,  -2,   2,   6,   5,   2,   1,   2,
  ], [
     2,  -3,  -3,   0,   0,   2,   3,   1,   3,  -1,   1,   3,   1,   2,  -1,  -5,
    -5,  -7,  -4,  -2,   1,   8,   8,   1,  -1,   0,   2,   0,  -3,   0,   1,  -3,
  ], [
    -2,  -5,  -5,  -2,  -3,  -1,   0,  -2,  -1,  -4,   0,   4,   0,   2,   4,   0,
     0,   0,   8,  10,   2,   1,   3,  -1,  -4,  -3,   2,   3,  -3,  -3,   1,  -1,
  ], [
     1,  -2,  -4,   2,   7,   3,  -2,  -1,   6,   4,  -2,  -1,   2,   0,  -1,   3,
     1,   1,  -2,  -2,  -2,  -5,  -3,   4,  -6,  -2,   1,   1,  -1,  -4,  -2,   4,
  ], [
    -2,  -1,  -2,  -2,   0,   1,   0,  -2,  -1,   1,   0,  -1,   0,   0,  -1,  -3,
     0,   1,  -2,  -4,  -3,  -1,   0,   0,   6,   8,   5,   0,   0,   1,   2,   3,
  ], [
    -2,  -2,   2,   5,   2,   0,   0,   1,   2,  -2,  -2,  -1,  -1,   1,   2,   4,
     2,  -1,   0,   1,   0,   0,   0,   1,  -8,  -7,  -1,   1,  -1,  -1,   1,   3,
  ], [
     0,   3,   6,   2,  -2,   1,   2,   0, -10,  -7,  -1,   0,  -3,  -1,   2,   1,
     0,   0,   2,   2,   1,   1,   1,  -1,   3,   0,  -2,  -2,   0,   2,   1,   0,
  ], [
     8,   1,   0,   0,  -2,  -3,  -1,   0,   2,  -2,   2,   5,   1,  -2,  -1,   1,
    -3,  -6,  -3,  -1,  -3,  -3,  -1,   2,   2,   0,   1,   2,   2,   1,   0,   0,
  ], [
     1,  -1,  -1,  -2,  -1,   0,   1,   0,  15,   9,   2,  -1,  -2,  -3,  -3,  -3,
     0,  -3,  -2,   0,   0,  -1,  -1,  -1,   1,   0,   1,   0,   0,  -1,  -1,  -1,
  ], [
     0,   2,   2,  -2,  -3,  -3,  -7,  -8,   0,   2,   2,   0,   1,   2,   1,   1,
     1,   2,   2,   2,   3,   1,   0,   3,   1,   0,  -1,  -2,  -1,  -2,   0,   5,
  ], [
   -11,  -6,  -1,   1,   2,   3,   1,  -3,   1,   4,   3,  -1,  -2,   1,   2,  -1,
     2,   2,   1,  -1,  -2,   0,   1,  -1,   0,   0,  -1,  -1,   0,   2,   3,   2,
  ], [
     1,   1,   2,   1,  -1,   1,   0,  -4,   0,   0,   0,  -2,  -2,   2,   4,  -2,
    -2,  -3,   0,   0,  -1,   2,   1,  -6,   0,   2,   5,   5,   3,   2,  -1,  -7,
  ], [
     4,   2,   0,   0,   3,   3,   1,  -1,   0,  -1,  -1,   3,   6,   4,   1,  -1,
    -2,  -2,   0,   2,   2,   0,  -2,  -2,  -1,   0,  -1,  -5,  -7,  -5,  -1,   1,
  ], [
     5,  -1,  -2,   0,   2,   4,   2,  -5,   0,  -5,  -2,   2,   1,   2,   0,  -6,
     6,   1,   0,   1,  -2,  -1,   4,   2,   2,  -3,  -3,   0,  -1,  -2,   0,   0,
  ], [
     1,  -1,   0,   2,   0,   0,   6,  11,   2,  -1,  -1,   0,  -3,  -2,   3,   5,
     0,  -2,  -1,   0,  -1,   0,   0,  -3,   1,  -1,  -1,  -1,  -2,  -1,  -3,  -7,
  ], [
     1,   1,  -2,  -2,   1,   3,   1,  -2,  -1,   2,   0,  -1,  -1,   1,   0,   0,
    -4,   2,   3,  -1,  -2,  -2,   0,   1, -11,  -2,   4,   5,   6,   2,  -1,  -2,
  ], [
    -6,  -2,   1,  -1,  -3,  -4,   1,   9,  -3,   0,   3,   3,   2,  -3,  -3,   3,
     1,   1,   0,   0,   1,  -1,  -2,   3,   2,   0,  -3,  -3,   0,  -1,  -1,   3,
  ], [
     1,  -1,  -3,   1,   2,  -6,  -4,   6,   0,  -2,  -5,  -2,   0,  -3,  -2,   3,
     2,   2,   1,  -2,  -2,   1,   2,  -1,  -1,   1,   1,  -2,  -1,   6,   7,  -1,
  ], [
     1,   0,  -4,  -2,   1,  -2,  -3,   1,  -4,   0,  -3,  -2,   2,   0,  -3,   0,
    -3,   4,   3,   1,   8,   7,   0,  -1,  -3,   4,   1,  -4,   2,   3,  -2,  -3,
  ], [
    -3,   6,   1,  -4,   1,   1,  -1,  -1,  -2,   4,  -3,  -3,   3,   0,  -1,  -1,
     1,   2,  -4,   2,   4,  -3,  -1,   2,   3,  -1,  -4,   5,   4,  -6,  -3,   2,
  ]
];

pub const SVQ_INTER_CB_4X4: [[i8; 16]; 96] = [
  [
     4,   0,  -6,  -7,  -4,  -8, -13,  -9,  -8,  -8,  -1,   6,  -2,   5,  22,  27,
  ], [
   -16,  -7,  11,  10, -18,  -7,  13,  10, -15,  -4,  12,   8,  -9,  -1,   9,   5,
  ], [
    -2,   2,  15, -16,  -3,   2,  19, -19,  -3,   2,  19, -19,  -2,   3,  15, -14,
  ], [
    17,  22,  22,  16,  -6,  -7,  -5,  -2, -12, -16, -16, -12,   1,   1,  -1,  -3,
  ], [
    11, -17,   0,   8,  14, -21,  -1,   9,  14, -21,  -2,   8,  11, -16,  -2,   6,
  ], [
     7,  -2, -16,  11,   9,  -2, -21,  14,  10,  -1, -22,  14,   8,  -1, -18,  10,
  ], [
   -10,  16,   3,  -9, -13,  20,   4, -11, -14,  21,   4, -10, -11,  16,   3,  -8,
  ], [
    11,   4,  -9,  -9,  15,   6, -12, -14,  17,   8, -12, -14,  16,  10,  -7, -11,
  ], [
     4,  10,  14,  13,  -1,   7,  15,  16, -12,  -7,   3,   8, -20, -23, -18, -10,
  ], [
   -10, -18, -26, -25,   4,   1,  -6, -11,  13,  15,  11,   3,  12,  15,  13,   8,
  ], [
   -16, -19, -16, -11,   7,  12,  15,  11,  11,  16,  16,  11,  -6,  -9, -11, -10,
  ], [
    18,  19,  12,   5,  18,  16,   5,  -4,   6,   0, -10, -15,  -9, -17, -23, -22,
  ], [
   -10, -14,  -1,  21, -11, -17,   0,  29, -11, -16,   1,  30, -10, -14,   0,  23,
  ], [
   -16, -17, -12,  -6, -19, -19, -14,  -7,  -3,  -1,   1,   2,  27,  35,  29,  19,
  ], [
   -37,  -8,  23,  23, -42,  -9,  28,  29, -43, -10,  26,  28, -38, -11,  19,  22,
  ], [
    32,  16, -16, -33,  39,  20, -18, -37,  38,  19, -19, -38,  32,  15, -17, -34,
  ], [
    24,   9,  -6,  -4,  -1, -10,  -6,   3,  -8,  -9,  -1,   3,   3,   7,   2,  -6,
  ], [
    -1,  -3,  -1,   0,  -1,   4,   2,  -7,  -3,  11,   3, -16,   1,  20,   9, -18,
  ], [
    -3,  -8,   6,  12,  -5, -10,   7,  13,  -6,  -9,   5,   7,  -5,  -5,   2,  -1,
  ], [
    -8,  12,  -3,  -1, -10,  15,  -3,   1, -11,  13,  -4,   1, -11,   8,  -3,   2,
  ], [
     9,   6,  -5, -12,   3,   0,  -8, -13,  -4,  -4,  -1,  -1,  -4,   1,  15,  18,
  ], [
     9,  13,  14,  12,   4,   3,  -1,  -2,  -2,  -5,  -8,  -5,  -7, -11,  -9,  -4,
  ], [
     7,  -5,  -7,  -4,  14,  -2,  -7,  -4,  17,   0,  -8,  -5,  15,   1,  -7,  -5,
  ], [
   -10,  -1,   6,   4, -15,  -9,   2,   4,   2,  -1,  -3,   0,  25,  13,  -8, -10,
  ], [
     7,  11,  -3, -16,   7,  11,  -3, -15,   6,   7,  -2,  -9,   4,   2,  -3,  -5,
  ], [
    -7,  -1,  -1,   0,  -9,  -2,   2,   6, -12,  -4,   6,  14, -13,  -6,   8,  19,
  ], [
   -18, -18, -11,  -5,  -3,   0,   3,   4,   6,   8,   6,   6,   6,   6,   6,   6,
  ], [
    -5,   3,  13, -10,  -6,   1,  15,  -9,  -6,  -3,  15,  -6,  -6,  -6,  10,  -3,
  ], [
     9,   1,  -9,  -9,  11,   9,   6,   5,   0,   3,   8,   7, -15, -14,  -6,  -5,
  ], [
   -11,  -6,  11,  19,  -2,  -5,  -9,  -8,   6,   2,  -9, -10,   6,   5,   4,   5,
  ], [
    -7,  -3,   8,  15,  -1,   3,  10,  15,   5,   5,  -1,  -2,   4,  -2, -21, -25,
  ], [
     6,  -6,  -6,   5,   8,  -9,  -7,   9,   8, -12,  -7,  13,   4, -14,  -7,  14,
  ], [
    -4,  -3,   1,   1,  -3,  -5,  -2,  -3,   7,   0,  -2,  -4,  20,   7,  -4,  -4,
  ], [
    -3, -20,  -6,  10,   6,   0,   0,   1,   5,   8,   5,  -1,  -3,   0,   0,  -2,
  ], [
    13,   6,  -1,   2,   5,   3,   2,   3,  -3,   0,   3,   0, -16,  -8,  -2,  -5,
  ], [
    -2,  -7,  -6,   0,  -3,  -6,  -3,   1,  -5,  -1,   2,  -1,  -1,  12,  16,   5,
  ], [
    -7,   1,   9,   8, -10,  -2,   5,   3,  -6,   2,   7,   3,  -4,   0,  -1,  -7,
  ], [
     3,   4,  -9, -24,   0,   2,   6,   3,  -1,  -1,   4,   7,   5,   3,  -1,  -2,
  ], [
     3,   6,  -9,   2,   1,   6, -13,   1,   1,   8, -10,   2,   1,   8,  -7,   1,
  ], [
    -3,  -3,   2,  22,  -2,  -3,  -5,  12,  -2,  -3, -10,   2,  -3,  -1,  -4,   2,
  ], [
    11,  12,   8,   2,  -5,  -5,  -5,  -8,  -6,  -4,   0,  -3,  -2,  -1,   3,   3,
  ], [
    12,  -6,  -2,  -1,  12,  -8,  -2,  -2,   9,  -7,   0,  -3,   4,  -6,   2,  -2,
  ], [
   -19,   1,  12,  -3,  -4,   4,   5,  -4,   6,   1,  -2,  -1,   4,  -4,  -2,   7,
  ], [
    -3,  -4,  -7,  -8,  -4,  -4,  -2,   0,  -1,   2,  14,  16,  -4,  -2,   4,   4,
  ], [
    -1,   7,   2,  -5,  -2,   0,  -1,   1,   4,  -3,  -1,  13,   6, -12, -14,   8,
  ], [
    -1,   5,   4,  -5,  -2,   5,   3,  -9,  -2,   7,   4, -12,  -1,   7,   4,  -9,
  ], [
    -6,  -3,   1,   1,  11,  11,   0,  -6,   6,   4,  -2,  -7, -12, -10,   3,  10,
  ], [
    -2,  -3,  -3,  -2,   6,  11,  14,  10,  -9, -11, -10, -10,   2,   2,   3,   2,
  ], [
    -7,  -5,  -7,  -1,  -1,   2,   0,   7,  -1,   1,   0,   9,   3,   4,  -5,  -1,
  ], [
    10,  -1, -15,  -1,   4,   1,  -5,   2,  -3,   1,  -1,   1,  -3,   1,   4,   4,
  ], [
     2,  -1,   4,  10,   6,   2,  -1,   0,   2,   2,  -7, -12,  -4,   2,   0,  -3,
  ], [
    -1,  -4,  -1,  -8,   3,  -1,   2,  -9,   4,   0,   5,  -5,   2,   0,   8,   3,
  ], [
     3,   2,   1,   1,   4,  -2,   0,   3,   2,  -1,   4,   1,   0,   6,  -1, -25,
  ], [
    -1,  -2,  -2,  -4,  -3,   0,  -1,  -4,  -1,  -1,  -4,   2,   0,  -6,   2,  25,
  ], [
   -11,  -1,   5,   0,   7,   0,  -2,   2,  10,  -1,  -3,   4,  -5,  -5,  -2,  -1,
  ], [
     0,   6,   3,  -1,  -2,  -1,  -1,   1,  -1,  -7, -12,  -5,   8,   6,   2,   4,
  ], [
     2,   6,  -1,  -6,   9,  10,  -1,  -4,   1,   0,  -4,   0,   3,  -2,  -9,  -5,
  ], [
    -4,   3,   4,   0,  -4,   3,   3,   0, -11,   0,   3,   2, -11,   3,   7,   2,
  ], [
     2,  -4,   7,   3,   1,  -8,   7,   1,  -1, -12,   4,   1,   3,  -9,   2,   2,
  ], [
     2,  -2,  -2,   9, -17,  -3,   3,   1,  -4,   7,   1,  -6,   5,   4,  -1,   3,
  ], [
    -1,   2,   0,  -4,  -7,   8,  12,  -1,  -2,   5,   4,  -5,   3,  -5,  -8,  -2,
  ], [
     0,   0,  -5,  -2,  -2,  -8,   3,  27,  -1,  -4,  -3,   6,  -3,   1,  -2,  -7,
  ], [
     4,   4,   1,  -1,  -7, -10,  -7,  -3,  10,  10,   5,   3,  -2,  -2,  -4,  -3,
  ], [
     0,   1,   5,   7,   4,  -2, -16, -20,   0,   4,   7,   8,   2,   0,  -2,  -1,
  ], [
    -2,   1,   3,  17,  -3,   1,  -2,  -1,  -1,  -2,  -1,  -2,  -1,  -5,  -1,   0,
  ], [
     5,  -3,   1,   0,   6,  -2,   0,   0,  -1,  -2,   0,  -3, -11,   1,   8,  -1,
  ], [
     3,   0,   0,   0,   0,   2,   4,   1,   2,   0,   6,   1,  -2, -18,  -3,   2,
  ], [
   -14,   0,   6,   1,  -5,  -2,  -1,   1,  -1,   1,   0,   1,   1,   7,   4,   0,
  ], [
    -1,   0,   1,  -4,   1,   8,   3,  -4,  -3,   4,   1,   3,  -6,   1,  -4,   1,
  ], [
     1, -12,   3,   3,  -1, -10,   0,  -1,   2,   0,   2,   1,   3,   2,   2,   4,
  ], [
     3,   0,   0,   3,   2,   0,  -2,   1,   5,   2,  -5,   0,   6,  -1, -14,  -1,
  ], [
    -2,  -6,  -3,  -3,   2,  -1,   4,   5,   6,  -1,  -2,   0,   4,   4,  -1,  -5,
  ], [
    -4,   1, -11,   0,  -1,   2,  -4,   1,   2,  -3,   3,  -1,   1,  -2,  15,   0,
  ], [
     1,  -1,   0,  -2,   1,  -4,  -7,   1,  -2,  -6,  -1,  21,  -2,   2,  -1,   1,
  ], [
    21,  -1,  -2,   0,  -1,  -3,   1,  -2,  -9,  -2,   2,  -1,   2,   1,  -4,  -1,
  ], [
     1,   8,   2,  -6, -10,  -1,   4,   0,  -4,  -3,   3,   3,   5,   0,  -1,  -1,
  ], [
     3,   2,   1,  -2,  -2,  -2,   4,   3,   5,   2,  -4, -17,   0,  -2,   4,   3,
  ], [
    -7,  -4,   0,   3,   9,   9,   2,  -1, -11,  -6,   0,  -1,   5,   1,   0,   1,
  ], [
     0,  17,   5, -11,   3,  -2,  -6,   0,   2,  -2,  -4,   1,  -4,   1,   2,  -1,
  ], [
    -5,  -1,  -5,  -3,  -3,   5,  -3,  -2,   4,  16,   2,  -5,  -2,   5,  -1,  -1,
  ], [
     0,   0,  -4,   1,  -1,   2,   5,  11,  -1,  -1,  -2,   1,  -4,  -2,  -3,  -1,
  ], [
    -5,  -1,  10,   0,   6,   1,   0,  -3,   0,  -4,   1,   0,  -2,  -4,   3,  -1,
  ], [
     6,   9,   3,   0,  -2,   1,  -2,   0,  -2,  -3,  -2,  -2,   1,   0,   1,  -6,
  ], [
     1,   0,   2,   1,  -1,   3,  -2,   1,   0,  -1, -15,   0,  -1,   5,   2,   6,
  ], [
     2,   0,   2,   2,   0, -12,  -4,   6,   0,   1,   4,  -1,   1,   2,   1,  -4,
  ], [
     1,  -2,  -7,   0,   0,   0,   0,  -1,  -5,   2,  11,   3,   1,   3,   0,  -6,
  ], [
     0,  -3,  -9,  -4,   1,   3,  -1,   0,   4,   1,  -2,   0,   7,  -3,  -1,   6,
  ], [
     1,  -2,   6,   2,   0,  -1,   3,  -2,  -2,   4,   0,   2,  -1,   2, -14,   2,
  ], [
     2,   2,   0,  -1,  -2,   3,  -3, -14,   0,   2,   3,  -3,   5,   1,   3,   2,
  ], [
     1,  -3,   4, -14,   1,  -2,  11,  -1,   0,  -1,   3,   0,  -1,   1,   0,   2,
  ], [
    -2,   3,  -3,   2,  -4,  -1,  -4,   3,  -1,   2,   1,   3,  -6,  -2,   2,   7,
  ], [
    -2,   1,   2,   0,  -2,   0,   0,  -1,  12,   5,  -1,   2,  -8,  -1,   1,  -7,
  ], [
     2,  -2,  -4,   2,  11,   0, -11,  -2,   3,   1,  -3,  -1,   0,   3,   1,  -1,
  ], [
     0,   3,   0,  -2,   0,  -6,  -1,  -3,  12,  -7,  -2,   0,   7,  -2,   1,   1,
  ], [
     1,   2,   2,   2,  -1,   2,   0,   2, -23,   0,   4,   0,   3,   2,   1,   3,
  ], [
    -4,  -5,  -1,   5,  -3,   5,  10,  -1,   0,   0,   3,  -4,   1,  -1,   2,  -5,
  ]
];

pub const SVQ_INTER_CB_4X2: [[i8; 8]; 96] = [
  [
     7,   2,  -6,  -7,   7,   3,  -3,  -4,
  ], [
    -7,  -2,   7,   8,  -8,  -4,   3,   4,
  ], [
    19,  17,   9,   3, -14, -16, -12,  -8,
  ], [
   -18, -16,  -8,  -3,  11,  14,  12,   8,
  ], [
     7, -16, -10,  20,   7, -17, -10,  20,
  ], [
    -6,  18,   8, -21,  -7,  18,   9, -20,
  ], [
    25,   3, -20, -14,  29,   7, -18, -13,
  ], [
   -29,  -4,  21,  14, -31,  -6,  20,  14,
  ], [
   -19, -26, -28, -24,  31,  32,  22,  10,
  ], [
    15,  24,  31,  28, -32, -32, -22, -13,
  ], [
     2,  -8, -23, -26,  -9,   3,  27,  35,
  ], [
     3,  11,  21,  21,   8,  -4, -27, -34,
  ], [
   -30, -31,  12,  47, -29, -30,  13,  47,
  ], [
    38,  30, -17, -46,  34,  26, -19, -46,
  ], [
   -42, -50, -51, -43,  34,  48,  55,  48,
  ], [
    48,  54,  51,  42, -44, -52, -53, -47,
  ], [
     4,   5,   0,  -6,  -2,  -2,   0,   1,
  ], [
   -11,  -6,  -1,  -2,   1,   8,   9,   1,
  ], [
     0,   1,  -6,   5,   8,   1, -12,   2,
  ], [
     7, -14,  -7,   8,   5,  -8,   0,   8,
  ], [
     1,   4,  11,   8, -12,  -8,   0,  -5,
  ], [
    -1,   1,   0,   4, -15,  -8,   3,  16,
  ], [
    17,   8,  -4,  -6,   9,  -4, -13,  -8,
  ], [
     2,   6,   1, -18,  -1,  11,  11, -12,
  ], [
     6,   0,   2,   0,  14,   6,  -7, -21,
  ], [
     1,  -1, -13, -20,   1,   1,  10,  21,
  ], [
   -22,  -5,   7,  13, -11,  -1,   4,  12,
  ], [
    -7,   0,  14,  19,  -4,   3,  -5, -19,
  ], [
   -26, -14,  10,  15,  18,   4,  -6,  -2,
  ], [
    25,  19,  -5, -18, -20,  -7,   4,   2,
  ], [
   -13,  -6,  -1,  -4,  25,  37,  -2, -35,
  ], [
     5,   4,   1,   1, -21, -36,   2,  43,
  ], [
     2,  -2,  -1,   3,   8,  -2,  -6,  -1,
  ], [
    -2,  -3,   2,  12,  -5,  -2,  -2,  -1,
  ], [
    -3,  -1,  -1,  -5,  -1,   7,   8,  -2,
  ], [
     2,   7,   5,  -3,   1,   1,  -3,  -8,
  ], [
    -3,  -1,  -3,  -2,  -2,  -3,   2,  13,
  ], [
    15,   0, -11,  -6,   3,   0,   0,   0,
  ], [
    -6,  -9,  -5,  -4,  18,   4,   1,   3,
  ], [
    12,   3,   0,   4, -16,  -3,   3,  -3,
  ], [
   -17,   3,  18,   2,  -1,  -3,  -1,  -1,
  ], [
    -6,  16,  -8,   0,  -9,  14,  -7,   0,
  ], [
     3, -13,  14,  -5,   3, -13,  14,  -4,
  ], [
    -7,  20,  14, -23,   8,  -7,  -8,   4,
  ], [
     8, -15, -19,  16, -10,  13,  11,  -3,
  ], [
     9,  -1,   1,  26,   5, -15, -27,   2,
  ], [
   -20,   7,  16,  -4, -40,   9,  31,   1,
  ], [
    26, -12, -30,  -7,  40,  -2, -19,   4,
  ], [
     6,   0,   0,   0,  -6,  -2,   1,   2,
  ], [
     0,  -1,   0,  -6,   9,   0,  -2,  -1,
  ], [
    -7,   8,   2,  -3,  -1,   2,  -3,   2,
  ], [
     7,  -4,  -2,   4,   2,   0,   0,  -6,
  ], [
    -3,  -2,   9,   2,  -2,  -1,   0,  -4,
  ], [
    -3,  -3,   0,  -3,  -6,   2,  10,   4,
  ], [
     3,   0, -10,   8,   0,   0,  -4,   4,
  ], [
    -1,   1,   4,   2,   3,  -7,  -9,   7,
  ], [
     2,   1,  -9,  -4,  -1,  12,   0,   0,
  ], [
     3,  -1,   7,  -4,   3, -14,   4,   2,
  ], [
   -12,  -9,   1,  11,   2,   5,   1,   0,
  ], [
     3,   1,   0,   2,   0,   8,   6, -19,
  ], [
    -6, -10,  -7,  -4,   9,   7,   5,   7,
  ], [
     6,  21,   3,  -3, -11,  -9,  -5,  -2,
  ], [
    -4,  -9, -16,  -1,  -2,  -5,   1,  36,
  ], [
     8,  11,  19,   0,   2,   5,  -4, -41,
  ], [
    -1,  -1,  -2,  -1,  -2,  -2,   1,   6,
  ], [
     0,   4,   1,  -8,   1,   1,   1,   0,
  ], [
    -2,  -3,   4,   0,   2,  -1,   3,  -3,
  ], [
     1,   3,  -4,   1,  -1,   3,   0,  -5,
  ], [
     3,   4,   2,   3,  -2,  -3,  -6,  -1,
  ], [
    -2,  -3,  -2,   2,  -4,   8,   1,   0,
  ], [
    -7,   4,   2,   6,  -7,  -1,   1,   0,
  ], [
    -2,   2,  -4,   1,   8,  -6,   2,  -1,
  ], [
    -6,   2,   0,   2,   5,   4,  -8,  -1,
  ], [
    -1, -11,   0,   9,   0,  -2,   2,   2,
  ], [
    17,  -5,  -4,  -1,  -1,  -4,  -2,  -2,
  ], [
     0, -13,   9,  -3,  -1,  12,  -7,   2,
  ], [
     0,  -2,  -5,   2,  -7,  -5,  20,  -3,
  ], [
     7,   7,  -1, -30,   3,   5,   8,   1,
  ], [
    -6,   3,  -1,  -4,   2,  -2, -11,  18,
  ], [
     0,  -7,   3,  14,  20,  -3, -18,  -9,
  ], [
     7,  -2,   0,  -1,  -2,   0,   0,  -1,
  ], [
    -4,  -1,   1,   0,  -2,   2,   0,   4,
  ], [
     1,  -3,   2,   1,   3,   1,  -5,   1,
  ], [
    -3,   0,  -1,  -2,   7,   1,   0,  -3,
  ], [
     2,   5,   0,  -2,   2,  -5,  -1,   1,
  ], [
    -1,  -2,   4,  -1,   0,  -3,   5,   0,
  ], [
     0,   3,  -1,  -2,  -4,   1,   5,  -1,
  ], [
    -1,   0,  -1,   9,  -1,  -2,  -1,  -1,
  ], [
    -2,   5,   5,  -1,  -2,   2,  -3,  -2,
  ], [
     1,   2, -11,   1,   2,   1,   3,   2,
  ], [
     2, -10,  -1,  -2,   4,   2,   4,   1,
  ], [
     4,   5,  -5,   1,   0,   6, -11,   1,
  ], [
     1,   0,   6,   6,   0,   2,   1, -15,
  ], [
     7,   3,   5,   9, -30,   2,   2,   2,
  ], [
   -34,   1,   9,   2,   5,   8,   8,   2,
  ], [
     7,   2,   6,   6,   2, -27,   1,   4,
  ]
];
